2009-07-20  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/totem-youtube.c (resolve_t_param),
	(thumbnail_loaded_cb), (thumbnail_opened_cb),
	(open_in_web_browser_activate_cb): Fixed compatibility problems
	with libgdata 0.4.0 and removed some unnecessary error dialogues from
	the YouTube plugin.

2009-07-20  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/tracker/totem-tracker-widget.c
	(totem_tracker_widget_init): Homogenise the Local Search plugin's
	appearance with the Jamendo and YouTube plugins. (Closes: #572292)

2009-07-20  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in: Limit the Tracker versions we can build the Local
	Search plugin against to 0.6.x. (Closes: #580726)

2009-07-20  Philip Withnall  <philip@tecnocode.co.uk>

	* Makefile.am: Build the docs first, and the code last

2009-07-20  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/jamendo/jamendo.ui:
	* src/plugins/youtube/youtube.ui: Homogenise the appearance of the
	YouTube and Jamendo plugins. (Helps: #572292)

2009-07-20  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/lirc/totem_lirc_default: Add
	keys for zoom in/out (Closes: #545546)

2009-07-19  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/opensubtitles/opensubtitles.py:
	* src/plugins/opensubtitles/opensubtitles.ui: Fixed underlines in the
	OpenSubtitles interface, and removed use of a GLib 2.18-only function

2009-07-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (main):
	Add PA properties to the binary (Closes: #573912)

2009-07-19  Bastien Nocera  <hadess@hadess.net>

	* src/totem-audio-preview.c (main): Add PA properties
	to the binary (Closes: #573912)

2009-07-19  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Build the code first, and the docs last

2009-07-19  Philip Withnall  <philip@tecnocode.co.uk>

	* data/totem.ui:
	* src/plugins/opensubtitles/opensubtitles.py:
	* src/totem-menu.c (totem_subtitles_update): Move subtitles-related
	menu items to View → Subtitles. (Closes: #581366)

2009-07-19  Philip Withnall  <philip@tecnocode.co.uk>

	* data/fullscreen.glade:
	* data/mozilla-viewer.glade:
	* data/playlist.glade:
	* data/plugins.glade:
	* data/properties.glade:
	* data/totem.glade:
	* data/uri.glade: Removed glade files; Glade can now edit GtkBuilder
	UI files.

2009-07-18  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-resize.c (bacon_resize_resize),
	(bacon_resize_restore):
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open), (bacon_video_widget_seek_time),
	(bacon_video_widget_set_logo):
	* src/backend/bacon-video-widget.h:
	* src/backend/bvw-test.c (test_bvw_set_mrl), (on_redirect),
	(on_eos_event), (main):
	* src/backend/video-utils.c (totem_time_to_string),
	(totem_time_to_string_text):
	* src/plugins/brasero-disc-recorder/totem-disc-recorder.c
	(totem_disc_recorder_plugin_start_burning):
	* src/plugins/properties/bacon-video-widget-properties.c
	(bacon_video_widget_properties_from_time):
	* src/plugins/properties/bacon-video-widget-properties.h:
	* src/plugins/publish/totem-publish.c
	(totem_publish_plugin_playlist_cb):
	* src/plugins/screenshot/totem-gallery.c
	(dialog_response_callback):
	* src/plugins/screenshot/totem-screenshot.c (drag_data_get):
	* src/plugins/skipto/totem-skipto-plugin.c
	(totem_skipto_update_from_state):
	* src/plugins/skipto/totem-skipto.c (totem_skipto_update_range),
	(totem_skipto_get_range), (totem_skipto_set_current):
	* src/plugins/skipto/totem-skipto.h:
	* src/plugins/totem-plugins-engine.c (load_plugin_module),
	(totem_plugins_engine_plugin_active_cb),
	(totem_plugins_engine_plugin_visible_cb):
	* src/plugins/youtube/totem-youtube.c (starting_video_cb):
	* src/totem-menu.c (add_lang_action), (totem_action_add_recent):
	* src/totem-object.c (totem_get_title_at_playlist_pos),
	(totem_action_load_media), (window_state_event_cb),
	(totem_action_set_mrl_with_warning), (totem_time_within_seconds),
	(totem_seek_time_rel), (drop_video_cb), (drag_motion_video_cb),
	(drop_playlist_cb), (drag_motion_playlist_cb), (drag_video_cb),
	(seek_slider_changed_cb), (totem_action_set_playlist_index),
	(totem_action_remote), (totem_action_handle_key_release),
	(window_key_press_event_cb):
	* src/totem-options.c (totem_options_process_late):
	* src/totem-options.h:
	* src/totem-playlist.c (drop_cb), (playlist_show_popup_menu),
	(totem_playlist_set_reorderable),
	(totem_playlist_clear_with_compare), (totem_playlist_get_title),
	(totem_playlist_get_current), (totem_playlist_set_current):
	* src/totem-playlist.h:
	* src/totem-preferences.c (totem_setup_preferences):
	* src/totem-private.h:
	* src/totem-session.c (totem_save_state_cb):
	* src/totem-statusbar.c (totem_statusbar_update_time),
	(totem_statusbar_set_time), (totem_statusbar_set_time_and_length):
	* src/totem-subtitle-encoding.c (subtitle_encoding_get_charset),
	(subtitle_encoding_create_store),
	(totem_subtitle_encoding_get_selected),
	(totem_subtitle_encoding_set):
	* src/totem-time-label.c (totem_time_label_init),
	(totem_time_label_set_time):
	* src/totem-video-thumbnailer.c (create_gallery), (main):
	* src/totem.c (totem_message_received_cb), (main):
	* src/totem.h: Fixed some strict gcc warnings.

2009-07-18  Robin Stocker  <robin@nibor.org>

	* src/totem-object.c (drop_video_cb, drop_playlist_cb):
	When drag and dropping a video on itself with Alt pressed, ask
	what to do instead of appending.

2009-07-17  Bastien Nocera  <hadess@hadess.net>

	* data/totem.schemas.in:
	* data/totem.ui:
	* src/plugins/screensaver/totem-screensaver.c
	(totem_screensaver_update_from_state):
	* src/totem-preferences.c (lock_screensaver_on_audio_changed_cb),
	(totem_setup_preferences): Fix wording of the checkbox to
	allow the screensaver to start when audio streams are playing
	(Closes: #526264)

2009-07-17  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c (totem_action_add_recent):
	* src/totem-object.c (totem_action_set_mrl_with_warning),
	(totem_action_open_files_list), (totem_action_remote):
	Only call totem_action_add_recent() when playing the file,
	not when adding it to the playlist

2009-07-16  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c:
	* configure.ac:
	Require the lastest gstreamer and gst-plugins-base pre-releases
	for many playbin2 related bugfixes and remove some backward
	compatibility code.

2009-07-16  Sebastian Dröge  <sebastian.droege@collabora.co.uk>
	
	* src/backend/bacon-video-widget-gst-0.10.c:
	Try to mount GIO locations that are not mounted yet (Closes: #588079).
	This requires the giosrc element from gst-plugins-base 0.10.23.2.

2009-07-16  Robin Stocker  <robin@nibor.org>

	* src/totem-object.c (drop_video_cb, drag_video_cb):
	* src/totem-private.h (TotemObject): When dragging the video and
	then accidentally dropping it again on itself, ignore it instead
	of restarting the video. (Closes: #578249)

2009-07-14  Jan Schmidt  <thaytan@noraisin.net>

	* src/backend/bacon-video-widget-gst-0.10.c (setup_vis):
	Sink the floating reference on the visualisation element
	before giving it to playbin2, so that we can make sure we own
	the ref regardless of what playbin2 does internally. playbin2
	currently sinks the element itself, but may change.

2009-07-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c:
	Save some memory allocations and use GSlice instead of normal allocations.

2009-07-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c:
	Change all calls to gst_element_get_pad() to gst_element_get_static_pad()
	
	gst_element_get_pad() is deprecated for some reasons (see the docs)
	and all places where it was used should use get_static_pad() anyway.

2009-06-30  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_step):
	* src/backend/bacon-video-widget.h:
	* src/totem-object.c (totem_action_handle_key_press):
	Add frame-by-frame stepping, requires gstreamer 0.10.24,
	and a newer gst-plugins-base (Closes: #151909)

2009-06-30  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/lirc/totem_lirc_default: Small tweaks for the
	default LIRC setup

2009-06-30  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (totem_action_handle_key_press):
	When there's a DVD menu showing, use the arrow keys to
	navigate around, and the Enter key to select (Closes: #580351)

2009-06-14  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/totem-youtube.c (set_up_tree_view),
	(resolve_t_param_cb), (starting_video_cb):
	* src/plugins/youtube/youtube.ui:
	* src/totem-cell-renderer-video.c (get_size),
	(totem_cell_renderer_video_get_size),
	(totem_cell_renderer_video_render):
	* src/totem-video-list.c (totem_video_list_class_init),
	(row_activated_cb), (show_popup_menu):
	* src/totemvideolist-marshal.list: Fix video list rendering for the
	YouTube plugin, as well as playback of related videos.

2009-06-14  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/totem-youtube.c (resolve_t_param_cb),
	(resolve_t_param), (query_progress_cb),
	(open_in_web_browser_activate_cb): Update YouTube plugin to use
	libgdata 0.4.0 API. (Closes: #584691)

2009-06-12  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.ui: Fix an errant ID. (Closes: #585518)

2009-06-08  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c:
	If we have playbin2 from gst-plugins-base 0.10.23.1 or newer use
	the new {audio,video,text}-tags-changed signals for noticing if
	tags have changed. This also gives us immediately the corresponding
	stream id and the type of the stream and makes it unnecessary to
	try to get the type via the tag messages' sender.

	This fixes bug #584689, prevents tags for unused streams to be
	displayed and makes sure that audio/video tags of a demuxer or
	other generic elements are used.

2009-06-07  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c:
	Use gst_message_parse_buffering() instead of manually getting
	the percents from the message.

2009-06-03  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* src/plugins/youtube/totem-youtube.c
	(increment_progress_bar_fraction), (query_finished_cb),
	(execute_query): Bump to libgdata >= 0.4.0 to work around
	locale-dependency problems in string parsing. Fix some reference
	problems in the YouTube plugin and hide ugly technical error messages
	from libgdata. (Helps: #584691)

2009-06-03  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/totem-youtube.c (new_from_stream_thread): Fix
	a double-free when downloading YouTube video thumbnails.

2009-05-31  Philip Withnall  <philip@tecnocode.co.uk>

	* docs/reference/Makefile.am: Add the builddir to gtkdoc-mkhtml's
	path so that builddir != srcdir builds work for the documentation.
	(Closes: #581723)

2009-05-19  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bvw_handle_element_message): Fix small compilation warning

2009-05-19  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(get_lang_list_for_type): Better fallbacks
	languages and audio track names

2009-05-19  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_languages),
	(bacon_video_widget_get_language): Fix API, -2 was for
	"no audio" track, which we don't really want to support,
	avoids warnings when there's only one audio track.
	Also avoid showing the redundant "Auto" and "AUDIO 0" tracks
	when there's only one audio track

2009-05-16  Bastien Nocera  <hadess@hadess.net>

	* src/totem-options.c (totem_options_register_remote_commands):
	* src/totem-options.h:
	* src/totem.c (main): Register the remote commands for
	use by UniqueApp, fixes remote commands not working...

2009-05-16  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (totem_remote_command_get_type):
	Add missing enum values to the GEnumClass

2009-05-13  Jan Schmidt  <thaytan@noraisin.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bvw_do_navigation_query), (bvw_handle_element_message),
	(bacon_video_widget_has_menus):
	* src/backend/bacon-video-widget.h:

	Provide a method to know if there are buttons currently
	onscreen.

2009-05-13  Jan Schmidt  <thaytan@noraisin.net>

	* src/backend/bacon-video-widget-gst-0.10.c (bvw_element_msg_sync):
	Avoid a race with xoverlay interface discovery. Because the
	update_interface implementations function only searches for interfaces
	from the main gui thread, there's a race when the sync_msg comes in
	requesting an xid to embed and the xoverlay interface isn't available
	until the gui thread updates it.

	Avoid the race by using the sender of the message when it (as it
	always should) implements the GstXOverlay interface.

2009-05-13  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c (totem_uri_get_cached_subtitle_for_uri):
	Fix loading subtitles from the cache when the filename
	contains characters that need to be escaped (Closes: #582316)

2009-05-07  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(get_visualization_size): Remove unneeded
	assertion in recently reworked gst code

============ Version 2.27.1

2009-05-06  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.27.1

2009-05-06  Bastien Nocera  <hadess@hadess.net>

	* src/backend/Makefile.am: Fix build

2009-05-06  Bastien Nocera  <hadess@hadess.net>

	* COPYING:
	* README:
	* configure.in:
	* data/icons/scalable/totem.svg:
	* data/totem-video-thumbnailer.1:
	* data/totem-video-thumbnailer.pod:
	* data/totem.1:
	* src/backend/Makefile.am:
	* src/backend/bacon-video-widget-common.c:
	* src/backend/bacon-video-widget-common.h:
	* src/backend/bacon-video-widget-gst-0.10.c (bvw_error_msg),
	(bacon_video_widget_init), (bacon_video_widget_finalize),
	(bacon_video_widget_open), (bacon_video_widget_play),
	(bacon_video_widget_can_direct_seek),
	(bacon_video_widget_seek_time), (bacon_video_widget_close),
	(bacon_video_widget_pause), (get_visualization_size),
	(bacon_video_widget_is_seekable):
	* src/backend/bacon-video-widget-xine.c:
	* src/backend/bacon-video-widget.h:
	* src/backend/video-utils.c:
	* src/backend/video-utils.h:
	* totem.doap:
	7 years later, remove xine-lib backend.
	Bye bye

2009-05-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h: Add support for autohref,
	makes trailers on the Apple website work again
	(Closes: #580973)

2009-04-29  Bastien Nocera  <hadess@hadess.net>

	* src/backend/video-utils.c
	(totem_gdk_window_set_invisible_cursor): Use
	GDK_CURSOR_BLANK as available in newer GTK+

2009-04-24  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c (totem_add_subtitle):
	Add the cache subtitles directory to the subtitle file
	selection dialogue's shortcuts (Closes: #579860)

2009-04-23  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/opensubtitles/opensubtitles.py:
	Fix failure to save downloaded subtitles, see
	https://bugzilla.redhat.com/show_bug.cgi?id=497210

2009-04-22  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (totem_embedded_set_uri):
	* configure.in: Use the new URI resolution code in totem-pl-parser
	and fix crasher when opening a video at the root of a webserver
	(Closes: #579716)

2009-04-21  Bastien Nocera  <hadess@hadess.net>

	* data/totem.1: Remove out-dated options from the man page

2009-04-21  Bastien Nocera  <hadess@hadess.net>

	* data/totem-video-thumbnailer.1:
	* data/totem-video-thumbnailer.pod: Update man pages

2009-04-21  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Add version number to the libgdata check error

2009-04-15  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_realize), (bacon_video_widget_init):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_realize): Remainders of the patches below to
	use GtkWidget accessors in BaconVideoWidget, which changes how Bvw's
	GdkWindows are created. (Closes: #578591)

2009-04-15  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_show), (bacon_video_widget_hide),
	(bacon_video_widget_expose_event),
	(bacon_video_widget_size_allocate), (bacon_video_widget_init),
	(bvw_handle_application_message), (bvw_handle_element_message),
	(bacon_video_widget_set_show_cursor):
	* src/backend/bacon-video-widget-xine.c (load_video_out_driver),
	(xine_event), (bacon_video_widget_unrealize),
	(bacon_video_widget_expose), (bacon_video_widget_show),
	(bacon_video_widget_hide), (bacon_video_widget_size_allocate),
	(bacon_video_widget_set_show_cursor),
	(bacon_video_widget_set_scale_ratio): Patches from Víctor Manuel
	Jáquez Leal <vjaquez@igalia.com> to use proper GtkWidget accessors
	in BaconVideoWidget. (Helps: #578591)

2009-04-15  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c (resize_video_window),
	(bacon_video_widget_init), (bacon_video_widget_set_zoom),
	(bacon_video_widget_get_zoom):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_realize), (bacon_video_widget_set_zoom),
	(bacon_video_widget_get_zoom):
	* src/backend/bacon-video-widget.h:
	* src/totem-object.c (totem_action_zoom),
	(totem_action_zoom_relative):
	* src/totem-private.h: Change bacon_video_widget_set_zoom to take a
	double. (Closes: #577961)

2009-04-15  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-common.c
	(bacon_video_widget_common_get_vis_quality):
	* src/backend/bacon-video-widget-common.h:
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_set_audio_out_type),
	(bacon_video_widget_dvd_event),
	(bacon_video_widget_set_visuals_quality),
	(bacon_video_widget_set_aspect_ratio),
	(bvw_get_color_balance_channel),
	(bacon_video_widget_get_video_property),
	(bacon_video_widget_set_video_property), (get_metadata_type_name),
	(bacon_video_widget_get_metadata_string),
	(bacon_video_widget_get_metadata_int),
	(bacon_video_widget_get_metadata_bool),
	(bacon_video_widget_get_metadata):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_dvd_event), (bacon_video_widget_realize),
	(bacon_video_widget_new), (bacon_video_widget_set_visuals_quality),
	(bacon_video_widget_set_aspect_ratio),
	(bacon_video_widget_get_video_property),
	(bacon_video_widget_set_video_property),
	(bacon_video_widget_set_audio_out_type),
	(bacon_video_widget_get_metadata_string),
	(bacon_video_widget_get_metadata_int),
	(bacon_video_widget_get_metadata_bool),
	(bacon_video_widget_get_metadata):
	* src/backend/bacon-video-widget.h:
	* src/totem-object.c:
	* src/totem-preferences.c (audio_out_menu_changed),
	(totem_setup_preferences):
	* src/totem-video-indexer.c (totem_print_string),
	(totem_print_int): Standardise BaconVideoWidget's enums to be in the
	"Bvw" namespace. (Helps: #577961)

2009-04-15  Philip Withnall  <philip@tecnocode.co.uk>

	* browser-plugin/totem-plugin-viewer.c
	(totem_embedded_open_internal):
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_class_init), (bacon_video_widget_set_property),
	(bacon_video_widget_get_property), (bacon_video_widget_open),
	(bacon_video_widget_get_mrls):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_class_init), (xine_try_error),
	(bacon_video_widget_open), (bacon_video_widget_set_property),
	(bacon_video_widget_get_property), (bacon_video_widget_get_mrls):
	* src/backend/bacon-video-widget.h:
	* src/backend/bvw-test.c (test_bvw_set_mrl):
	* src/totem-audio-preview.c (main):
	* src/totem-object.c (totem_action_load_media),
	(totem_action_set_mrl_with_warning), (on_got_redirect):
	* src/totem-properties-view.c (totem_properties_view_set_location):
	* src/totem-video-indexer.c (main):
	* src/totem-video-thumbnailer.c (main): Tidy up BaconVideoWidget,
	removing bacon_video_widget_open_with_subtitles in favour of just
	having _open with a mandatory subtitles parameter, renaming two
	badly-named properties, and renaming a badly-named enum member.
	(Helps: #577961)

2009-04-08  Christian Persch  <chpe@gnome.org>

	* src/eggsmclient-xsmp.c: (save_state): Re-sync from libegg master.

2009-04-08  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/skipto/totem-skipto.c: Missing file from previous commit.

2009-04-08  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/totem-plugin-manager.c:
	* src/totem-fullscreen.c:
	* src/totem-menu.c:
	* src/totem-object.c:
	* src/totem-playlist.c:
	* src/totem-preferences.c:
	* src/totem-statusbar.c:
	* src/totem-time-label.c:
	* src/totem-video-list.c: Patch from Shixin Zeng
	<zeng.shixin@gmail.com> to add G_MODULE_EXPORT to signal handlers
	and *_get_type functions. (Helps: #342926)

2009-04-05  Philip Withnall  <philip@tecnocode.co.uk>

	* docs/reference/Makefile.am: Only run the gtk-doc test suite if
	we're compiling with gtk-doc support enabled. (Closes: #577774)

2009-04-01  Philip Withnall <philip@tecnocode.co.uk>

	Update svn:ignore properties.

2009-04-05  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/totem-youtube.c (set_up_tree_view),
	(increment_progress_bar_fraction), (resolve_t_param_cb),
	(thumbnail_loaded_cb), (query_finished_cb), (execute_query),
	(cancel_button_clicked_cb), (notebook_switch_page_cb):
	* src/plugins/youtube/youtube.ui: Added support for cancelling queries
	to the YouTube plugin and tidied up the UI a little.

2009-04-05  Philip Withnall  <philip@tecnocode.co.uk>

	* src/totem-video-list.c (query_tooltip_cb), (show_popup_menu),
	(add_to_playlist_action_callback), (copy_location_action_callback):
	Fixed TotemVideoList to change the sensitivity of its context menu
	entries according to the data available for the current row.

2009-04-04  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* src/backend/bacon-video-widget-gst-0.10.c:
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_get_current_frame):
	* src/backend/bacon-video-widget.h:
	* src/plugins/youtube/totem-youtube.c (starting_video_cb):
	Changed from run-time to compile-time detection of GStreamer elements
	required by the YouTube plugin (i.e. souphttpsrc).

2009-04-03  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bvw_get_tags_of_current_stream):
	Improve debug output a bit by outputting the GstTagList content
	instead of just the memory address.

2009-04-03  Philip Withnall  <philip@tecnocode.co.uk>

	* docs/reference/Makefile.am: Updated API documentation Makefile
	such that it isn't trying to document marshalling API or plugins.
	* docs/reference/totem-docs.xml: Updated API documentation's DocBook
	version to 4.5.

2009-04-03  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (totem_playlist_init): Fix tooltip
	settings in the playlist, nobody could have tested that...

2009-04-03  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bvw_update_interface_implementations):
	Remove unused variable

2009-04-02  Philip Withnall  <philip@tecnocode.co.uk>

	* data/totem.1: Updated the man page to clarify command-line options.
	(Closes: #562651)

2009-04-02  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* src/totem-object.c (totem_callback_connect): Remove our last
	deprecated GTK+ function call, bumping our GTK+ requirement to
	2.16.0. (Closes: #572089)

2009-04-02  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* src/plugins/youtube/totem-youtube.c (resolve_t_param),
	(open_in_web_browser_activate_cb): Updated the YouTube plugin for
	libgdata 0.1.1.

2009-04-02  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/publish/Makefile.am:
	* src/plugins/publish/totem-publish.c
	(totem_publish_plugin_service_name_entry_changed_cb),
	(totem_publish_plugin_encryption_button_toggled_cb),
	(totem_publish_plugin_activate), (totem_publish_plugin_deactivate),
	(totem_publish_plugin_create_configure_dialog),
	(totem_publish_plugin_init), (totem_publish_plugin_dispose): Slightly
	reduce the publish plugin's use of our internals, and make it compile
	again with the libunique changes

2009-04-02  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/brasero-disc-recorder/totem-disc-recorder.c:
	Change "Video (S)VCD" to simply "(S)VCD" for correctness in the
	Brasero plugin. (Closes: #577746)

2009-04-02  Jan Schmidt  <jan.schmidt@sun.com>

	* configure.in:
	* src/backend/bacon-video-widget-gst-0.10.c:
	(bvw_get_navigation_iface), (bacon_video_widget_motion_notify),
	(bacon_video_widget_button_press),
	(bacon_video_widget_button_release), (bvw_handle_element_message),
	(bacon_video_widget_finalize), (bvw_do_navigation_command),
	(bacon_video_widget_dvd_event),
	(bacon_video_widget_set_show_cursor),
	(bvw_update_interface_implementations), (bacon_video_widget_new):
	Add support for new DVD navigation interfaces in gst-plugins-base,
	and bump the requirement to 0.10.22.1 to ensure they're available.

2009-04-02  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (totem_playlist_init):
	Patch from Zachary Strudler <strudz@rpi.edu> to add
	tooltips to the playlist items (Closes: #352553)

2009-04-02  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/Makefile.am:
	* src/bacon-message-connection.c:
	* src/bacon-message-connection.h:
	* src/plugins/lirc/totem-lirc.c (totem_lirc_to_command):
	* src/totem-object.c (totem_remote_command_get_type),
	(totem_action_exit), (totem_action_remote):
	* src/totem-options.c (totem_options_process_for_server):
	* src/totem-options.h:
	* src/totem-private.h:
	* src/totem.c (totem_message_received_cb), (main):
	* src/totem.h: Remove use of bacon-message-connection and
	use libunique instead (Closes: #162822)

2009-04-01  Bastien Nocera  <hadess@hadess.net>

	* src/totem-options.c (totem_options_process_for_server):
	* src/totem-options.h: Remove --print-playing, we
	have a D-Bus plugin to export that data now (Closes: #512232)

2009-04-01  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (totem_playlist_file_changed):
	Only remove files when the location is about to be umounted,
	or is umounted (Closes: #574097)

2009-04-01  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* src/plugins/dbus-service/Makefile.am:
	* src/plugins/dbus-service/dbus-service.py:
	* src/plugins/dbus-service/dbus-service.totem-plugin.in: Added a
	D-Bus Service plugin by Lucky <lucky1.data@gmail.com>.
	(Closes: #576016)

2009-04-01  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/totem-youtube.c (new_from_stream_thread),
	(totem_gdk_pixbuf_new_from_stream_at_scale_async),
	(totem_gdk_pixbuf_new_from_stream_async),
	(totem_gdk_pixbuf_new_from_stream_finish), (thumbnail_loaded_cb),
	(thumbnail_opened_cb): Temporarily copy functions from bug #575900
	into the YouTube plugin in lieu of them being committed.

2009-04-01  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_can_play_youtube_videos):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_can_play_youtube_videos):
	* src/backend/bacon-video-widget.h:
	* src/plugins/youtube/Makefile.am:
	* src/plugins/youtube/totem-youtube.c
	(totem_youtube_plugin_class_init), (totem_youtube_plugin_init),
	(set_up_tree_view), (impl_activate), (impl_deactivate),
	(get_fmt_param), (progress_bar_pulse_cb), (set_progress_bar_text),
	(increment_progress_bar_fraction), (resolve_t_param_cb),
	(resolve_t_param), (thumbnail_loaded_cb), (thumbnail_opened_cb),
	(query_finished_cb), (query_progress_cb), (execute_query),
	(search_button_clicked_cb), (search_entry_activate_cb),
	(load_related_videos), (notebook_switch_page_cb),
	(open_in_web_browser_activate_cb), (value_changed_cb),
	(button_press_event_cb), (button_release_event_cb),
	(starting_video_cb):
	* src/plugins/youtube/youtube.py:
	* src/plugins/youtube/youtube.totem-plugin.in:
	* src/plugins/youtube/youtube.ui:
	* src/totem-cell-renderer-video.c
	(totem_cell_renderer_video_class_init),
	(totem_cell_renderer_video_init),
	(totem_cell_renderer_video_dispose),
	(totem_cell_renderer_video_finalize),
	(totem_cell_renderer_video_set_property), (get_size),
	(totem_cell_renderer_video_render):
	* src/totem-video-list.c (totem_video_list_set_property),
	(row_activated_cb): Ported the YouTube plugin to C, using the shiny
	new libgdata library.

2009-04-01  Philip Withnall <philip@tecnocode.co.uk>

	Update svn:ignore properties.

2009-04-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp: Fix Rewind()
	and Stop() functions to do what they're supposed to in
	the QuickTime compat plugin (Closes: #544066)

2009-04-01  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (ensure_shuffled): Patch from
	Pascal Sachs <psachs@student.ethz.ch> to make sure all the items
	are played when a playlist is shuffled but not in repeat mode
	(Closes: #561949)

2009-04-01  Bastien Nocera  <hadess@hadess.net>

	* lib/totem_internal.h: And delete totem_internal.h too,
	thanks Christian

2009-04-01  Bastien Nocera  <hadess@hadess.net>

	* lib/asprintf.c: Remove unused file (Closes: #577538)

2009-03-31  Philip Withnall  <philip@tecnocode.co.uk>

	* Makefile.am:
	* src/totem-menu.c (about_action_callback): Update the About
	dialogue. (Closes: #573295)

2009-03-31  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/thumbnail/totem-thumbnail.c (set_icon_to_default):
	Patch from Philip Withnall <philip@tecnocode.co.uk> to reset the
	icon properly, see bug #573973

2009-03-31  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (totem_action_set_mrl_with_warning),
	(video_widget_create): Set the default drag action to be copy,
	and only make the video widget a drag source when there's a video
	loaded (Closes: #574565)

2009-03-31  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_close): Reset the seekbar to 0 when a file
	is closed (Closes: #577255)

2009-03-31  Bastien Nocera  <hadess@hadess.net>

	* data/playlist.ui: Patch from Bruce Cowan
	<bugs@bcowan.fastmail.co.uk> to remove the relief on the
	playlist buttons (Closes: #568127)

2009-03-31  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/opensubtitles/opensubtitles.py: Sort the languages
	in the combo box (Closes: #577366)

2009-03-24  Christian Persch  <chpe@gnome.org>

	* src/totem-session.c: (totem_session_restore):
	* src/totem-session.h:
	* src/totem.c: (main): Add smclient options when parsing totem's
	command line. Bug #576620.

2009-03-24  Christian Persch  <chpe@gnome.org>

	* src/eggdesktopfile.c: (egg_set_desktop_file):
	* src/eggsmclient-1.patch:
	* src/eggsmclient.c: (egg_sm_client_get_option_group): Update smclient
	to latest libegg copy. Bug #560328 continued.

2009-03-24  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/screenshot/totem-screenshot-plugin.c (impl_activate):
	Use Ctrl+S not Shift+S to capture a screenshot (Closes: #576610)

2009-03-23  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c: (setup_vis),
	(bacon_video_widget_set_show_visuals):
	Add support for enabling/disabling visualizations while
	playing some file without requiring a restart.

2009-03-23  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	* configure.in:
	* src/backend/bacon-video-widget-gst-0.10.c:
	(bvw_handle_application_message), (parse_stream_info),
	(playbin_stream_changed_cb), (bacon_video_widget_finalize),
	(bacon_video_widget_get_subtitle),
	(bacon_video_widget_set_subtitle), (get_lang_list_for_type),
	(bacon_video_widget_get_subtitles), (setup_vis),
	(bvw_get_current_stream_num), (bvw_get_tags_of_current_stream),
	(bvw_get_caps_of_current_stream),
	(bacon_video_widget_get_metadata_string),
	(bvw_update_interfaces_delayed),
	(bvw_update_interface_implementations), (bacon_video_widget_new):
	Initial port of the GStreamer backend to playbin2 (Partially fixes
	bug #542663).

2009-03-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/plugins/opensubtitles/opensubtitles.py:
	* src/plugins/opensubtitles/opensubtitles.ui:
	If the sub name is long, do not resize the dialog (Fixes bug #576208).

2009-03-20  Philip Withnall  <philip@tecnocode.co.uk>

	* src/totem-video-thumbnailer.c: Fix Cairo #include, spotted by Chris
	Vine <chris@cvine.freeserve.co.uk>. (Closes: #576067)

2009-03-18  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/opensubtitles/opensubtitles.py: Brown paper bag revert
	of the last commit to fix the OpenSubtitles plugin. (Closes: #575771)

2009-03-11  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/opensubtitles/opensubtitles.py: Remove a reference to
	the gettext functions remaining from the previous commit.

2009-03-10  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem/__init__.py: Import gettext and set the
	translation domain when importing the module

	* src/plugins/coherence_upnp/coherence_upnp.py:
	* src/plugins/jamendo/jamendo.py:
	* src/plugins/opensubtitles/opensubtitles.py:
	* src/plugins/youtube/youtube.py: Use the gettext set in the
	totem Python module

	Spotted by Gabor Kelemen <kelemeng@gnome.hu> (Closes: #574700)

2009-03-08  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/publish/totem-publish.c
	(totem_publish_plugin_activate): Americanized a string.

	Updated svn:ignore properties.

2009-03-08  Philip Withnall  <philip@tecnocode.co.uk>

	* data/totem.ui:
	* src/plugins/opensubtitles/opensubtitles.totem-plugin.in:
	* src/plugins/youtube/youtube.totem-plugin.in: Fixed capitalisation in
	a couple of strings. Notably changes the name of the opensubtitles
	plugin to "Subtitle Downloader" (from "Subtitles downloader").
	(Helps: #574524)

2009-03-05  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/opensubtitles/opensubtitles.py: Patch from Ignacio Casal
	Quinteiro <nacho.resa@gmail.com> to fix language selection in the
	OpenSubtitles plugin. (Closes: #572733)

2009-03-03  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/coherence_upnp/coherence_upnp.py: Mark some strings
	as translatable and ensure gettext is imported to the Coherence
	plugin.

============ Version 2.25.92

2009-03-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.92
	* Makefile.am: Some distcheck fixes

2009-03-03  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (totem_embedded_open_uri):
	Fix repeat not working when we open a single file ourselves,
	patch from Kazuhiro Yamato <kyamato@miraclelinux.com>
	(Closes: #572942)

2009-02-24  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add MXF videos (Closes: #572970)

2009-02-23  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/screenshot/totem-gallery.c (totem_gallery_new):
	* src/totem-video-thumbnailer.c (create_gallery): Added some
	translator comments.

2009-02-20  Philip Withnall  <philip@tecnocode.co.uk>

	* src/eggdesktopfile.c (egg_desktop_file_launchv): Patch from Martin
	<mnemo@minimum.se> to fix freeing uninitialised memory in libegg.
	(Closes: #572540)

2009-02-19  Robin Stocker  <robin@nibor.org>

	* src/totem-object.c: Fixed warnings about passing and comparison of
	incompatible pointer types

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (main): Set the PulseAudio application
	properties as per http://pulseaudio.org/wiki/ApplicationProperties

============ Version 2.25.91

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: enable gtk-doc when building tarballs
	* NEWS: upd
	* configure.in: 2.25.91
	* docs/reference/Makefile.am: Fix distcheck

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/screenshot/totem-gallery-progress.c
	(totem_gallery_progress_finalize), (totem_gallery_progress_new),
	(dialog_response_callback), (stdout_watch_cb),
	(totem_gallery_progress_run):
	* src/plugins/screenshot/totem-gallery.c
	(dialog_response_callback):
	* src/plugins/screenshot/totem-screenshot-plugin.c
	(take_gallery_response_cb), (take_gallery_action_cb): Avoid
	using gtk_dialog_run() inside a gtk_dialog_run() call, fixes
	the gallery plugin (Closes: #561088)

2009-02-17  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c (save_pixbuf): Avoid warnings
	when saving to JPEG format

2009-02-17  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/properties/Makefile.am: Ensure deprecation flags are
	used when compiling the properties plugin.

2009-02-17  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/properties/bacon-video-widget-properties.c
	(bacon_video_widget_properties_class_init),
	(bacon_video_widget_properties_init),
	(bacon_video_widget_properties_dispose): Tidy up
	BaconVideoWidgetProperties a little and remove a deprecated GTK+ call.
	(Closes: #572089)

2009-02-16  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c (main): When printing
	gallery progress, switch off buffering, and blocking output

2009-02-16  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c (create_gallery): Only ever
	print progress when we are asked to do so. Fix filename
	in galleries showing up unescaped when a URI is passed as 
	input

2009-02-16  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem-plugins-engine.c
	(totem_plugins_engine_load_file): Patch from Philip Withnall
	<philip@tecnocode.co.uk> to allow builtin plugins to be disabled
	when a GConf key exists for them (Closes: #565975)

2009-02-16  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/properties/bacon-video-widget-properties.c:
	* src/plugins/properties/bacon-video-widget-properties.h:
	* src/plugins/properties/totem-movie-properties.c
	(totem_movie_properties_plugin_metadata_updated): Patch from
	Robin Stocker <robin@nibor.org> to display metadata again
	after recent changes (Closes: #570830)

2009-02-16  Robin Stocker  <robin@nibor.org>

	reviewed by: Philip Withnall <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c: Remove unused fields of
	BaconVideoWidgetPrivate (Closes: #571888)

2009-02-12  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_get_metadata_string): Fix possible crasher
	when the string is NULL (Closes: #571480)

2009-02-11  Philip Withnall  <philip@tecnocode.co.uk>

	Update svn:ignore properties.

2009-02-11  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.py: Imported gettext in YouTube plugin
	to ensure messages are translated.

2009-02-11  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/screensaver/totem-screensaver.c (impl_activate),
	(impl_deactivate): Fix warning on exit

2009-02-11  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/opensubtitles/opensubtitles.py: Add 50-odd
	languages supported by Opensubtitles (Closes: #571132)

2009-02-11  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c: Fix retval type (gboolean, not int)

2009-02-11  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/opensubtitles/opensubtitles.py: Added Portuguese to the
	list of queryable OpenSubtitles languages. (Helps: #571132)

2009-02-10  Philip Withnall  <philip@tecnocode.co.uk>

	* src/eggfileformatchooser.h: Fixed to use single includes for GTK+.
	(Closes: #568337)

2009-02-09  Philip Withnall  <philip@tecnocode.co.uk>

	* browser-plugin/totem-plugin-viewer.c
	(totem_embedded_open_internal), (totem_embedded_set_window):
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle),
	(bacon_video_widget_get_mrls), (bacon_video_widget_can_get_frames),
	(bacon_video_widget_new):
	* src/backend/bacon-video-widget-xine.c (xine_try_error),
	(bacon_video_widget_new), (bacon_video_widget_open_with_subtitle),
	(bacon_video_widget_get_mrls), (bacon_video_widget_can_get_frames):
	* src/plugins/galago/totem-galago.c (impl_activate):
	* src/plugins/gromit/totem-gromit.c (impl_activate):
	* src/plugins/lirc/totem-lirc.c (impl_activate):
	* src/plugins/skipto/totem-skipto-plugin.c (impl_activate): Patch
	from Christian Persch <chpe@gnome.org> to use g_set_error_literal
	where appropriate. (Closes: #570538)

2009-02-09  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/video-utils.c (totem_string_to_time):
	* src/backend/video-utils.h: Utility function to convert a
	human-friendly time string to a gint64.
	* src/plugins/skipto/Makefile.am:
	* src/plugins/skipto/skipto.ui:
	* src/plugins/skipto/totem-skipto.c (totem_skipto_response_cb),
	(totem_skipto_init), (totem_skipto_update_range),
	(totem_skipto_get_range), (totem_skipto_set_current),
	(time_entry_activate_cb), (totem_skipto_new):
	* src/plugins/skipto/totem-time-entry.c
	(totem_time_entry_class_init), (totem_time_entry_init),
	(totem_time_entry_new), (output_cb), (input_cb):
	* src/plugins/skipto/totem-time-entry.h: Accept more human-friendly
	input formats in the "Skip to" dialogue using a new TotemTimeEntry
	widget. (Closes: #565988)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (on_video_button_press_event):
	Patch from Robin Stocker <robin@nibor.org> to focus the
	video widget when it's been clicked (Closes: #570836)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (totem_action_handle_key_press):
	Patch from Robin Stocker <robin@nibor.org> to make space
	work to play/pause in more situations (Closes: #570834)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* gtk-doc.make: Remove generated file

2009-02-07  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/totem-docs.sgml:
	* docs/reference/totem-docs.xml:
	* docs/reference/totem-sections.txt:
	* src/plugins/totem-plugin.c:
	* src/plugins/totem-plugin.h:
	* src/totem-cell-renderer-video.c
	(totem_cell_renderer_video_class_init):
	* src/totem-cell-renderer-video.h:
	* src/totem-interface.c:
	* src/totem-object.c (totem_object_class_init):
	* src/totem-video-list.c (totem_video_list_class_init):
	* src/totem-video-list.h:
	* src/totem.h: Documentation updates and fixes: all documented and
	plugin-visible API is now listed in the documentation, and the
	section titles/descriptions have all been updated. The documentation
	layout has been tidied up, and recent gtk-doc features have been
	taken advantage of
	(http://live.gnome.org/DocumentationProject/GtkDocGnomeGoal).

2009-02-07  Philip Withnall  <philip@tecnocode.co.uk>

	* Makefile.am:
	* configure.in:
	* docs/Makefile.am:
	* docs/reference/Makefile.am:
	* docs/reference/totem-docs.sgml:
	* docs/reference/totem-sections.txt:
	* docs/reference/totem.types:
	* docs/reference/version.xml.in:
	* gtk-doc.make: Add gtk-doc support to Totem, to document the new
	libtotem_main.la noinst library. The documentation's aimed at plugin
	authors. (Closes: #570861)

2009-02-07  Philip Withnall  <philip@tecnocode.co.uk>

	* src/Makefile.am:
	* src/plugins/totem-plugin.c:
	* src/plugins/totem-plugin.h:
	* src/totem-object.c (reset_seek_status), (totem_action_error),
	(totem_action_error_and_exit), (totem_action_save_size),
	(totem_action_save_state), (totem_action_wait_force_exit),
	(totem_action_exit), (totem_action_menu_popup),
	(main_window_destroy_cb), (play_pause_set_label),
	(totem_action_eject), (totem_action_show_properties),
	(totem_action_play), (totem_action_seek),
	(totem_action_set_mrl_and_play), (totem_action_open_dialog),
	(totem_dvb_setup_result), (totem_action_load_media),
	(totem_action_load_media_device), (totem_action_play_media_device),
	(totem_action_play_media), (totem_action_stop),
	(totem_action_play_pause), (totem_action_pause),
	(window_state_event_cb), (totem_action_fullscreen_toggle),
	(totem_action_fullscreen), (fs_exit1_activate_cb),
	(totem_action_open), (totem_open_location_destroy),
	(totem_open_location_response_cb), (totem_action_open_location),
	(totem_get_nice_name_for_stream), (update_mrl_label),
	(totem_action_set_mrl_with_warning), (totem_action_set_mrl),
	(totem_time_within_seconds), (totem_action_direction),
	(totem_action_previous), (totem_action_next),
	(totem_seek_time_rel), (totem_action_seek_relative),
	(totem_action_seek_time), (totem_action_zoom),
	(totem_action_zoom_relative), (totem_action_zoom_reset),
	(totem_action_volume_relative), (totem_action_volume_toggle_mute),
	(totem_action_toggle_aspect_ratio),
	(totem_action_set_aspect_ratio), (totem_action_get_aspect_ratio),
	(totem_action_set_scale_ratio), (totem_action_show_help),
	(totem_action_drop_files), (drop_video_cb), (drag_motion_video_cb),
	(drop_playlist_cb), (drag_motion_playlist_cb), (drag_video_cb),
	(on_got_redirect), (on_title_change_event),
	(on_channels_change_event), (on_playlist_change_name),
	(on_got_metadata_event), (on_error_event), (on_buffering_event),
	(update_seekable), (update_current_time),
	(volume_button_value_changed_cb), (update_volume_sliders),
	(property_notify_cb_volume), (property_notify_cb_logo_mode),
	(property_notify_cb_seekable), (seek_slider_pressed_cb),
	(seek_slider_changed_cb), (seek_slider_released_cb),
	(totem_action_open_files), (totem_action_open_files_list),
	(show_controls), (totem_action_toggle_controls),
	(totem_action_next_angle), (totem_action_set_playlist_index),
	(totem_action_remote), (totem_action_remote_set_setting),
	(totem_action_remote_get_setting), (playlist_changed_cb),
	(item_activated_cb), (current_removed_cb), (subtitle_changed_cb),
	(playlist_repeat_toggle_cb), (playlist_shuffle_toggle_cb),
	(totem_is_fullscreen), (totem_is_playing), (totem_is_paused),
	(totem_is_seekable), (on_mouse_click_fullscreen),
	(on_video_button_press_event), (on_eos_event),
	(totem_action_handle_key_release), (totem_action_handle_seek),
	(totem_action_handle_key_press), (totem_action_handle_scroll),
	(window_key_press_event_cb), (window_scroll_event_cb),
	(update_media_menu_items), (update_buttons),
	(main_pane_size_allocated), (totem_setup_window),
	(totem_callback_connect), (playlist_widget_setup),
	(video_widget_create):
	* src/totem-private.h:
	* src/totem.c: Move most of totem.c into totem-object.c and break
	the core of Totem out to a noinst library, libtotem_main.la.
	This allows gtk-doc to be run on it. (Helps: #570861)

2009-02-06  Philip Withnall  <philip@tecnocode.co.uk>

	* src/totem-object.c (totem_object_class_init),
	(totem_object_get_property): Remove unused and broken error-shown
	property.
	* src/plugins/totem-plugin.c (totem_plugin_class_init):
	* src/plugins/totem-plugin.h:
	* src/totem-cell-renderer-video.c
	(totem_cell_renderer_video_class_init):
	* src/totem-interface.c:
	* src/totem-video-list.c (totem_video_list_class_init):
	* src/totem.h: Add the rest of the plugin-visible API documentation.
	(Closes: #524119)

2009-02-04  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (on_eos_event): Patch from Maxim Ermilov
	<zaspire@rambler.ru> to make looping through a single file
	with repeat enabled a little smoother (Closes: #478714)

2009-02-03  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/totem-python-module.c (totem_python_module_load):
	Ensure Python's initialised before loading any Python modules.
	Makes Totem more robust in the case of bug #570087.

============ Version 2.25.90

2009-02-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.90

2009-02-03  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/screensaver/totem-screensaver.c (got_metadata_cb),
	(impl_activate), (impl_deactivate): Also update the screensaver
	status when we get more metadata from the backend, as it's possible
	we don't detect there's a video stream when playing starts
	(Closes: #562847)

2009-01-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/plugins/opensubtitles/opensubtitles.py:
	Make unsensitive the treeview when you download a subtitle.
	Fixes bug #569643.

2009-01-28  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add video/x-ms-asx as a supported
	mime-type, as used on http://www.oireachtas.ie (Closes: #569483)

2009-01-23  Brian Cameron  <brian.cameron@sun.com>

	* src/eggfileformatchooser.c:  Use G_STRFUNC instead of __FUNCTION__
	so code compiles with non-gcc compilers.  Fixes bug #568511.

2009-01-22  Philip Withnall  <philip@tecnocode.co.uk>

	* src/totem-session.c (totem_session_restore): Add a check for
	filenames != NULL to totem_session_restore. (Closes: #443605)

2009-01-21  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (totem_playlist_add_one_mrl):
	Don't ever use empty titles as the display name

	* src/plugins/coherence_upnp/coherence_upnp.py: Add a shadow
	around the treeview and use add_to_playlist_and_play
	for the double-click

2009-01-21  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: Fix retval

2009-01-20  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/coherence_upnp/Makefile.am:
	* src/plugins/coherence_upnp/coherence_upnp.py:
	* src/plugins/coherence_upnp/coherence_upnp.totem-plugin.in:
	Add Coherence UPNP plugin from Frank Scholz

2009-01-18  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c (on_recent_file_item_activated):
	Don't add the recent file to the recent files list
	*again*
	* src/totem-object.c (totem_add_to_playlist_and_play):
	Don't try to play past the last item in the playlist,
	so that clicking on a menu item doesn't play the
	current file again, but the one we just added

2009-01-16  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Move burn menu item above the properties

2009-01-16  Bastien Nocera  <hadess@hadess.net>

	Patch from Philippe Rouquier <bonfire-app@wanadoo.fr> and
	Luis Medinas <lmedinas@gnome.org> to add a Brasero plugin

	* configure.in:
	* data/totem.ui: Add placeholders for Burn items
	* src/plugins/brasero-disc-recorder/*:
	Add Brasero plugin to allow creating VCDs from playing video
	files, and duplicate VCDs and DVDs (Closes: #565383)

2009-01-13  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/properties/bacon-video-widget-properties.c
	(bacon_video_widget_properties_from_metadata): Fix artist
	title mixup, spotted by Sebastian Keller (Closes: #567580)

2009-01-13  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/lirc/totem-lirc.c (totem_lirc_to_setting),
	(totem_lirc_read_code):
	* src/plugins/lirc/totem_lirc_default: Patch from
	Vidar Braut Haarr <vhaarr+bgo@gmail.com> to support
	repeat and shuffle through LIRC (Closes: #567258)

2009-01-13  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_set_video_property):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_set_video_property): Patch from
	Anssi Hannula <anssi@mandriva.org> to avoid
	reseting the colour balance sliders when they're
	at the maximum or minimum (Closes: #567279)

2009-01-13  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add application/vnd.ms-wpl
	as a supported playlist

2009-01-06  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (totem_add_to_playlist_and_play):
	Fix totem_add_to_playlist_and_play() to add files to
	the playlist and play them, even if the playlist is empty,
	spotted by Philip Withnall <philip@tecnocode.co.uk>
	(Closes: #563961)

2009-01-06  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_metadata_string):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_get_metadata_string):
	Remove linefeeds from strings, and replace them by spaces
	(Closes: #566455)

2009-01-06  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c (totem_uri_get_subtitle_for_uri):
	Reduce the scope of subtitle_ext_upper

2009-01-06  Bastien Nocera  <hadess@hadess.net>

	* data/mime-functions.sh: Remove PLS and M3U files
	from the audio types, remove XSPF, SMIL, Google Video
	Pointers and Quicktime Media Links from the video types

2009-01-06  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add audio/x-gsm

2009-01-04  Philip Withnall  <philip@tecnocode.co.uk>

	* data/mime-type-include.sh:
	* lib/totem-scrsaver.c:
	* src/backend/bacon-resize.c:
	* src/backend/bvw-test.c (test_bvw_set_mrl):
	* src/backend/video-utils.c (totem_time_to_string):
	* src/plugins/gromit/totem-gromit.c
	(totem_gromit_ensure_config_file):
	* src/plugins/media-player-keys/totem-media-player-keys.c:
	* src/plugins/ontop/totem-ontop.c:
	* src/plugins/properties/bacon-video-widget-properties.c:
	* src/plugins/properties/totem-movie-properties.c:
	* src/plugins/screensaver/totem-screensaver.c:
	* src/plugins/screenshot/totem-gallery-progress.c:
	* src/plugins/screenshot/totem-gallery.c:
	* src/plugins/screenshot/totem-screenshot-plugin.c:
	* src/plugins/screenshot/totem-screenshot.c:
	* src/plugins/sidebar-test/totem-sidebar-test.c:
	* src/plugins/skipto/totem-skipto-plugin.c:
	* src/plugins/skipto/totem-skipto.c:
	* src/plugins/thumbnail/totem-thumbnail.c:
	* src/plugins/totem-module.c:
	* src/plugins/totem-plugin.h:
	* src/plugins/totem-plugins-engine.c (garbage_collect_cb):
	* src/plugins/totem-python-module.c
	(totem_python_module_init_python), (totem_python_garbage_collect),
	(totem_python_shutdown):
	* src/plugins/tracker/totem-tracker-widget.c:
	* src/plugins/tracker/totem-tracker.c:
	* src/totem-fullscreen.c:
	* src/totem-menu.c:
	* src/totem-open-location.c:
	* src/totem-options.c (option_version_cb):
	* src/totem-playlist.c:
	* src/totem-preferences.c (tpw_color_reset_clicked_cb):
	* src/totem-properties-view.c:
	* src/totem-resources.c:
	* src/totem-session.c:
	* src/totem-statusbar.c:
	* src/totem-subtitle-encoding.c:
	* src/totem-time-label.c:
	* src/totem-uri.c (totem_uri_get_subtitle_for_uri):
	* src/totem-video-indexer.c:
	* src/totem.c (main_window_destroy_cb): Cleanups to fix a few
	warnings when building with more gcc warning flags than normal.
	(Closes: #565874)

2009-01-03  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/opensubtitles/opensubtitles.ui: UI and string cleanups
	for the OpenSubtitles plugin. (Closes: #566134)

2009-01-03  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/jamendo/Makefile.am:
	* src/plugins/jamendo/jamendo.glade:
	* src/plugins/jamendo/jamendo.py: Convert the Jamendo plugin to
	GtkBuilder and fix some translation and UI issues. With contributions
	from izi <izimobil@gmail.com>. (Closes: #566123)

2009-01-03  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/screenshot/gallery.ui: Avoid warnings
	at run-time, better string for the thumbnail width

2008-12-30  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/screenshot/totem-screenshot-plugin.c (impl_activate):
	Change the gallery menu entry from "Take Gallery" to "Create Gallery",
	and removed the duplicate icon. (Closes: #565917)

2008-12-28  Philip Withnall  <philip@tecnocode.co.uk>

	Update svn:ignore properties.

2008-12-27  Philip Withnall  <philip@tecnocode.co.uk>

	* configure.in:
	* data/totem.ui:
	* src/Makefile.am:
	* src/plugins/screenshot/Makefile.am:
	* src/plugins/screenshot/gallery.ui:
	* src/plugins/screenshot/screenshot.totem-plugin.in:
	* src/plugins/screenshot/totem-gallery-progress.c
	(totem_gallery_progress_class_init), (totem_gallery_progress_init),
	(totem_gallery_progress_finalize), (totem_gallery_progress_new),
	(dialog_response_callback), (process_line), (stdout_watch_cb),
	(totem_gallery_progress_run):
	* src/plugins/screenshot/totem-gallery-progress.h:
	* src/plugins/screenshot/totem-gallery.c
	(totem_gallery_class_init), (totem_gallery_init),
	(totem_gallery_new), (default_screenshot_count_toggled_callback),
	(dialog_response_callback):
	* src/plugins/screenshot/totem-gallery.h:
	* src/plugins/screenshot/totem-screenshot-plugin.c
	(totem_screenshot_plugin_class_init),
	(totem_screenshot_plugin_init), (take_screenshot_action_cb),
	(take_gallery_action_cb), (window_key_press_event_cb),
	(update_state), (got_metadata_cb), (notify_logo_mode_cb),
	(disable_save_to_disk_changed_cb), (impl_activate),
	(impl_deactivate), (make_filename_for_dir),
	(totem_screenshot_plugin_setup_file_chooser),
	(totem_screenshot_plugin_update_file_chooser):
	* src/plugins/screenshot/totem-screenshot-plugin.h:
	* src/plugins/screenshot/totem-screenshot.c
	(totem_screenshot_response), (totem_screenshot_init),
	(totem_screenshot_new):
	* src/plugins/screenshot/totem-screenshot.h:
	* src/totem-menu.c:
	* src/totem-preferences.c (totem_setup_preferences):
	* src/totem-private.h:
	* src/totem-screenshot.c:
	* src/totem-screenshot.h:
	* src/totem-video-thumbnailer.c (create_gallery), (main):
	* src/totem.c (totem_action_set_mrl_with_warning),
	(on_got_metadata_event), (totem_action_handle_key_press): Add UI to
	allow creation of galleries, by moving the current screenshot
	dialogue out to a built-in "screenshot" plugin, and adding a
	dialogue for creating galleries, as well as a progress dialogue.
	Currently, the progress dialogue does not fully work due to pipe
	problems. (Helps: #561088)

2008-12-25  Eric Piel  <e.a.b.piel@tudelft.nl>

	reviewed by: Philip Withnall

	* src/plugins/youtube/youtube.ui: little UI fix for youtube plugin
	(Closes: #565583)

2008-12-24  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-gst-missing-plugins.c: Fix #includes
	when building with --disable-easy-codec-installation.
	(Closes: #565512)

2008-12-17  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove libstartup-notification
	requirement, we haven't used it in a long while

============ Version 2.25.3

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.3

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Add the opensubtitles plugin to the build
	system (Closes: #561085)

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/opensubtitles/Makefile.am:
	* src/plugins/opensubtitles/hash.py:
	* src/plugins/opensubtitles/opensubtitles.py:
	* src/plugins/opensubtitles/opensubtitles.totem-plugin.in:
	* src/plugins/opensubtitles/opensubtitles.ui: Patch
	from Xavier Queralt <xqueralt@gmail.com> and adebarbara@gmail.com
	to add a plugin to download subtitles for the currently playing
	movie (Closes: #561085)

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c (totem_uri_get_cached_subtitle_for_uri),
	(totem_uri_get_subtitle_uri): Also look for subtitles
	in our subtitles cache directory (Helps: #561085)

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Move the subtitle download
	placeholder to the correct location (Helps: #561085)

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* bindings/python/totem.defs:
	* src/totem-object.c (totem_set_current_subtitle):
	* src/totem.h: Add a way to set the subtitle for the currently
	playing movie from Python (Helps: #561085)

2008-12-15  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c (create_gallery):
	Fix warning, and translate headers when creating a gallery

2008-12-15  Philip Withnall  <philip@tecnocode.co.uk>

	* src/totem-video-thumbnailer.c (scale_pixbuf), (save_pixbuf),
	(cairo_surface_to_pixbuf), (create_gallery), (main): Add an option
	to totem-video-thumbnailer to create galleries of screenshots from
	videos. (Helps: #561088)

2008-12-12  Philip Withnall  <philip@tecnocode.co.uk>

	* browser-plugin/test-glow-button.c (main):
	* src/plugins/gromit/totem-gromit.c (totem_gromit_clear):
	* src/plugins/totem-plugins-engine.c (totem_plugins_engine_init),
	(totem_plugins_engine_shutdown):
	* src/plugins/totem-python-module.c (totem_python_shutdown):
	* src/test-properties-page.c (main): Use g_timeout_add_seconds
	instead of g_timeout_add where possible to allow for event grouping.
	(Closes: #564073)

2008-12-12  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_new): Don't read visuals settings
	from GConf, that's the job of the front-end

2008-12-12  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_motion_notify): Don't eat motion
	notify events, the xine-lib backend never did, and that's
	unneeded

2008-12-11  Philip Withnall  <philip@tecnocode.co.uk>

	* src/eggdesktopfile.c (set_startup_notification_timeout):
	Update libegg files from trunk libegg.

2008-12-11  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-indexer.c (main): Add --no-limit
	option to the indexer, as it exists in the thumbnailer

2008-12-11  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_new): Don't auto-resize by default

2008-12-11  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* src/Makefile.am:
	* src/backend/Makefile.am: Remove NVTV_{LIBS,CFLAGS} from
	the makefiles

2008-12-11  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (totem_callback_connect): Fix the scrollwheel
	not working on the fullscreen seekbar (Closes: #563894)

2008-12-11  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/properties/bacon-video-widget-properties.c
	(bacon_video_widget_properties_from_metadata): Fix warnings
	playing back video from
	http://bugzilla.gnome.org/show_bug.cgi?id=564053

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (playlist_remove_files): Remove
	dead code

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c (totem_uri_is_subtitle):
	* src/totem-uri.h: Add totem_uri_is_subtitle() to check
	whether a URI is a subtitle

	* src/totem-playlist.c (totem_playlist_set_current_subtitle):
	* src/totem-playlist.h: Add totem_playlist_set_current_subtitle()
	to set the subtitle for the currently playing movie

	* src/totem.c (totem_action_drop_files): When dropping files
	on the video widget, if there's only one file, and it looks
	like a subtitle, use it for the currently playing movie

	(Closes: #469566)

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (drop_video_cb): Fix some calls to
	gtk_drag_finish()

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp:
	* lib/totem-scrsaver.c (screensaver_disable_x11):
	* src/totem-statusbar.c (totem_statusbar_push):
	Use g_timeout_add_seconds instead of g_timeout_add for
	a couple of non time critical places

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui:
	* src/totem-menu.c (select_subtitle_action_callback):
	* src/totem-playlist.c (totem_playlist_select_subtitle_dialog),
	(playlist_select_subtitle_action_callback):
	* src/totem-playlist.h:
	* src/totem-uri.c:
	* src/totem-uri.h:
	* src/totem.c (totem_action_set_mrl_with_warning):
	Patch from Kamil Pawlowski <kamilpe@gmail.com> to allow
	selecting a text subtitle for the currently playing
	movie, from the View menu (Closes: #499463)

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-dnd-menu.c (drag_menu_deactivate_callback),
	(totem_drag_ask):
	* src/totem-playlist.c (drop_cb):
	* src/totem.c (drop_video_cb), (drop_playlist_cb): Use
	GDK_ACTION_DEFAULT instead of 0 for the cancelled drops,
	as pointed out by Robin Stocker <robin@nibor.org>

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (drop_video_cb), (drop_playlist_cb),
	(drag_motion_playlist_cb), (totem_callback_connect):
	Make "ask" drag'n'drop work on the sidebar button as well

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am:
	* src/eggfileformatchooser.[ch]: Add the EggFileFormatChooser
	from bug 440431
	* src/totem-playlist.c (totem_playlist_save_playlist),
	(suffix_match_replace), (format_selection_changed),
	(totem_playlist_save_add_format_chooser),
	(totem_playlist_save_files): Use a better file format chooser,
	- if the extension isn't known, use "PLS"
	- when changing the file type, change the prefix of the saved file
	(Closes: #379608)

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (drop_video_cb): Only show the "Add to playlist"
	menu item on drop when the playlist isn't empty

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c (totem_add_to_playlist_and_play),
	(totem_get_playlist_length):
	* src/totem-playlist.c (totem_playlist_get_current),
	(totem_playlist_get_last):
	* src/totem-playlist.h:
	* src/totem-session.c (totem_save_state_cb):
	* src/totem.h: Fix totem_playlist_get_current() and
	totem_playlist_get_last() returning negative values
	(Closes: #563961)

2008-12-10  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am:
	* src/totem-dnd-menu.[ch]:
	* src/totem-playlist.c (drop_cb):
	* src/totem.c (drop_video_cb), (drag_motion_video_cb):
	Patch from Maxim Ermilov <zaspire@rambler.ru> to allow
	"ask" drag'n'drop on the treeview and the video widget
	(Closes: #563252)

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/tracker/totem-tracker-widget.c:
	Fix building with newer versions of tracker (Closes: #563706)

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* bindings/python/totem.defs:
	* src/plugins/properties/totem-movie-properties.c
	(totem_movie_properties_plugin_metadata_updated):
	* src/totem-object.c (totem_object_class_init),
	(totem_metadata_updated):
	* src/totem.c (totem_get_nice_name_for_stream),
	(on_channels_change_event), (on_got_metadata_event):
	* src/totem.h:
	* src/totemobject-marshal.list: Fix the metadata-updated
	signal to actually pass data, add track number to its
	arguments (Closes: #562788)

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c (totem_fullscreen_motion_notify),
	(totem_fullscreen_show_popups):
	* src/totem-fullscreen.h:
	* src/totem.c (totem_action_remote), (on_mouse_click_fullscreen),
	(totem_action_handle_key_press), (totem_action_handle_scroll):
	Show the popup when seeking with the keyboard in fullscreen,
	patch from Robin Stocker <robin@nibor.org> (Closes: #559024)

2008-12-08  Bastien Nocera  <hadess@hadess.net>

	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/totem-tv.svg:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/totem-tv.svg:
	* data/icons/24x24/Makefile.am:
	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/totem-tv.svg:
	* data/icons/48x48/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/totem-tv.svg:
	Add TV icon from da.needcoffee at googlemail.com
	http://lists.freedesktop.org/archives/tango-artists/2007-June/001336.html

	* src/totem-menu.c (update_dvb_menu_items): Use
	new icon in the menus for DVB adapters (Closes: #515763)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_set_show_visuals):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_set_show_visuals):
	* src/backend/bacon-video-widget.h:
	* src/totem-preferences.c (totem_prefs_set_show_visuals),
	(checkbutton2_toggled_cb), (totem_setup_preferences):
	Remove retval from bacon_video_widget_set_show_visuals()
	as both backends can switch visuals on-the-fly

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* data/totem.ui:
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_realize), (bacon_video_widget_unrealize),
	(bacon_video_widget_set_fullscreen), (bacon_video_widget_new):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_realize), (bacon_video_widget_unrealize),
	(bacon_video_widget_set_fullscreen):
	* src/backend/bacon-video-widget.h:
	* src/totem-preferences.c (totem_setup_preferences):
	* src/totem-preferences.h:
	* src/totem.c (video_widget_create): Kill NVTV support,
	nv supports tv-out through XRandR for the G80 (GeForce 8000) and up,
	and nouveau for pretty much everything it supports
	(Closes: #473692)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* src/totem-options.c (totem_options_process_for_server):
	* src/totem-options.h:
	* src/totem-private.h:
	* src/totem.c (totem_action_exit), (totem_action_volume_relative),
	(totem_action_volume_toggle_mute),
	(volume_button_value_changed_cb), (totem_action_remote):
	* src/totem.h: Add proper support for mute toggling through
	the remote interface, and add a command-line option for it
	(Closes: #554318)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/jamendo/jamendo.glade:
	* src/plugins/jamendo/jamendo.py: Corrected previous
	commits, patch from David JEAN LOUIS <izimobil@gmail.com>

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: We also support SID files,
	patch from Robin Sonefors <ozamosi@flukkost.nu>
	(Closes: #559953)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (on_eos_event):
	Fix repeat being ignored when playing back the stream
	from the disk and it is seekable (Closes: #557407)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_init): Fix default zoom ratio being
	zero when using the web browser, and a single dot appearing
	as video

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/properties/bacon-video-widget-properties.c
	(bacon_video_widget_properties_reset): Change empty
	comment to show as empty not "Unknown" (Closes: #563298)

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Add a "subtitle-download-placeholder"
	placeholder in the UI for the OpenSubtitles plugin
	to slot in there

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/jamendo/jamendo.glade: Fix duplicate XML
	in the file

2008-12-05  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/jamendo/Makefile.am:
	* src/plugins/jamendo/jamendo.glade:
	* src/plugins/jamendo/jamendo.py:
	* src/plugins/jamendo/jamendo.totem-plugin.in:
	* totem.spec.in: Patch from David JEAN LOUIS <izimobil@gmail.com>
	to add the Jamendo plugin (Closes: #561811)

2008-12-03  Bastien Nocera  <hadess@hadess.net>

	* bindings/python/totem.defs: Fix add_to_playlist_and_play
	bindings, as spotted by izi

2008-12-03  Bastien Nocera  <hadess@hadess.net>

	* bindings/python/totem.defs: Add add_to_playlist_and_play to the
	bindings, add toggle-aspect and stop to the possible remote commands

2008-12-03  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Patch from DJ Lucas
	<blfs-dev@lfs.lucasit.com> to allow building the browser plugin
	when X11 isn't in the defined include dirs already (Closes: #563087)

2008-12-01  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix up some reporting at the end

2008-12-01  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (resize_video_window),
	(bacon_video_widget_size_allocate), (bacon_video_widget_set_zoom),
	(bacon_video_widget_get_zoom):
	Patch from Robin Stocker <robin@nibor.org> to add zoom support
	to the GStreamer backend (Closes: #171916)
	* src/backend/bacon-video-widget-xine.c:
	* src/backend/bacon-video-widget.h:
	* src/totem.c (totem_callback_connect):
	Remove _can_set_zoom() function, both our backends can

2008-11-28  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_set_scale_ratio): Fix warnings
	in the thumbnailer, indexer and sound preview, as we don't
	have any video windows

2008-11-28  Philip Withnall  <philip@tecnocode.co.uk>

	* src/totem-playlist.c (drop_cb):
	* src/totem.c (drop_video_cb), (drag_motion_video_cb),
	(drop_playlist_cb), (video_widget_create): Patch by Robin Stocker
	<robin@nibor.org> to add a drag-and-drop modifier key for the video
	widget and playlist, allowing adding to and replacing of the playlist,
	respectively. (Closes: #372220)

2008-11-23  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/totem-plugins-engine.c (totem_plugins_engine_load),
	(load_plugin_module):
	* src/plugins/totem-python-module.c (totem_python_module_load),
	(totem_python_module_unload), (totem_python_module_new_object),
	(totem_python_module_init), (totem_python_module_finalize):
	* src/plugins/totem-python-plugin.c (totem_python_object_init),
	(totem_python_object_finalize), (totem_python_object_get_type):
	Standardise debug output from the plugin system to use the D() macro.

2008-11-23  Christian Persch  <chpe@gnome.org>

	Bug 560328 – update smclient with latest libegg

	* src/eggdesktopfile.c: (egg_desktop_file_new),
	(egg_desktop_file_new_from_dirs),
	(egg_desktop_file_new_from_key_file), (start_startup_notification),
	(egg_desktop_file_launchv):
	* src/eggdesktopfile.h:
	* src/eggsmclient-1.patch:
	* src/eggsmclient-osx.c: (egg_sm_client_osx_class_init),
	(egg_sm_client_osx_new), (sm_client_osx_startup),
	(idle_quit_requested), (quit_requested), (quit_requested_resumed),
	(idle_will_quit):
	* src/eggsmclient-win32.c: (egg_sm_client_win32_init),
	(sm_client_win32_end_session), (emit_quit_requested), (emit_quit),
	(emit_quit_cancelled), (got_message),
	(g_win32_handle_source_finalize):
	* src/eggsmclient-xsmp.c: (sm_client_xsmp_set_initial_properties),
	(save_state), (set_properties), (ptrarray_prop):
	* src/eggsmclient.c: (sm_client_post_parse_func),
	(egg_sm_client_get): Update from libegg.

2008-11022  Patryk Zawadzki  <patrys@pld-linux.org>

	* data/totem.desktop.in.in.in: Drop X-* categories
	(Closes: #552027)

2008-11-13  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bvw_handle_application_message): Fix window
	resizing to bigger than the screen when playing large video
	files and "Resize window when new video is loaded" is selected
	(Closes: #416610)

2008-11-12  Philip Withnall  <philip@tecnocode.co.uk>

	* data/properties.ui: Make the title, album, artist and comment
	labels wrappable. (Closes: #560511)

2008-11-12  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_new): Remove a deprecated GLib symbol.
	(Closes: #560448)

2008-11-10  Cosimo Cecchi  <cosimoc@gnome.org>

	* browser-plugin/totem-glow-button.h:
	* src/backend/bacon-resize.h:
	* src/backend/bacon-video-widget.h:
	* src/ev-sidebar.h:
	* src/plugins/properties/bacon-video-widget-properties.h:
	* src/plugins/skipto/totem-skipto.h:
	* src/plugins/totem-plugins-engine.c:
	* src/totem-audio-preview.c:
	* src/totem-object.c:
	* src/totem-open-location.h:
	* src/totem-playlist.h:
	* src/totem-preferences.c:
	* src/totem-resources.c:
	* src/totem-screenshot.h:
	* src/totem-statusbar.c:
	* src/totem-statusbar.h:
	* src/totem-time-label.h:
	* src/totem-uri.h:
	* src/totem-video-indexer.c:
	Use single GTK+/GLib includes.

2008-11-10  Josselin Mouette  <joss@malsain.org>

	* data/totem.1: right arrow skips 60 seconds, not 15.

2008-11-03  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (got_time_tick):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_tick_send): Patch by Robin Stocker
	<robin@nibor.org> to fix the inverted logic in the "is_live_stream"
	calculation, fixes local files being stopped instead of paused
	(Closes: #559078)

2008-10-29  Philip Withnall  <philip@tecnocode.co.uk>

	* src/backend/video-utils.c (totem_time_to_string): Use C_() instead
	of Q_() to separate translation context from strings.
	(Closes: #513627)

2008-10-27  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/tracker/totem-tracker-widget.c
	(totem_tracker_widget_init):
	* src/plugins/youtube/youtube.ui: Harmonise the appearance of the
	YouTube and Local Search sidebars, making them both look like the
	latter. (Closes: #558118)

2008-10-26  Philip Withnall  <philip@tecnocode.co.uk>

	* data/playlist.ui:
	* src/totem-uri.c (totem_add_subtitle): Rename the
	"Select text subtitle..." entry in the playlist popup menu to
	"Select Text Subtitles..." for consistency with the Subtitles menu and
	the HIG. (Closes: #554929)

2008-10-26  Philip Withnall  <philip@tecnocode.co.uk>

	* bindings/python/totem.defs: Fix the Python bindings for
	totem.action_volume_relative so that a float is expected, rather than
	an int.
	* src/totem.c: Fix the documentation for the same function.

2008-10-25  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.py: Patch from Matthew Adams
	<roguestar191@comcast.net> to use read() instead of readline() when
	searching for the t-param in YouTube searches, in order to reduce the
	number of regexp searches.

2008-10-25  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.py: Fix YouTube plugin behaviour when
	attempting to perform multiple searches simultaneously, and fix some
	threading problems where GTK+ functions were being called from a
	spawned thread. (Closes: #557470)

2008-10-24  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.py: Remove redundant HTTP request
	when loading search results.

2008-10-24  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.py: Update the YouTube URL resolution
	code to work with Google's latest updates to YouTube.
	(Closes: #557681)

2008-10-24  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (seek_slider_pressed_cb), (seek_slider_released_cb):
	Add hack from Rhythmbox to force the behaviour of the left-click
	button to skip directly to the position we clicked, as if we were
	using the middle-button click (Closes: #129671)

2008-10-22  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui:
	* src/totem-sidebar.c (totem_sidebar_is_focused):
	* src/totem-sidebar.h:
	* src/totem.c (window_key_press_event_cb): Remove accelerators for the
	window resize menu items, they were causing problems with the latest
	GTK+ whenever the sidebar was used (Closes: #557447)

2008-10-22  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_video_property):
	* src/totem-preferences.c (totem_setup_preferences):
	Only display colour balance sliders that are available for
	the video adapter in use, hide the whole preference if
	nothing is available (Closes: #556009)

2008-10-22  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (bvw_query_timeout):
	Don't tell the front-end we have metadata with a timeout when
	in capture or metadata mode, patch from Tim-Philipp Müller
	<tim.muller@collabora.co.uk> (Closes: #554355)

2008-10-22  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (seek_slider_pressed_cb): Don't show seeking to
	label when we can direct seek (Closes: #338390)

2008-10-21  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (bvw_bus_message_cb):
	Fix playing property being wrong when an error occurs
	(Closes: #556039)

2008-10-14  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_best_image): Revert last patch,
	we were already checking for GST_TAG_PREVIEW_IMAGE

2008-10-13  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_best_image): Patch from John Millikin
	<jmillikin@gmail.com> to also look for the GST_TAG_PREVIEW_IMAGE
	tag when trying to get audio file covers (Closes: #556074)

2008-10-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/idl/totemIBasicPlayer.idl:
	* browser-plugin/totem-plugin-viewer.c (parse_plugin_type):
	* browser-plugin/totemBasicPlugin.cpp:
	* browser-plugin/totemBasicPlugin.h:
	* browser-plugin/totemPlugin.cpp:
	* configure.in: Remove the "basic" web browser plugin, you should
	now use the VLC API to control the basic mime-types (Closes: #554867)

2008-10-08  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h: As the requestURI isn't an absolute
	URI anymore, it might not have a scheme, in which case, check that
	of the baseURI, fixes viewer being called with a playlist, instead
	of a media URI when the src is relative (Closes: #555417)

2008-10-08  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (relative_uri_remove_query),
	(resolve_uri): g_file_resolve_relative_path() doesn't handle queries
	(or fragments, but we don't care about them), so work around that
	fact. Fixes resolution of filenames when they have a '?' in their
	name (Helps: #555417)

2008-10-08  Bastien Nocera  <hadess@hadess.net>

	* src/eggdesktopfile.c:
	* src/eggdesktopfile.h:
	* src/eggsmclient-1.patch:
	* src/eggsmclient-2.patch:
	* src/eggsmclient-3.patch:
	* src/eggsmclient-osx.c:
	* src/eggsmclient-private.h:
	* src/eggsmclient-win32.c:
	* src/eggsmclient-xsmp.c:
	* src/eggsmclient.c:
	* src/eggsmclient.h: Add missing files (Closes: #555500)

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_mrls): Require rsndvdbin
	for DVD playback, as that does handle menus
	(Closes: #515982)

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* bindings/python/Makefile.am:
	* browser-plugin/Makefile.am:
	* configure.in:
	* lib/Makefile.am:
	* src/Makefile.am:
	* src/backend/Makefile.am:
	* src/plugins/Makefile.am:
	* src/plugins/bemused/Makefile.am:
	* src/plugins/galago/Makefile.am:
	* src/plugins/gromit/Makefile.am:
	* src/plugins/lirc/Makefile.am:
	* src/plugins/media-player-keys/Makefile.am:
	* src/plugins/mythtv/Makefile.am:
	* src/plugins/ontop/Makefile.am:
	* src/plugins/properties/Makefile.am:
	* src/plugins/publish/Makefile.am:
	* src/plugins/sample-vala/Makefile.am:
	* src/plugins/screensaver/Makefile.am:
	* src/plugins/sidebar-test/Makefile.am:
	* src/plugins/skipto/Makefile.am:
	* src/plugins/skipto/totem-skipto.c:
	* src/plugins/thumbnail/Makefile.am:
	* src/plugins/tracker/Makefile.am:
	* src/totem-interface.c (totem_interface_error),
	(totem_interface_error_with_link):
	* src/totem-options.c (option_version_cb):
	* src/totem-session.c (totem_save_state_cb), (totem_quit_cb),
	(totem_session_setup), (totem_session_restore):
	* src/totem.c (about_url_hook), (about_email_hook), (main):
	* src/update-from-egg.sh: Big patch from Christian Persch
	<chpe@gnome.org> to remove the libgnome dependencies
	(Closes: #554226)

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: up up version

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Patch from Gilles Dartiguelongue
	<gilles.dartiguelongue@esiee.org> to update the intltool
	requirements (Closes: #555283)

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (got_time_tick),
	(bacon_video_widget_close), (bacon_video_widget_pause):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_tick_send), (bacon_video_widget_close):
	When streaming audio or video, make sure pause actually stops the
	stream, as per the xine-lib backend

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/youtube/youtube.py: Patch from Edward Hervey
	<bilboed@gmail.com> to fix the threading in the youtube plugin
	(Closes: #548879)

2008-10-07  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem-python-module.c
	(totem_python_module_init_python), (totem_python_module_load):
	* src/plugins/totem-python-plugin.c (call_python_method),
	(check_py_object_is_gtk_widget), (totem_python_object_init),
	(totem_python_object_get_type): Patch from Tim-Philipp Müller
	<tim.muller@collabora.co.uk>, Prepare python for use from multiple
	threads and add missing locking where applicable
	(Closes: #554868)

2008-10-01  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-missing-plugins.c
	(bacon_video_widget_gst_get_toplevel): Fix getting the
	top-level window when the video widget isn't inside a
	GtkPlug

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (totem_embedded_set_uri):
	Fix a crash when emptying the playlist on Solaris machines
	(Closes: #552462)

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* src/totem-sidebar.c (totem_sidebar_toggle),
	(totem_sidebar_setup):
	* src/totem.c (totem_callback_connect): Make the sidebar arrow
	face right when closed, and face left when opened, showing the
	movement the sidebar would take, place the arrow to the right
	of the label (and vice-versa for RTL languages)

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui:
	* src/totem.c (update_mrl_label): Use "Movie Player", and
	not "Totem Movie Player" in the UI

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (totem_playlist_set_reorderable),
	(totem_playlist_foreach_selected), (playlist_remove_files),
	(totem_playlist_move_files), (totem_playlist_file_changed),
	(totem_playlist_clear_with_compare): Clean up, and use only
	one codepath to remove files, whether selected files, or
	files matching a certain criteria.
	Should fix playlist weirdness when removing deleted files
	from the playlist (Closes: #550225)

2008-09-29  Christian Persch  <chpe@gnome.org>

        Bug 554224 – format not a string literal and no format arguments

        * browser-plugin/totem-plugin-viewer.c: Use %s to printf a string.

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/README.browser-plugin: Fix typo spotted
	by Yan Morin <progysm@gmail.com>, the keyword is "disabled", not
	"disable"

2008-09-21  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Fix dist

2008-09-21  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui:
	* src/totem-menu.c (add_lang_action), (create_lang_actions),
	(totem_languages_update), (totem_subtitles_update): Add the
	subtitle and languages menus to the fullscreen popup as well
	(Closes: #164036)

2008-09-20  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/tracker/totem-tracker-widget.c (get_search_count):
	* src/totem-playlist.c (totem_playlist_error): Fix using unvetted
	strings in printf-style functions.
	* data/totem.schemas.in:
	* src/totem-menu.c (about_action_callback):
	* src/totem-options.c: Fix some hyphenation problems in strings, and
	update the copyright date in the about dialogue.

2008-09-18  Bastien Nocera  <hadess@hadess.net>

	* COPYING.LIB: Remove obsolete file, spotted by
	Christian Persch

2008-09-18  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (totem_action_remote): Fix missing break
	statement, spotted by Robin Stocker <robin@nibor.org>

2008-09-11  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* configure.in: Add a check for gst-inspect.
	(Closes: #551774)

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* data/totem.schemas.in: Add schemas for the visuals
	quality and connection speed settings, patch from
	Eric Piel <e.a.b.piel@tudelft.nl> (Closes: #535505)
	* src/backend/bacon-video-widget.h: Force the first item
	of the visuals quality enum to be 0

2008-09-09  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt:
	* src/totem-menu.c (totem_action_add_recent):
	* src/totem-menu.h: Fix recent-menu not adding anything
	because it couldn't get a fast mime-type for the file,
	(Closes: #551360), also fix addition of streams to the
	list, otherwise nothing to go in the "Open Location"
	dialogue

2008-09-09  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_mrls): Also allow the Fluendo MPEG
	demuxers recently moved to GStreamer main

2008-09-08  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem-plugins-engine.c
	(totem_plugins_engine_activate_plugin): Don't ever disable
	an invisible plugin

2008-09-04  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am: remove obsolete variable

2008-09-02  Philip Withnall  <philip@tecnocode.co.uk>

	* data/totem.schemas.in:
	* src/backend/bacon-video-widget-xine.c: (xine_event_message),
	(bacon_video_widget_open_with_subtitle):
	* src/plugins/publish/publish-plugin.ui:
	* src/plugins/pythonconsole/pythonconsole.py:
	* src/plugins/pythonconsole/pythonconsole.totem-plugin.in:
	* src/plugins/skipto/totem-skipto-plugin.c: (impl_activate): Convert
	British English words back to American English in the language strings
	and fix a few other small problems such as misplaced commas and
	spelling errors. (Closes: #548340)

2008-09-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Add support for
	the application/x-ms-wmp mime-type (Closes: #550157)

2008-09-01  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c (create_treeview),
	(totem_mythtv_list_recordings), (sort_channels),
	(totem_mythtv_list_livetv), (device_found_cb),
	(totem_mythtv_update_binfo), (refresh_cb),
	(totem_mythtv_plugin_finalize), (add_sidebar), (impl_activate),
	(impl_deactivate): Add support for playing back live TV using
	gmyth, and streaming from MythTV (Closes: #549893)

============ Version 2.23.91

2008-08-29  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.91
	* data/Makefile.am: Fix make dist

2008-08-28  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bvw_handle_application_message), (bacon_video_widget_close):
	* src/backend/bacon-video-widget-xine.c (frame_output_cb),
	(bacon_video_widget_close):
	Never auto-resize a stream that's already been resized, wait for
	the next file to be opened to do that (Closes: #481944)

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem-plugins-engine.c
	(totem_plugins_engine_activate_plugin): When we fail to activate
	a plugin, set its GConf key to FALSE, otherwise we get bugged on
	every start up without any ways to disable it

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (totem_dvb_setup_result):
	Always try to play whatever's supposed to be playing
	after a successful channels setup (Closes: #548539)

2008-08-26  Philip Withnall  <philip@tecnocode.co.uk>

	* data/playlist.ui:
	* src/totem-playlist.c: (init_treeview):
	* src/totem-session.c: Move the playlist treeview model to the
	GtkBuilder UI file. Also remove an extraneous #include.
	(Closes: #454243)

2008-08-26  Philip Withnall  <philip@tecnocode.co.uk>

	* data/totem.1: Update the man page to remove documentation for a now
	non-existent --usage option and freshen up the rest of the
	documentation. (Closes: #548855)

2008-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (size_changed_cb):
	When changing screen size through XRandR, update the aspect
	ratio of the visualisation (Closes: #327811)

2008-08-26  Bastien Nocera  <hadess@hadess.net>

	* data/mime-functions.sh: Fix a stupid typo
	* data/schemas.sh: Fix another stupid typo,
	and output to fd 3, so we can see the stderr
	* data/Makefile.am: capture fd 3 for the gconf updater
	script
	* data/mime-type-list.txt: Add audio/x-vorbis+ogg to
	the mime-types (Closes: #549038)

2008-08-26  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/tests/.htaccess: Add mime-type for
	a test

2008-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (totem_action_remote): Remove old debug

2008-08-22  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c
	(video_widget_size_allocate_cb), (totem_embedded_construct):
	Don't show visuals if the video widget size is under 150 pixels
	(Closes: #542491)

2008-08-21  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-missing-plugins.h:
	* src/backend/bacon-video-widget-gst-missing-plugins.c
	(bacon_video_widget_gst_missing_plugins_blacklist):
	There's some plugins we just don't want to use, like
	the gst-ffmpeg FLV demuxer (doesn't seek), so blacklist it
	(code from Tim-Philipp Müller <tim.muller at collabora co uk>)

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_init): Call the function above to
	blacklist the ffmpeg FLV demuxer

	* src/plugins/youtube/youtube.py: No need to check for
	the FLV demuxer by hand, we killed the crappy one already,
	launches the plugin install helper when it's missing

	(Closes: #534419)

2008-08-21  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (totem_action_remote): Allow passing an
	offset for the backward/forward seeking, through the url
	parameter

	* src/plugins/lirc/totem-lirc.c (totem_lirc_get_url),
	(totem_lirc_to_command), (totem_lirc_read_code):
	Parse seek_backward and seek_forward and allow users
	to append a seek offset, meaning you can configure different
	keys for different seeking lengths

	* src/plugins/lirc/totem_lirc_default: document the above

	(Closes: #470672)

2008-08-21  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/lirc/totem-lirc.c (totem_lirc_to_command):
	* src/plugins/lirc/totem_lirc_default:
	* src/totem.c (totem_action_remote):
	* src/totem.h: Add support for the stop remote control key,
	will stop the playback and go back to the beginning of the playlist
	(as the stop button on a CD player would do)

	* src/backend/bacon-video-widget-gst-0.10.c (got_time_tick),
	(bacon_video_widget_stop): Don't print out warnings when trying to
	stop a stream but nothing is opened

	See http://bugzilla.gnome.org/show_bug.cgi?id=470672#c3

2008-08-20  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_best_image): Yay for GCC warnings,
	fix possible crash when no cover images are found in the
	stream, and GCC doesn't initialise cover_value to NULL for us
	(Closes: #548628)

2008-08-20  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPluginGlue.cpp: Fix crummy
	descriptions for some mime-types, g_content_type_get_description
	always returns a description when the equivalent gnome-vfs
	function didn't for unknown types (Closes: #548301)

2008-08-20  Bastien Nocera  <hadess@hadess.net>

	* src/totem-dvb-setup.c (totem_dvb_setup_device):
	Don't add to the array after having got the pdata

2008-08-20  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_open_with_subtitle):
	g_file_get_uri() might lose arguments for some MRLs,
	so don't use it, and just copy the MRL itself instead
	(Closes: #545864)

2008-08-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c
	(totem_embedded_launch_player):
	* src/totem-statusbar.c (totem_statusbar_class_init):
	Remove code that supports older versions of GTK+

2008-08-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c
	(totem_embedded_update_menu): Don't put the "Open with Movie
	Player" menu item at the very top of the contextual menu,
	people press it by accident (Closes: #516703)

2008-08-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPControls.cpp:
	* browser-plugin/totemGMPPlayer.cpp: A few fixes pointed out
	by Christian Persch <chpe@gnome.org> (Helps: #547659)

2008-08-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPControls.cpp:
	* browser-plugin/totemGMPPlayer.cpp:
	* browser-plugin/totemGMPPlayer.h:
	* browser-plugin/totemPlugin.cpp: Add support for Player.playState
	and Controls.isAvailable in the GMP plugin (Helps: #547659)

2008-08-19  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* src/plugins/pythonconsole/pythonconsole.py (show_console):
	Only mark the actual printed string for translation, not the whole
	python statement for eval (Closes: #548004)

2008-08-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (entry_parsed):
	Fix accessing a freed string, the metadata hashtable from
	the playlist parser returns const data, which we need to
	duplicate

2008-08-18  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* src/backend/bacon-video-widget-gst-0.10.c:
	Add ATSC support for gstreamer dvb.

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c (bvw_bus_message_cb):
	When we have a streaming title, pass it on using the TITLE_CHANGE
	signal. Fixes stream title not updating for soma.fm streams
	(Closes: #471233)

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bvw-test.c (on_got_metadata), (on_title_changed),
	(main): Listen to got-metadata and title-change signals

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/ontop/totem-ontop.c (update_from_state):
	* src/plugins/tracker/totem-tracker-widget.c
	(totem_tracker_widget_set_property):
	* src/totem-cell-renderer-video.c
	(totem_cell_renderer_video_set_property):
	* src/totem-sidebar.c (cb_resize):
	* src/totem-video-indexer.c (totem_print_string),
	(totem_print_int):
	* src/totem-video-thumbnailer.c (has_audio),
	(on_got_metadata_event):
	* src/totem.c (totem_get_nice_name_for_stream), (show_controls):
	Unset GValues after having used them, to make sure they get cleaned
	up, fixes a few memleaks, Use g_value_dup_* functions when necessary

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/totem-session.c (totem_session_restore):
	* src/totem.c (update_mrl_label), (on_error_event),
	(update_seekable): Only seek for session restore once
	we've opened the file, and we know it's seekable,
	fixes restoring playlists from the session, including
	seeking (Closes: #434936)

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* configure.in: update GTK+ req
	* src/totem-audio-preview.c: remove unneeded gnome
	include
	* src/totem-menu.c (totem_ui_manager_setup):
	* src/totem.c (totem_action_show_help): Use a newer GTK+
	to launch the help, and don't require libgnomeui for that,
	based on patch from Philip Withnall <philip@tecnocode.co.uk>
	(Closes: #514384)

2008-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_can_deinterlace):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_can_deinterlace):
	* src/backend/bacon-video-widget.h:
	Add _can_deinterlace function to the backends

	* src/totem.c (totem_callback_connect): Only show
	the deinterlacing menu item if the backend supports it
	(Helps: #491627)

2008-08-17  Philip Withnall  <philip@tecnocode.co.uk>

	* bindings/python/totem.defs:
	* src/totem-object.c: (totem_get_current_mrl):
	* src/totem.h: Add a totem_get_current_mrl function and expose it in
	the Python bindings. Necessary for the Totem plugin for Conduit.
	(Closes: #459505)

2008-08-14  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Support libtool 2.2, don't try to check for
	presence of Python through compiling against it, as libtool is
	required to compile against it, and libtool isn't available yet
	during configure
	Adapted from patches by Rémi Cardona and Patryk Zawadzki
	(Closes: #532591)
	Also fix the message telling us whether Vala is enabled

2008-08-14  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Handle video/ogg for thumbnails,
	because libgnomeui sucks (Closes: #545130)

2008-08-14  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (playlist_select_subtitle_action_callback),
	(playlist_copy_location_action_callback): Always call
	totem_add_subtitle with the path of the currently playing movie
	* src/totem-uri.c (totem_add_subtitle): When passed a path, still
	use the last open path to be in, but also add a shortcut to
	the currently playing movie, so you can easily access it to open
	a subtitle (Closes: #545984)

2008-08-14  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* configure.in: allow browser plugins to be installed
	somewhere else than in ${libdir}/mozilla/plugins.
	(Closes: #547688)

2008-08-13  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/youtube/youtube.py: Patch from Eric Piel
	<e.a.b.piel@tudelft.nl> to stop the throbber from eating CPU when
	pulsing (Closes: #546742)

2008-08-13  Bastien Nocera  <hadess@hadess.net>

	* README:
	* data/totem.ui: Fix "Fit window to movie" and "Zoom reset"
	keyboard shortcuts (Closes: #546281)

2008-08-12  Tim-Philipp Müller  <tim.muller at collabora co uk>

	Based on patch by: Robin Stocker <robin at nibor org>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  (bacon_video_widget_get_zoom), (bvw_get_color_balance_channel),
	  (bacon_video_widget_get_video_property),
	  (bacon_video_widget_set_video_property)::
	  Refactor common code into bvw_get_color_balance_channel function.
	  (Closes: #547003)

2008-08-12  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Make sure we use the border width is set to
	1 by default, as used in the code, spotted by Dylan McCall
	(Closes: #544089)

2008-08-08  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add application/smil+xml as used at
	http://www.cartalk.com/Radio/Show/online.html

2008-08-07  Tim-Philipp Müller  <tim.muller at collabora co uk>

	Patch by: David Schleef <ds@schleef.org>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  (bacon_video_widget_get_video_property),
	  (bacon_video_widget_set_video_property)::
	  Fix rounding errors when converting colorbalance values to/from
	  a different value range. Should fix drift in colour balance.
	  (Closes: #545566, #537889)

2008-07-30  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/lirc/totem-lirc.c (impl_activate): Also fail to load
	if we're missing a data file

2008-07-30  Bastien Nocera  <hadess@hadess.net>

	* data/lirc_example:
	* src/plugins/lirc/Makefile.am:
	* src/plugins/lirc/totem-lirc.c (impl_activate):
	* src/plugins/lirc/totem_lirc_default: Update lirc plugin
	to read from a default configuration file, and not fail when there's
	no user configuration. This allows Totem to work out-of-the-box on the
	majority of remotes as setup by gnome-lirc-properties

2008-07-30  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/pythonconsole/Makefile.am:
	* src/plugins/pythonconsole/console.py:
	* src/plugins/pythonconsole/pythonconsole.py:
	* src/plugins/pythonconsole/pythonconsole.totem-plugin.in:
	* totem.spec.in: Patch from Andrés de Barbará <adebarbara@gmail.com>
	to add a Python console to Totem (Closes: #542470)

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am:
	* src/totem-dvb-setup.c (totem_dvb_setup_helper),
	(child_watch_func), (totem_dvb_setup_device):
	* src/totem-dvb-setup.h:
	* src/totem.c (totem_dvb_setup_result), (totem_action_load_media):
	Add support for a helper script in $(libexecdir)/totem-dvb-scanner
	that would scan for channels on the specified adapter when loading
	the channels list fails

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/thumbnail/totem-thumbnail.c (update_from_state):
	Look for the thumbnail in the normal and large thumbnails, not
	twice in the normal ones, spotted by Robin Stocker <robin@nibor.org>

2008-07-23  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Fix mnemonics overlap between Sidebar button
	and Sound menu (Closes: #522275)

2008-07-17  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_realize), (bacon_video_widget_set_zoom):
	Apply the zoom level even if there's no stream yet
	* src/totem.c (totem_action_zoom_reset): Make sure that we
	use the zoom constants rather than some hard coded numbers

2008-07-14  Bastien Nocera  <hadess@hadess.net>

	* src/totem-interface.c (totem_interface_load),
	(totem_interface_load_with_full_path): Fix a crasher
	when GtkBuilder interface files are missing (Closes: #542446)

2008-07-14  Bastien Nocera  <hadess@hadess.net>

	* src/backend/Makefile.am: Patch from Götz Waschk
	<waschk@mandriva.org> to fix the build with nvtv enabled
	(Closes: #541546)

2008-07-09  Philip Withnall  <philip@tecnocode.co.uk>

	* src/plugins/youtube/youtube.py: Resolve the video URI of YouTube
	videos when loading search results, rather than when playing them
	to ensure URIs added to the playlist are correct. (Closes: #541916)

2008-06-27  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget.h: Kill bacon_video_widget_can_play
	and get errors directly from _get_mrls().

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_channels_file),
	(bacon_video_widget_get_dvd_mrls),
	(bacon_video_widget_get_dvb_mrls), (bacon_video_widget_get_mrls):
	* src/backend/bacon-video-widget-xine.c (xine_try_error),
	(bacon_video_widget_get_mrls):
	Better errors when a device isn't present, channels file is missing,
	or the device is busy

	* src/totem.c (totem_action_load_media): Changes for the above
	(Closes: #539319)

2008-06-27  Gabor Kelemen  <kelemeng@gnome.hu>

	* data/playlist.ui: Add accelerator to the Select text subtitle... text
	* src/plugins/youtube/youtube.ui: Mark Search Youtube button's tooltip for translation
	(Closes: #539004)

2008-06-26  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Even when $(prefix)/lib64 is present, check
	that the python directory is present, spotted by Mikael Lindberg
	<mikael.lindberg@gmail.com> (Closes: #540289)

2008-06-20  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c (setup_config),
	(xine_event_message), (bacon_video_widget_get_mrls):
	Ask xine-lib to not remember the last DVB channel used,
	so we don't have to skip one when copying the MRLs,
	prepare for better error message when getting the list
	of MRLs for DVB

	* src/totem-playlist.c (totem_playlist_mrl_to_title):
	Another label work-around for DVB MRLs, just like the DVD one

	* src/totem.c (totem_action_set_mrl_with_warning),
	(totem_action_open_files_list), (totem_action_remote),
	(on_eos_event): When calling play_pause_set_label() make sure the
	right enum is used (fixes playlist and play button showing the
	wrong status), Only call "_load_media()" for DVB, it will
	automatically start playing if it's successful,
	Print out a decent error message when receiving an EOS from DVB,
	it can only happen when losing the signal

2008-06-20  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix possible missing symbol when using a
	totem-pl-parser without GIO support

2008-06-20  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/sample-vala/Makefile.am: Some Vala compilation fixes
	(Closes: #539170)

2008-05-31  Christian Persch <chpe@gnome.org>

	* *.[ch]: Use GType and G_TYPE_* macros instead of the deprecated
	GtkType/GTK_CHECK_* macros. Bug #539168.

2008-06-19  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Require gmyth 0.7.1 so we work with newer versions
	of MythTV (== 0.21) (Closes: #537724)

2008-06-18  Bastien Nocera  <hadess@hadess.net>

	* README:
	* src/totem.c (totem_action_open_files_list),
	(totem_action_remote), (totem_action_handle_key_press):
	'+' and '-' on their own can now be used to go to the next/previous
	track, Force playback when using DVB, otherwise playback won't
	autostart

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_metadata): Fix warning when fetching cover art

	* src/backend/bacon-video-widget-xine.c (xine_event_message),
	(bacon_video_widget_get_metadata): As above, and also try to give a
	better error message when TV signal is lost

	* src/totem-video-thumbnailer.c: Always have --g-fatal-warnings
	enabled

2008-06-16  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_get_metadata): Fix warning when trying to get
	the cover, which xine-lib doesn't support

2008-06-15  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c (bacon_video_widget_init),
	(bacon_video_widget_get_mrls): Don't say we can't support DVB: just
	because we're missing a simple channels.conf, it might appear before
	we try to use DVB,
	Set the device as expected when supporting multiple DVB adapters

============ Version 2.23.4

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.4

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/tests/10-data/*:
	* browser-plugin/tests/10.html: Add test case, ripped from
	Apple's test page for Wall E

2008-06-10  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Require gstreamer-tag as well
	* src/backend/bacon-video-widget.h:
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_get_metadata_pixbuf),
	(bacon_video_widget_get_best_image),
	(bacon_video_widget_get_metadata): Add code to read covers from
	video and audio files, through the tags
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_get_metadata): Implement stubs of the above
	* src/totem-video-thumbnailer.c (capture_interesting_frame),
	(capture_frame_at_time), (has_audio), (on_got_metadata_event),
	(main): Implement saving the cover of a video/audio file
	(Closes: #318748)

2008-06-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c
	(on_video_button_press_event): Patch from Baptiste Mille-Mathias
	<bmm80@free.fr> to add double-click -> fullscreen support
	(Closes: #502073)

2008-06-10  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem-plugin.c (totem_get_plugin_paths):
	* src/totem-uri.c (totem_ensure_dir), (totem_dot_dir),
	(totem_data_dot_dir):
	* src/totem-uri.h: Use ~/.local/share/totem/plugins/ for user-plugins

2008-06-10  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c (totem_mythtv_plugin_finalize),
	(impl_deactivate): Kill some more stuff on plugin exit

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/README.browser-plugin: Link to a page will _all_
	the Quicktime plugin embed parameters
	* browser-plugin/tests/2.html: Add some Don Quixote text to allow
	use to test bug #343067
	* browser-plugin/totemPlugin.cpp: Slight change of behaviour to
	get the old behaviour back when using NPN_GetURL

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemConePlaylist.cpp: Implement Playlist::isplaying,
	(Closes: #526737)
	* browser-plugin/totemNarrowSpacePlugin.cpp: Fix GetPluginStatus()
	to return the status in the same form QT callers are expecting

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Hide the controls by
	default in the VLC plugin (Closes: #526738)

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/totemComplexPlayer.cpp:
	* browser-plugin/totemComplexPlayer.h:
	* browser-plugin/totemComplexPlugin.cpp:
	* browser-plugin/totemComplexPlugin.h:
	* browser-plugin/totemNPObject.h:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPluginGlue.cpp:
	Make the Complex plugin compile again... (Closes: #535820)

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/TODO: Remove already done TODO items
	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle): Even when giosrc is
	available, use the local filename if it's available, works around
	early giosrc bugs

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* src/totem-subtitle-encoding.c (subtitle_encoding_init),
	(subtitle_encoding_get_charset), (subtitle_encoding_create_store):
	Don't remove encodings that can't pass through ASCII, as UTF-16 and
	UTF-32 certainly won't pass through, spotted by Christian Persch
	<chpe@gnome.org> (Closes: #535823)

2008-05-31  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c
	(totem_embedded_update_title), (totem_pl_item_free),
	(totem_embedded_clear_playlist),
	(totem_embedded_open_playlist_item),
	(totem_embedded_get_nice_name_for_stream), (on_got_metadata),
	(totem_embedded_construct), (entry_parsed):
	Listen to got-metadata signal, and set the fullscreen title using
	either the playlist data, or the metadata from the playlist itself

2008-05-31  Christian Persch <chpe@gnome.org>

	* src/totem-preferences.c: (totem_setup_preferences): Use the right
	handler for the delete-event signal. Bug #535952.

2008-05-31  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNPObject.cpp:
	* browser-plugin/totemNarrowSpacePlugin.cpp:
	Fix a warning, and a build failure with debugging disabled

2008-05-30  Christian Persch <chpe@gnome.org>

	* configure.in:
	* Makefile.am:
	* browser-plugin/*: Decomtaminate the plugins. Bug #520629.

2008-05-29  Bastien Nocera  <hadess@hadess.net>

	* src/totem-sidebar.c (totem_sidebar_toggle): Remove unused, and
	unneeded GConf setting for "sidebar_shown", spotted by azurief on IRC

2008-05-28  Bastien Nocera  <hadess@hadess.net>

	* configure.in: patch from Richard Hult to fix compilation when X11
	headers are available but aren't the target windowing system (such as
	a MacOS X native build) (Closes: #535151)

2008-05-28  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove sticky gnome-vfs req

2008-05-27  Richard Hult  <richard@imendio.com>

	* configure.in: Add gconf-2.0 to pkg-config check for GTK+ only
	build. (Helps: #535151)

2008-05-27  Richard Hult  <richard@imendio.com>

	* configure.in: Quote ISO_CODES_PREFIX to fix build with
	--disable-iso-codes. (Closes: #535117)

2008-05-26  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add video/x-flv as a support mime-type

	* src/totem-menu.c (about_action_callback): Remove "GNOME" vs. "GTK+"
	backends

	* src/totem-video-indexer.c (main):
	* src/totem-video-thumbnailer.c (main):
	* src/totem.c (main): Remove calls to
	gnome_authentication_manager_init (), as we don't use gnome-vfs
	anymore (Closes: #534824)

2008-05-25  Claudio Saavedra  <csaavedra@gnome.org>

	* browser-plugin/totemPlugin.cpp: Remove include of
	<libgnomevfs/gnome-vfs-mime-utils.h> as GnomeVFS is
	no longer a dependency. Fixes build.

2008-05-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Use higher-resolution YouTube
	videos when the user's connection speed is suitably high.
	(Closes: #521536)

2008-05-25  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (on_playlist_change_name): Remove unused variables,
	spotted by Philip Withnall <pwithnall@svn.gnome.org>

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (init_treeview),
	(totem_playlist_compare_with_monitor),
	(totem_playlist_file_changed), (totem_playlist_init),
	(totem_playlist_add_one_mrl), (totem_playlist_clear_with_compare),
	(totem_playlist_compare_with_mount),
	(totem_playlist_clear_with_g_mount): Monitor all the "native" files
	that get added to the playlist, and automatically remove the files
	that get deleted (Closes: #497996)

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (init_treeview):
	* src/totem-playlist.h:
	* src/totem.c (on_playlist_change_name): Remove dead-code dating
	back from the audio CD support times

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle): Check for the giosrc
	properly

2008-05-23  Bastien Nocera  <hadess@hadess.net>

	* configure.in: require gmyth-upnp
	* src/plugins/mythtv/totem-mythtv.c (get_thumbnail),
	(totem_mythtv_list_recordings), (device_found_cb),
	(device_lost_cb), (totem_mythtv_update_binfo), (refresh_cb),
	(totem_mythtv_plugin_finalize): Patch by Renato Araujo Oliveira Filho
	<renatox@gmail.com> to use UPNP to discover GMyth servers, and avoid
	having any types of configuration to make (Closes: #516672)
	* src/plugins/mythtv/totem-mythtv.schemas.in: Remove

2008-05-23  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c
	(totem_embedded_launch_player), (totem_embedded_get_app_for_uri),
	(totem_embedded_update_menu), (on_open1_activate), (main):
	Use GIO and GDK to launch the full-blown player, startup notification
	only available with GTK+ 2.13 (Closes: #512587)
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_open_with_subtitle): Remove remains of gnome-vfs
	code, gvfs doesn't support passing credentials in the URI anyway
	* configure.in: Remove gnome-vfs deps, not used anymore

2008-05-23  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/publish/totem-publish.c:
	(totem_publish_plugin_stream_cb): Improve my fix for a signed/unsigned
	comparison warning.
	* src/plugins/youtube/youtube.py:
	* src/plugins/youtube/youtube.ui: Add a progress bar when doing
	YouTube searches to show the current status of the operation.
	(Closes: #522548)

2008-05-23  Kjartan Maraas  <kmaraas@gnome.org>

	* src/plugins/publish/publish-plugin.ui:
	Don't translate widget label.

2008-05-16  Bastien Nocera  <hadess@hadess.net>

	* src/totem-audio-preview.c (main):
	* src/totem-video-indexer.c (main):
	* src/totem-video-thumbnailer.c (main): Use
	g_option_context_get_help () to print out the help

============ Version 2.23.3

2008-05-14  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.3

2008-05-11  Guillaume Desmottes  <gdesmott@gnome.org>
	* COPYING
	* src/totem-subtitle-encoding.c: Change licence from GPL
	to LGPL (closes: #515809)

2008-05-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPPlugin.cpp: fix plugin not showing up on
	http://www.la1.be 's "journal télévisé" (closes: #532260)

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c (resolve_redirect),
	(on_got_redirect): Same change for the browser plugin

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (on_got_redirect): Fix build against totem-pl-parser
	trunk

2008-05-08  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemBasicPlugin.cpp: Add Totem specific
	application/x-totem-plugin mime-type (Closes: #531734)

	* browser-plugin/totemPluginGlue.cpp: Use GIO to get the description
	of mime-types

2008-05-05  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_open_with_subtitle): Fix possible warnings
	when the URL doesn't have any local paths. Remove some useless
	condition in the GStreamer backend, there was no MRL, we remove it a
	few lines before

2008-05-04  Bastien Nocera  <hadess@hadess.net>

	* src/backend/video-utils.c (totem_display_is_local):
	Fix string checking, spotted by Will Thompson
	<will@willthompson.co.uk> (Closes: #531261)

2008-05-03  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (reset_seek_status), (totem_action_error),
	(totem_action_error_and_exit), (totem_action_seek):
	When an async error occurs during seeking, reset the seeking status
	to avoid being stuck seeking (this already worked for the xine-lib
	backend as the seeking is synchronous, GStreamer's is async)

2008-05-03  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle):
	Remove useless g_free(), if there's a MRL stored, it will
	be freed in _close()

2008-05-03  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle):
	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_open_with_subtitle),
	(bacon_video_widget_strdupnv), (bacon_video_widget_get_mrls):
	Make sure we store URIs as the MRL, not local paths, fixes
	direct seeking not working on local files
	Fix a few compilation warnings in the xine-lib backend

2008-04-29  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c: Add missing include

2008-04-29  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_open_with_subtitle):
	Try to get a local filename when possible, as there's no gio input
	plugin for xine-lib (Closes: #528763)

2008-04-29  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_open_with_subtitle):
	Use GIO to get 1) a nice URI, 2) or a local fuse path
	if giosrc isn't available (Closes: #528762)

2008-04-24  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/idl/totemIBasicPlayer.idl:
	* browser-plugin/idl/totemIComplexPlayer.idl:
	* browser-plugin/idl/totemICone.idl:
	* browser-plugin/idl/totemIConeAudio.idl:
	* browser-plugin/idl/totemIConeInput.idl:
	* browser-plugin/idl/totemIConePlaylist.idl:
	* browser-plugin/idl/totemIConePlaylistItems.idl:
	* browser-plugin/idl/totemIConeVideo.idl:
	* browser-plugin/idl/totemIGMPControls.idl:
	* browser-plugin/idl/totemIGMPError.idl:
	* browser-plugin/idl/totemIGMPErrorItem.idl:
	* browser-plugin/idl/totemIGMPMedia.idl:
	* browser-plugin/idl/totemIGMPPlayer.idl:
	* browser-plugin/idl/totemIGMPPlayerApplication.idl:
	* browser-plugin/idl/totemIGMPPlaylist.idl:
	* browser-plugin/idl/totemIGMPPlaylistArray.idl:
	* browser-plugin/idl/totemIGMPPlaylistCollection.idl:
	* browser-plugin/idl/totemIGMPSettings.idl:
	* browser-plugin/idl/totemIMullYPlayer.idl:
	* browser-plugin/idl/totemINarrowSpacePlayer.idl:
	* browser-plugin/totem-glow-button.c:
	* browser-plugin/totem-glow-button.h:
	* browser-plugin/totem-plugin-viewer-constants.h:
	* browser-plugin/totem-plugin-viewer-options.h:
	* browser-plugin/totem-plugin-viewer.c:
	* browser-plugin/totemBasicPlugin.cpp:
	* browser-plugin/totemBasicPlugin.h:
	* browser-plugin/totemClassInfo.h:
	* browser-plugin/totemComplexPlugin.cpp:
	* browser-plugin/totemComplexPlugin.h:
	* browser-plugin/totemConePlugin.cpp:
	* browser-plugin/totemConePlugin.h:
	* browser-plugin/totemDebug.h:
	* browser-plugin/totemGMPError.cpp:
	* browser-plugin/totemGMPError.h:
	* browser-plugin/totemGMPPlaylist.cpp:
	* browser-plugin/totemGMPPlaylist.h:
	* browser-plugin/totemGMPPlugin.cpp:
	* browser-plugin/totemGMPPlugin.h:
	* browser-plugin/totemGMPSettings.cpp:
	* browser-plugin/totemGMPSettings.h:
	* browser-plugin/totemMullYPlugin.cpp:
	* browser-plugin/totemMullYPlugin.h:
	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemNarrowSpacePlugin.h:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h:
	* browser-plugin/totemPluginGlue.cpp:
	* browser-plugin/totemPluginGlue.h:
	* browser-plugin/totemStringGlue.h:
	* lib/totem-scrsaver.c:
	* lib/totem-scrsaver.h:
	* src/backend/bacon-resize.c:
	* src/backend/bacon-resize.h:
	* src/backend/bacon-video-widget-common.c:
	* src/backend/bacon-video-widget-common.h:
	* src/backend/bacon-video-widget-gst-0.10.c:
	* src/backend/bacon-video-widget-gst-missing-plugins.c:
	* src/backend/bacon-video-widget-gst-missing-plugins.h:
	* src/backend/bacon-video-widget-xine.c:
	* src/backend/bacon-video-widget.h:
	* src/backend/gstscreenshot.c:
	* src/backend/gstscreenshot.h:
	* src/bacon-message-connection.c:
	* src/bacon-message-connection.h:
	* src/ev-sidebar.c:
	* src/ev-sidebar.h:
	* src/plugins/bemused/totem-bemused.c:
	* src/plugins/galago/totem-galago.c:
	* src/plugins/gromit/totem-gromit.c:
	* src/plugins/lirc/totem-lirc.c:
	* src/plugins/media-player-keys/totem-media-player-keys.c:
	* src/plugins/mythtv/totem-mythtv.c:
	* src/plugins/ontop/totem-ontop.c:
	* src/plugins/properties/bacon-video-widget-properties.c:
	* src/plugins/properties/bacon-video-widget-properties.h:
	* src/plugins/properties/totem-movie-properties.c:
	* src/plugins/publish/totem-publish.c:
	* src/plugins/screensaver/totem-screensaver.c:
	* src/plugins/sidebar-test/totem-sidebar-test.c:
	* src/plugins/skipto/totem-skipto-plugin.c:
	* src/plugins/skipto/totem-skipto-plugin.h:
	* src/plugins/skipto/totem-skipto.c:
	* src/plugins/skipto/totem-skipto.h:
	* src/plugins/thumbnail/totem-thumbnail.c:
	* src/plugins/tracker/totem-tracker.c:
	* src/totem-audio-preview.c:
	* src/totem-cell-renderer-video.c:
	* src/totem-cell-renderer-video.h:
	* src/totem-fullscreen.c:
	* src/totem-fullscreen.h:
	* src/totem-interface.c:
	* src/totem-interface.h:
	* src/totem-menu.c:
	* src/totem-menu.h:
	* src/totem-object.c:
	* src/totem-open-location.c:
	* src/totem-open-location.h:
	* src/totem-options.c:
	* src/totem-options.h:
	* src/totem-playlist.c:
	* src/totem-playlist.h:
	* src/totem-preferences.c:
	* src/totem-preferences.h:
	* src/totem-private.h:
	* src/totem-resources.c:
	* src/totem-resources.h:
	* src/totem-screenshot.c:
	* src/totem-screenshot.h:
	* src/totem-session.c:
	* src/totem-session.h:
	* src/totem-sidebar.c:
	* src/totem-sidebar.h:
	* src/totem-statusbar.c:
	* src/totem-statusbar.h:
	* src/totem-subtitle-encoding.c:
	* src/totem-uri.c:
	* src/totem-uri.h:
	* src/totem-video-indexer.c:
	* src/totem-video-list.c:
	* src/totem-video-list.h:
	* src/totem-video-thumbnailer.c:
	* src/totem.c:
	* src/totem.h:
	* src/totem_mozilla_scripting.idl: Update FSF address
	(Closes: #518264)

============ Version 2.23.2

2008-04-21  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.2

2008-04-13  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  (bvw_update_interface_implementations):
	  Don't unref NULL elements though (fixes #524807 some more).

2008-04-10  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Fix check for soup plugin.
	(Closes: #522547)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* COPYING: Mention the xine backend not requiring an exception
	(Closes: #525856)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* src/bacon-message-connection.c:
	* src/bacon-message-connection.h: Re-add exception lost in rev 2122
	(Closes: #525856)

2008-04-08  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c (totem_playlist_mrl_to_title):
	Have a nicer label when loading tracks from a DVD (Closes: #526037)

2008-04-08  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/totem.defs:
	* bindings/python/totem.override:
	* src/plugins/youtube/youtube.py:
	* src/totem-video-list.c: (totem_video_list_get_ui_manager):
	* src/totem-video-list.h: Add a menu entry to open YouTube videos in
	the web browser. (Closes: #521908)

2008-04-08  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/totem.defs: Remove set_mrl_* functions from the
	bindings, as they bypass the playlist.
	* src/plugins/totem-plugin.c:
	* src/totem-cell-renderer-video.c:
	* src/totem-object.c:
	* src/totem.c: Add API documentation for most of the plugin-visible
	API. (Helps: #524119)

2008-04-08  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Fix RequestError exception to
	actually work.

============ Version 2.23.1

2008-04-08  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.1

2008-04-08  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_strdupnv), (bacon_video_widget_get_mrls):
	xine-lib doesn't NULL terminate its string arrays, so do without
	(Closes: #526497)

2008-04-07  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/totem.defs:
	* bindings/python/totem.override:
	* src/plugins/youtube/youtube.py:
	* src/totem-object.c: (totem_get_video_widget_backend_name):
	* src/totem.h: Add runtime checks for flvdemux and souphttpsrc and
	display an error if they're not present for YouTube videos.
	(Closes: #522547)

2008-04-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* data/Makefile.am: Fix bugreport script not having
	a full-path (Closes: #526664)

2008-04-07  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (totem_action_load_media_device):
	Fix break-statement follow-through crasher when
	trying to load audio CDs, spotted by Stephen Moehle
	<stephen.moehle@gmail.com> (Closes: #526563)

2008-04-05  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_get_subtitled): If the subtitle
	file isn't local, try to get its local FUSE path via
	GVFS (Closes: #520910)
	* src/totem-uri.c (totem_add_subtitle): Allow loading remote
	subtitles for all the backends

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c (add_drive_to_menu): Remove debug

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c (add_drive_to_menu), (update_drive_menu_items):
	Better media menu support through GIO

2008-04-03  Bastien Nocera  <hadess@hadess.net>

	* bindings/python/override_common.c:
	* bindings/python/override_common.h: Fix missing
	exception, the code was relicensed as part of the
	plugins code relicensing already (Helps: #525856)

2008-04-03  Bastien Nocera  <hadess@hadess.net>

        * src/backend/bacon-video-widget-gst-0.10.c
	(bvw_update_interface_implementations):
	Fix unreffing a non-reffed element, fixes warnings
	when ximagesink is forced (Closes: #524807)
	Patch from Sjoerd Simons <sjoerd@luon.net>

2008-03-28  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Don't fall over if the YouTube
	servers return HTTP errors.

2008-03-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/publish/totem-publish.c:
	(totem_publish_plugin_media_cb): Patch from  Mathias Hasselmann
	<mathias.hasselmann@gmx.de> to properly unref the input stream in
	the publish plugin. (Closes: #512589)

2008-03-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem.c: (main): Patch from Krzysztof Kotlenga
	<piernik@gmail.com> to fix a crash on an unrecognised command line.
	(Closes: #522070)

2008-03-17  Vincent Untz  <vuntz@gnome.org>

	* data/desktop.sh: end the outputted line with \n

2008-03-16  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Change to use the "api" data view
	(meaning we don't download a load of useless HTML) and clean up the
	code to get the video URL a little.

2008-03-16  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/totem.ui: Add a broom icon to the "Clear Playlist" menu
	entry. (Closes: #522623)

2008-03-16  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-video-indexer.c: (main):
	* src/totem-video-thumbnailer.c: (main): Convert to GIO.

2008-03-16  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/publish/totem-publish.c:
	(totem_publish_plugin_stream_cb), (totem_publish_plugin_media_cb):
	Convert the Publish plugin to GIO. (Closes: #512589)

2008-03-16  Philip Withnall  <pwithnall@svn.gnome.org>

	* configure.in:
	* src/plugins/tracker/totem-tracker-widget.c: (populate_result):
	Convert the Tracker plugin to GIO and remove its dependency on
	libgnomeui. (Closes: #512590)

2008-03-14  Philip Withnall  <pwithnall@svn.gnome.org>

	* configure.in:
	* src/plugins/publish/totem-publish.c:
	* src/totem-menu.c: (totem_action_add_recent),
	(on_play_dvb_activate), (add_drive_to_menu),
	(update_drive_menu_items), (on_movie_menu_select),
	(on_g_volume_monitor_event), (totem_setup_play_disc):
	* src/totem-playlist.c: (totem_playlist_mrl_to_title),
	(totem_playlist_compare_with_mount),
	(totem_playlist_clear_with_g_mount):
	* src/totem-playlist.h:
	* src/totem-private.h:
	* src/totem-uri.c: (totem_get_mount_for_uri),
	(totem_get_mount_for_media), (totem_is_special_mrl),
	(totem_create_full_path), (totem_action_on_unmount),
	(totem_setup_file_monitoring), (totem_uri_exists),
	(totem_uri_get_subtitle_in_subdir), (totem_uri_get_subtitle_uri),
	(totem_uri_escape_for_display):
	* src/totem-uri.h:
	* src/totem.c: (totem_action_exit), (totem_action_eject),
	(drag_video_cb), (update_media_menu_items), (main): Convert the bulk
	of Totem to GIO, leaving the plugins and backends still to convert.
	(Closes: #512594, helps: #512602)

2008-03-14  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/sample-vala/totem-sample-vala-plugin.vala: Update the
	sample Vala plugin to match.

2008-03-14  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/vala/totem.vapi: Update prototype for activation function
	to reflect new Vala features.

2008-03-14  Sebastien Bacher  <seb128@ubuntu.com>

	* data/mime-type-list.txt: lists the x-speex mimetype as supported
	(Closes: #522330)

============ Version 2.23.0

2008-03-04  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.23.0

2008-03-04  Bastien Nocera  <hadess@hadess.net>

	* src/totem-missing-plugins.[ch]: Move the missing plugins
	framework from here to ...
	* src/backend/bacon-video-widget-gst-missing-plugins.[ch]:
	... here and ...

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_realize):
	* src/totem.c: ... adapt those files for the changes

	* configure.in:
	* src/Makefile.am:
	* src/backend/Makefile.am:
	Install a libbaconvideowidget.so.0 that the front-ends
	can link against, and make sure the front-ends don't link
	against any backend-specific libraries

2008-03-04  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update GTK+ requirements to avoid
	crashing if the GTK+ doesn't implement GtkBuilder with
	a11y

============ Version 2.21.96

2008-03-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.96

2008-03-02  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Re-add ATK properties (Closes: #454642)

2008-03-01  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* src/backend/bacon-video-widget-gst-0.10.c:
	Add DVB-C support.

2008-02-28  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/totem.ui: Back-out some of the changes in revision 5187,
	as they accidentally broke string freeze. (Reopens: #454642)

2008-02-27  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_set_scale_ratio): When a visualisation is
	playing, and we're being asked to resize the window to a scale,
	use the viz size to resize the window (Closes: #341355)

	* src/totem.c (window_state_event_cb): Remove debug

2008-02-27  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/properties.ui:
	* data/totem.ui: Re-add ATK properties to the UI files, converted
	from the glade files. (Closes: #454642)

2008-02-27  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c (load_video_out_driver):
	Work around broken multi-head support in the xine-lib backend
	(Helps: #399220)

============ Version 2.21.95

2008-02-26  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.95

2008-02-26  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* src/backend/bacon-video-widget-gst-0.10.c:
	Fix logic error of jumping loop by 2 every time
	causing half dvb channels to be lost and potential
	segfaults.
	Thanks tim for spotting.

2008-02-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/ontop/totem-ontop.c: (update_from_state):
	Only stay on top if video is playing, not visualisations.
	(Closes: #501521)

2008-02-25  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Say we support audio/midi,
	with the new wildmidi plugin in gst-plugins-bad

2008-02-25  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_is_playing): Fix xine-lib backend
	build again, thanks to Götz Waschk
	<waschk@mandriva.org> (Closes: #518560)

2008-02-24  Bastien Nocera  <hadess@hadess.net>

	* data/Makefile.am: And make sure to add the bugreport
	script to EXTRA_DIST

2008-02-24  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/Makefile.am: Fix build (whoops). (Closes: #518486)

============ Version 2.21.94

2008-02-24  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.94

2008-02-24  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/Makefile.am:
	* data/totem-bugreport.py:
	* data/totem.desktop.in.in.in: Add a custom Bug Buddy script
	to get the format of the file last played if using GStreamer.
	Adapted from a patch by Fernando Herrera
	<fherrera@onirica.com>. (Closes: #382074)

2008-02-21  Philip Withnall  <pwithnall@svn.gnome.org>

	* browser-plugin/README.browser-plugin:
	* browser-plugin/totemPluginGlue.cpp:
	* src/backend/bacon-video-widget-xine.c: (setup_config),
	(bacon_video_widget_unrealize):
	* src/totem-uri.c: (totem_dot_dir): Change to use
	g_get_user_config_dir() instead of hardcoding the config
	directory. This breaks old configurations, which were
	in ~/.gnome2/Totem --- they're now in ~/.config/totem/, and
	use the XDG base directory spec. (Closes: #517717)

2008-02-21  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-uri.c: (totem_uri_get_subtitle_for_uri): Remove
	an unused variable (whoops).

2008-02-21  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-uri.c: (totem_uri_exists),
	(totem_uri_get_subtitle_for_uri): Modified patch from
	Anthony Hocquet <anthony.hocquet@gmail.com> to check for
	subtitle files to autoload with uppercase extensions.
	(Closes: #515638)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c (totem_setup_file_filters): Add subviewer
	files as possible subtitles

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c (video_widget_create), (main): Fix another
	gst_value_set_fraction: assertion `denominator != 0' failed
	error, as the vis is setup before the video window exists

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c
	(bacon_video_widget_new):
	Use the fastest speed as the default connection speed,
	so we don't get low quality videos by default,
	for GStreamer this time

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c
	(bacon_video_widget_set_connection_speed),
	(bacon_video_widget_get_connection_speed):
	Use the fastest speed as the default connection speed,
	so we don't get low quality videos by default

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h:
	Revert the previous commit, it's broken

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h: Implement SetTime
	using NPN_RequestRead() if it's available on the stream
	(which it usually never is...) (Closes: #474841)

2008-02-20  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_finalize):
	Avoid warning on exit when we're fullscreen and
	exiting
	* src/totem.c: (totem_action_exit), (main): Fix _set_fullscreen
	being called multiple times on startup, fixes not being able 
	to get out of fullscreen on startup, and the next normal run
	showing up as maximised (Closes: #376149)

2008-02-20  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_can_play):
	Check for flupsdemux version, if it's installed, if it's
	not installed, fall-through as the missing-plugins will
	be triggered

2008-02-20  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c: (capture_interesting_frame):
	Add better debug

2008-02-20  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_open_with_subtitle):
	Patch from Peter Williams <peter@newton.cx> to fix icyx://
	playback

2008-02-20  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: For the DivX
	web player, force the viewer to open the file
	itself, as it would allow it to seek

2008-02-20  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/idl/totemIMullYPlayer.idl:
	Implement from documentation
	* browser-plugin/totemMullYPlugin.cpp:
	Implement stubs for the DivX Web Player Javascript
	interface (Closes: #354856)

	* browser-plugin/totemConePlugin.cpp:
	Fix warning

2008-02-18  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (main): Set up the recent files manager
	earlier, not after we try to add stuff to it when starting
	up with arguments...

2008-02-17  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  (bacon_video_widget_get_mrls):
	  Don't use the GST_TIME_AS_SECONDS macro for now, since
	  it only appeared in GStreamer 0.10.16. (Closes: #516853)

2008-02-17  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-playlist.c: (drop_cb):
	* src/totem.c: (totem_action_drop_files): Use
	g_uri_list_extract_uris instead of gnome_vfs_uri_list_parse
	for drop targets. (Closes: #512600)

2008-02-17  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem.c: (main): Patch from Riccardo Lucchese
	to set up the recent files list later on in startup.
	(Helps: #514087)

2008-02-15  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	* browser-plugin/totem-plugin-viewer-constants.h:
	* browser-plugin/totempluginviewer-marshal.list:
	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_class_init), (totem_embedded_save_volume),
	(totem_embedded_stop), (totem_embedded_set_volume),
	(totem_embedded_set_fullscreen),
	(totem_embedded_toggle_fullscreen), (cb_vol), (on_tick),
	(totem_embedded_action_volume_relative),
	(totem_embedded_construct):
	Implement a property change signal when fullscreen state
	or volume changes

	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h: As above and implement
	SetFullscreen()

	* browser-plugin/totemComplexPlugin.cpp:
	* browser-plugin/totemComplexPlugin.h:
	* browser-plugin/totemGMPSettings.cpp:
	* browser-plugin/totemGMPSettings.h:
	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemNarrowSpacePlugin.h:
	Fix for changes above

	* browser-plugin/totemConePlugin.cpp:
	* browser-plugin/totemConePlugin.h:
	Implement ToggleFullscreen/ToggleMute, state, mute,
	volume and fullscreen properties

	(Closes: #462544)

2008-02-15  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c: (get_media_size):
	  Fix "gst_value_set_fraction: assertion `denominator != 0' failed"
	  warning in case we don't have width/height yet (Closes: #516653)

2008-02-15  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Add proper locking to the
	entry list, hopefully stopping any potential races.

2008-02-15  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Fix YouTube searches which
	produce no results. (Closes: #516236)

2008-02-14  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemConePlugin.cpp:
	* browser-plugin/totemConePlugin.h:
	Implement stubs for the Audio and Video objects

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_stop): Fix warning when _stop()
	is called in logo mode

2008-02-14  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	* browser-plugin/totem-plugin-viewer.c: (totem_pl_item_free),
	(totem_embedded_clear_playlist), (totem_embedded_add_item),
	(totem_embedded_open_uri), (totem_embedded_open_stream),
	(totem_embedded_set_local_file), (totem_embedded_set_playlist),
	(totem_embedded_push_parser):
	* browser-plugin/totemPlugin.h:
	* browser-plugin/totemPlugin.cpp: Implement ClearPlaylist
	and AddItem, to manipulate the playlist

	* browser-plugin/idl/totemIConePlaylist.idl: Fix prototype
	for add

	* browser-plugin/totemConePlugin.cpp: Implement ::Add,
	and ::Clear

	* browser-plugin/totemPluginGlue.cpp: Fix a compilation
	warning

2008-02-13  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/idl/Makefile.am:
	* browser-plugin/idl/totemIConeAudio.idl:
	* browser-plugin/idl/totemIConeInput.idl:
	* browser-plugin/idl/totemIConePlaylist.idl:
	* browser-plugin/idl/totemIConePlaylistItems.idl:
	* browser-plugin/idl/totemIConeVideo.idl:
	Update the IDL for VLC 0.8.6 and above

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_open_uri),
	(totem_embedded_open_stream), (totem_embedded_update_menu):
	Add more debug for some remote functions, and try to use
	the stream_uri when it's available

	* browser-plugin/totemConePlugin.cpp:
	* browser-plugin/totemConePlugin.h: Implement stubs for
	Playlist and PlaylistItems objects

2008-02-13  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_action_remote), (on_mouse_click_fullscreen):
	Fix crashers when remote buttons are pressed and we're in
	windowed mode (Closes: #516089)

2008-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  (bacon_video_widget_can_play):
	  Test for all elements required for DVB, not just dvdbasebin.
	  Also, no need to load the plugin and create the element if all
	  we want to know is if it's available.

2008-02-12  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPPlugin.cpp: Add audio/x-ms-wma
	to the mime-types, allows playback on
	http://cbn.globoradio.globo.com/cbn/comentarios/arnaldojabor.asp
	(Closes: #515914)

============ Version 2.21.93

2008-02-12  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.93

2008-02-11  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (on_movie_menu_select): Fix thinko that
	caused DVD/CD devices not to appear in the movie menu
	* src/totem.c: (totem_action_load_media):
	Fix error messages for the unsupported and missing channels.conf
	error cases

2008-02-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (update_dvb_menu_items): Fix stupidness

2008-02-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (update_dvb_menu_items):
	Better menu item label for the DVB items, don't translate
	strings we don't need to (Closes: #515593)

2008-02-10  Bastien Nocera  <hadess@hadess.net>

	Patch from Zaheer Abbas Merali <zaheermerali@gmail.com>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_get_channels_file),
	(bacon_video_widget_can_play),
	(bacon_video_widget_dvb_get_adapter_type),
	(bacon_video_widget_get_mrls):
	Add support for listing DVB channels from the channels.conf
	file, with DVB type-specific filtering

	* src/totem-menu.c: (on_play_dvb_activate),
	(update_drives_menu_items), (update_dvb_menu_items),
	(on_movie_menu_select): Add DVB cards to the Movie menu

2008-02-10  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c: (xine_event):
	Really fix compile failure, spotted by Jens Granseuer
	<jensgr@gmx.net> (Closes: #514391)

2008-02-09  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem.c: (totem_action_load_media),
	(totem_action_toggle_aspect_ratio): Fix some compile warnings.

2008-02-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_set_logo_by_name):
	Avoid warnings when hidden

2008-02-08  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_action_load_media):
	Fix message when trying to play DVB and plugins are missing

2008-02-08  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_can_play):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_can_play):
	* src/backend/bacon-video-widget.h:
	Change the API to give a more detailed information as to why it
	can't play a specific media

	* src/totem.c: (totem_action_load_media):
	Better error message depending on the retval of _can_play()

2008-02-08  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui:
	* src/totem.c: (totem_action_toggle_aspect_ratio):
	Fix to make totem_action_toggle_aspect_ratio() work again

2008-02-08  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_action_handle_scroll):
	Don't assert when doing a mouse scroll in windowed mode
	(Closes: #515063)

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_can_play), (bacon_video_widget_get_mrls):
	Enumerate the DVD titles using dvdreadsrc, and create a list
	of MRLs to play this back (Closes: #321709), check for the
	presence of dvdreadsrc to see whether we support DVD playback

	* src/totem-menu.c: (totem_action_add_recent): Don't add directories
	to the recent files

	* src/totem.c: (totem_action_load_media_device): Don't use the URL
	from TotemDisc to get the DVD MRL, use the backend instead

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Add support for yes/no
	arguments, Fix the VLC plugin not playing anything on the
	http://mediathek.zdf.de/ website, uses the "target" parameter
	instead of src

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_set_error),
	(totem_embedded_open_internal), (on_video_button_press_event),
	(on_error_event), (totem_embedded_push_parser):
	Remember the errors, and once we've set the error, allow errors
	to popup when the main window is clicked (Closes: #457337)
	* browser-plugin/totemPlugin.cpp: Fix the plugin not appearing
	when the width or height isn't set

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_construct):
	Don't try to load the logo if we're hidden
	* browser-plugin/totemPlugin.cpp: Match the tiny width/height hacks
	to hide a plugin used in Mozilla, fixes the Sirius Radio streams
	never calling SetWindow() (Closes: #494680)

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Fix the DivX plugin not getting
	any URIs to play on the Stage6 website

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am: Add a log domain for easier debugging
	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_play):
	Tell the plugin we had a button press if we don't have a URI to
	play (Closes: #504795)

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/media-player-keys/totem-media-player-keys.c:
	(impl_activate): Fix the bus name being wrong

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/lirc/totem-lirc.c: (totem_lirc_to_command):
	* src/totem.c: (totem_action_remote):
	* src/totem.h: Patch from Carsten Luedtke
	<acid_man@gmx.net> to allow setting the aspect ratio using
	LIRC (Closes: #514832)

2008-02-06  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c: (xine_event):
	Patch by Götz Waschk <waschk@mandriva.org> to fix the
	xine-lib build (Closes: #514391)

2008-02-05  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/properties/totem-movie-properties.c:
	(totem_movie_properties_plugin_class_init):
	* src/plugins/skipto/totem-skipto.c: (totem_skipto_class_init),
	(totem_skipto_dispose):
	* src/plugins/totem-module.c: (totem_module_finalize):
	* src/plugins/totem-plugin.c: (totem_get_plugin_paths):
	* src/plugins/totem-plugins-engine.c: (totem_plugins_engine_load):
	* src/plugins/tracker/totem-tracker-widget.c: (populate_result):
	* src/totem-fullscreen.c: (totem_fullscreen_move_popups),
	(totem_fullscreen_new), (totem_fullscreen_set_video_widget),
	(totem_fullscreen_set_parent_window), (totem_fullscreen_init),
	(totem_fullscreen_dispose), (totem_fullscreen_finalize),
	(totem_fullscreen_class_init):
	* src/totem-fullscreen.h:
	* src/totem-menu.c: (add_device_to_menu),
	(show_controls_action_callback):
	* src/totem-open-location.c: (totem_open_location_class_init),
	(totem_open_location_init), (totem_open_location_dispose),
	(totem_open_location_new):
	* src/totem-time-label.c: (totem_time_label_init),
	(totem_time_label_new), (totem_time_label_class_init),
	(totem_time_label_set_time):
	* src/totem-time-label.h:
	* src/totem-uri.c: (totem_setup_file_filters),
	(totem_destroy_file_filters):
	* src/totem-video-list.c: (totem_video_list_new),
	(totem_video_list_class_init), (totem_video_list_init),
	(totem_video_list_dispose): Clean up a couple of memory leaks,
	clean up disposal/finalization on a few classes, and fix some
	style issues. Also, fix user plugins being disabled when enabled
	in GConf. (Closes: #513757)

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c: Fix build
	with gmyth 0.7.0

============ Version 2.21.92

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.92

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/media-player-keys/totem-media-player-keys.c:
	(on_window_focus_in_event), (impl_activate), (impl_deactivate):
	Use dbus-glib directly, instead of the C-glue, so that the
	media keys plugin can work against both the old and the new
	gnome-settings-daemon media-player keys API (Closes: #514037)

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c: (totem_add_subtitle), (totem_add_files):
	Set the default response, fixes "Enter" not changing directories
	when using autocompletion (Closes: #514049), cleanup _add_files()
	to destroy the file chooser earlier

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemBasicPlugin.cpp:
	* browser-plugin/totemBasicPlugin.h:
	* browser-plugin/totemComplexPlugin.cpp:
	* browser-plugin/totemComplexPlugin.h:
	* browser-plugin/totemConePlugin.cpp:
	* browser-plugin/totemConePlugin.h:
	* browser-plugin/totemGMPPlugin.cpp:
	* browser-plugin/totemGMPPlugin.h:
	* browser-plugin/totemMullYPlugin.cpp:
	* browser-plugin/totemMullYPlugin.h:
	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemNarrowSpacePlugin.h:
	* browser-plugin/totemPlugin.h:
	* browser-plugin/totemPluginGlue.cpp:
	Add a PluginLongDescription function to all the plugins,
	and return a custom description in the DivX plugin, so
	stage6.com stops complaining that we have an old version

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_motion_notify),
	(totem_fullscreen_set_fullscreen),
	(totem_fullscreen_set_video_widget), (totem_fullscreen_finalize):
	Only listen to fullscreen motion_notify events when in fullscreen
	(Closes: #514091)

2008-02-04  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (totem_recent_manager_changed_callback),
	(on_movie_menu_select): Trim the list before sorting it, a tiny
	bit faster (Closes: #514090)

2008-02-01  Christian Persch  <chpe@gnome.org>

	* src/backend/debug.h: Use G_STRFUNC instead of the deprecated
	G_GNUC_PRETTY_FUNCTION.

2008-01-31  Bastien Nocera  <hadess@hadess.net>

	* src/totem-resources.c: (time_monitor):
	more typo fixing by Wouter Bron <wousser@gmail.com>
	(Closes: #513125)

2008-01-31  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/totem-python-module.c:
	(totem_python_module_finalize): Protect finalisation
	of plugins which haven't loaded properly. (Closes: #513467)

2008-01-30  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c: (save_pixbuf),
	(capture_interesting_frame), (main): Fix typos in the
	(untranslated) error messages, patch from Wouter Bron
	<wousser@gmail.com> (Closes: #513125)

2008-01-30  Bastien Nocera  <hadess@hadess.net>

	* bindings/vala/totem.vapi:
	* configure.in: Fix compilation with vala 0.1.6, spotted
	by Götz Waschk <waschk@mandriva.org> (Closes: #512920)

2008-01-27  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/tracker/totem-tracker-widget.c:
	(totem_tracker_widget_class_init), (populate_result),
	(get_search_count), (search_results_cb), (do_search), (go_next),
	(go_previous), (page_selector_value_changed_cb), (new_search),
	(init_result_list), (initialize_list_store),
	(totem_tracker_widget_init), (totem_tracker_widget_new):
	* src/plugins/tracker/totem-tracker.c: (impl_activate):
	* src/plugins/tracker/tracker.totem-plugin.in: HIGify the Tracker
	plugin, following suggestions made by Kirk Bridger. (Closes: #512268)

2008-01-26  Philip Withnall  <pwithnall@svn.gnome.org>

	Update svn:ignore properties.

============ Version 2.21.91

2008-01-25  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.91

2008-01-25  Bastien Nocera  <hadess@hadess.net>

	* data/totem.schemas.in:
	* data/totem.ui:
	* src/plugins/screensaver/totem-screensaver.c:
	(totem_screensaver_update_from_state),
	(lock_screensaver_on_audio_changed_cb), (impl_activate),
	(impl_deactivate):
	* src/totem-preferences.c: (checkbutton4_toggled_cb),
	(lock_screensaver_on_audio_changed_cb), (totem_setup_preferences):
	Lock the screensaver when only audio is playing, but allow the
	user to override that, to avoid monitor-powered speakers being
	turned off

	Based on patch by Patrick Hulin <patrick.hulin@gmail.com>

	(Closes: #481080)

2008-01-21  Bastien Nocera  <hadess@hadess.net>

	Patch from Patrick Hulin <patrick.hulin@gmail.com>

	* src/totem-object.c: (totem_object_class_init),
	(totem_object_set_property), (totem_object_get_property):
	Add current-mrl property which gets/sets the current MRL
	that Totem is playing

	* configure.in:
	* src/plugins/thumbnail/*: Add the thumbnail plugin to show
	the currently playing file's thumbnail as the window icon
	(Closes: #407513)

2008-01-18  Bastien Nocera  <hadess@hadess.net>

	* data/desktop.sh:
	* data/mime-functions.sh:
	* data/mime-type-include.sh:
	* data/mime-type-list.txt: Add support for the new
	x-content/ types, fix FLAC being missing from the
	audio types, allow comments to be added to the
	mime-types list (Closes: #510323)

2008-01-17  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Add license_change to the tarballs
	(Closes: #510241)

2008-01-16  Frederic Crozat  <fcrozat@mandriva.com>

	* src/plugins/media-player-keys/totem-media-player-keys.c:
	Do not popup error only if gnome-settings-daemon was not
	running (Really closes #509438).

2008-01-15  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemBasicPlugin.cpp: Update mime-types
	for Ogg and Annodex

2008-01-15  Frederic Crozat  <fcrozat@mandriva.com>

	* src/plugins/media-player-keys/totem-media-player-keys.c:
	Prevent autostarting gnome-settings-daemon, only enable
	plugin if it is running already (Closes: #509438)

2008-01-13  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c: (xine_event):
	Check the title passed from xine-lib for UTF-8 correctness
	(Closes: #497175)

2008-01-11  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-resize.c: 
	* src/backend/bacon-resize.h:
	Patch from Philip Withnall <pwithnall@svn.gnome.org> to turn
	the bacon-resize code into an object

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_unrealize),
	(bacon_video_widget_set_fullscreen),
	(bacon_video_widget_new):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_realize),
	(bacon_video_widget_unrealize), 
	(bacon_video_widget_set_fullscreen):
	Port to the new API (Closes: #370099)

2008-01-10  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-resize.c: (bacon_resize), (bacon_restore):
	Don't try to change the resolution in multi monitor mode,
	as the VidMode extension doesn't allow for multiple monitors
	(Closes: #472494)

2008-01-09  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix typo

2008-01-09  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c: (gui_thread),
	  (bacon_video_widget_finalize),
	  (bvw_update_brightness_and_contrast_from_gconf),
	  (bvw_update_colorbalance_from_gconf_delayed),
	  (bvw_update_interface_implementations), (bacon_video_widget_new):
	  Make sure we don't do GConf stuff from the streaming thread, since
	  gconf might apparently iterate the default main context, leading to
	  all kinds of nasty issues, such as random crashes with NULL pollrecs
	  in g_main_context_check. (Hopefully closes: #471159)

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-resize.c: (bacon_resize_init), (bacon_resize),
	(bacon_restore):
	* src/backend/bacon-resize.h:
	Pass the GtkWidget of the video widget when resizing for fullscreen,
	use multi-head aware function to get the Screen, Display and Root
	Window, only get the XRandR screen configuration when going into
	fullscreen, not when init is called.

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_set_fullscreen):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_set_fullscreen): Update for changed API

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_action_wait_force_exit), (totem_action_exit):
	Forcefully exit when we can't finish the shutdown in 10 seconds.
	From patch by Patrick Hulin <patrick.hulin@gmail.com>
	(Closes: #355512)

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am: Fix building GTK+ version of the
	browser plugin (again)

2008-01-08  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove unneeded HAL check, totem-pl-parser
	depends on it, and we don't use it

2008-01-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove unneeded gnome-desktop dependency

============ Version 2.21.90

2008-01-07  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.90

2008-01-03  Philip Withnall  <pwithnall@svn.gnome.org>

	* configure.in: Convert some == comparisons to = to make
	configure POSIX-compliant.

2008-01-02  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/Makefile.am: Use the extensiondir variable from the
	pkg-config file to install the nautilus extension

2007-12-31  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/ontop/totem-ontop.c: (totem_ontop_plugin_class_init),
	(totem_ontop_plugin_init), (update_from_state), (got_metadata_cb),
	(property_notify_cb), (impl_activate), (impl_deactivate):
	Only put Totem on top when playing video, not audio.
	(Closes: #501521)

2007-12-28  Olav Vitters  <olav@bkor.dhs.org>

	* src/totem-playlist.c: (totem_playlist_init): Build fix.
	s/plyalist/playlist/

2007-12-28  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (totem_playlist_init):
	Ignore backup files, mentioned on the Rhythmbox
	mailing-list

2007-12-21  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemBasicPlugin.cpp: Patch
	from Praveen A <pravi.a@gmail.com> to add
	application/x-ogg as a supported mime-type
	(Closes: #504795)

2007-12-17  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Remove volume up/volume down from
	the popup menu, they're useless

2007-12-17  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix problem with the GTK+-only build,
	libstartup-notification wasn't pulled in, spotted by
	Saleem Abdulrasool (Closes: #503802)

2007-12-13  Tim-Philipp Müller  <tim at centricular dot net>

	* README:
	  Remove mention of libgimme-codec.

2007-12-11  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-glow-button.c: (totem_glow_button_glow),
	(totem_glow_button_enter), (totem_glow_button_leave):
	Only glow 4 times, even if we don't get the pointer entering,
	Fix the glow being slower, not faster when the pointer enters
	(Closes: #500496)

2007-12-11  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-glow-button.c: (totem_glow_button_glow),
	(take_screenshot), (copy_pixmap), (totem_glow_button_expose):
	Backport patch from Ryan Lortie <desrt@desrt.ca> from libwnck,
	Makes use of Cairo instead of GdkPixbuf for copying the pixmaps,
	see bug #439417 for details

2007-12-11  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* data/icons/48x48/Makefile.am:
	* data/icons/Makefile.am: Add 48x48 icon, so the icon
	isn't tiny when drag'n'dropping it on the desktop,
	icon from Andreas Nilsson (Closes: #502931)

2007-12-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (on_got_redirect),
	(totem_embedded_on_fullscreen_exit): Better debug for
	redirects

2007-12-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Require vala 0.1.5

	* bindings/vala/Makefile.am:
	* bindings/vala/totem.vala: Rename totem.vala
	to totem.vapi, fix build for newer versions of Vala
	(Closes: #502183)

2007-12-07  Bastien Nocera  <hadess@hadess.net>

	* configure.in: add missing libgnomeui dependency
	for the tracker widget, patch by Saleem Abdulrasool
	<compnerd@gentoo.org> (Closes: #502246)

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in: and more stupidness

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Oopsie, update the plparser reqs
	to something that exists

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update the plparser reqs

============ Version 2.21.5

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.5
	* src/plugins/sample-vala/Makefile.am: fix distcheck

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c: (impl_activate):
	Don't set the cursor for the window, we're not actually
	doing anything
	* src/totem-sidebar.c: (totem_sidebar_get_current_page),
	(totem_sidebar_set_current_page):
	* src/totem-sidebar.h:
	* src/totem.c: (totem_action_show_properties), (main):
	Don't force showing the sidebar when restoring the sidebar
	page from a previous run (Closes: #501324)

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c: (impl_activate):
	Add the treeview to a scrolled viewport (Closes: #492741)

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix warning when Python detection fails

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Move the plugins language detection
	before the movie plugins detection, and remove the 
	sample-vala plugin from the list if vala isn't installed
	* src/plugins/sample-vala/Makefile.am: Fix build

2007-12-06  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/publish/Makefile.am: Add missing publish
	plugin UI file to the dist
	* src/plugins/sample-vala/Makefile.am: Add missing
	vala source to the dist
	Spotted by Götz Waschk
	(Closes: #502052)

2007-12-06  Takao Fujiwara  <takao.fujiwara@sun.com>

	reviewed by: Philip Withnall

	* data/totem.ui:
	  Mark messages for translation.
	* src/plugins/skipto/totem-skipto-plugin.c:
	  (impl_activate): Set translation domain.
	  (Closes: #501485)

2007-12-04  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am: Make the plugins link
	against the -mini playlist parser lib (Closes: #501352)

2007-12-04  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/mozilla-viewer.ui:
	* data/playlist.ui:
	* data/plugins.ui:
	* data/totem.ui:
	* src/plugins/publish/publish-plugin.ui: Fix some problems with
	the UI files which were erroneously accepted by the current
	GtkBuilder parser. (Closes: #499865)

============ Version 2.21.4

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.4

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* plparse/*: 
	* totem-plparser-uninstalled.pc.in:
	* totem-plparser.pc.in: Move to totem-pl-parser module

	* Makefile.am:
	* bindings/python/totem.override:
	* browser-plugin/Makefile.am:
	* configure.in:
	* lib/Makefile.am:
	* src/Makefile.am:
	* src/backend/bacon-video-widget.h:
	* src/totem-playlist.h:
	* src/totem.c:
	* src/totem.h: Update includes and configure to use the external
	totem-pl-parser

	(Closes: #462153)

2007-12-03  Mathias Hasselmann  <mathias@openismus.com>

	Small improvements to the publish plugin.

	* src/plugins/publish/totem-publish.c: Populate the internal playlist
	after plugin activation. Switch to playlist page right after
	retrieving the list for better user experience (streaming lag).

============ Version 2.21.3

2007-12-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.3

2007-12-02  Mathias Hasselmann  <mathias@openismus.com>

	Update to libepc trunk.

	* src/plugins/publish/totem-publish.c: Change service monitor
	callbacks and internal playlist to use EpcServiceInfo.

2007-12-02  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/galago/totem-galago.c:
	(totem_galago_plugin_finalize):
	* src/plugins/tracker/totem-tracker.c:
	(totem_tracker_plugin_class_init): Removed a couple
	of unused variables (whoops!).

2007-12-02  Philip Withnall  <pwithnall@svn.gnome.org>

	* plparse/totem-pl-parser.c: (totem_pl_parser_class_init),
	(totem_pl_parser_init), (totem_pl_parser_finalize):
	* src/plugins/galago/totem-galago.c:
	(totem_galago_plugin_class_init), (totem_galago_plugin_dispose),
	(totem_galago_plugin_finalize):
	* src/plugins/tracker/totem-tracker-widget.c:
	(totem_tracker_widget_class_init), (totem_tracker_widget_dispose):
	* src/plugins/tracker/totem-tracker-widget.h:
	* src/plugins/tracker/totem-tracker.c:
	(totem_tracker_plugin_class_init):
	* src/totem-menu.c: (create_lang_actions):
	* src/totem-playlist.c: (totem_playlist_update_save_button),
	(totem_playlist_save_current_playlist_ext), (drop_cb),
	(playlist_select_subtitle_action_callback),
	(playlist_copy_location_action_callback),
	(playlist_show_popup_menu), (totem_playlist_set_reorderable),
	(button_press_cb), (button_release_cb), (drag_begin_cb),
	(drag_end_cb), (selection_changed), (update_current_from_playlist),
	(totem_playlist_foreach_selected),
	(totem_playlist_emit_item_removed), (playlist_remove_files),
	(totem_playlist_save_files), (totem_playlist_move_files),
	(totem_playlist_key_press), (treeview_row_changed),
	(init_treeview), (update_repeat_cb), (ensure_shuffled),
	(update_shuffle_cb), (update_lockdown), (init_config),
	(totem_playlist_dispose), (totem_playlist_finalize),
	(totem_playlist_init), (totem_playlist_new),
	(totem_playlist_add_one_mrl), (totem_playlist_add_mrl),
	(totem_playlist_clear), (totem_playlist_clear_with_compare),
	(totem_playlist_get_current_mrl),
	(totem_playlist_get_current_title), (totem_playlist_get_title),
	(totem_playlist_get_current_metadata),
	(totem_playlist_has_previous_mrl), (totem_playlist_has_next_mrl),
	(totem_playlist_set_title), (totem_playlist_set_playing),
	(totem_playlist_get_playing), (totem_playlist_set_previous),
	(totem_playlist_set_next), (totem_playlist_get_repeat),
	(totem_playlist_set_repeat), (totem_playlist_get_shuffle),
	(totem_playlist_set_shuffle), (totem_playlist_set_at_start),
	(totem_playlist_set_at_end), (totem_playlist_get_current),
	(totem_playlist_set_current), (totem_playlist_class_init),
	(totem_playlist_foreach):
	* src/totem-playlist.h:
	* src/totem.c: (totem_action_exit): Clean up a couple of other
	memory leaks, clean up disposal/finalization on a few classes,
	and rename TotemPlaylist->_priv to TotemPlaylist->priv.

2007-12-01  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Fix the related videos
	display, broken when multiple selection was enabled.

2007-12-01  Philip Withnall  <pwithnall@svn.gnome.org>

	Update svn:ignore properties.

2007-12-01  Philip Withnall  <pwithnall@svn.gnome.org>

	* plparse/totem-disc.c: (cd_cache_new):
	* plparse/totem-pl-parser.c: (totem_pl_parser_finalize),
	(totem_pl_parser_parse_internal):
	* src/ev-sidebar.c:
	* src/ev-sidebar.h:
	* src/plugins/tracker/totem-tracker-widget.c:
	(totem_tracker_widget_class_init), (populate_result),
	(totem_tracker_widget_init):
	* src/totem-playlist.c: (totem_playlist_init),
	(totem_playlist_class_init):
	* src/totem-sidebar.c:
	* src/totem-sidebar.h:
	* src/totem.c: (totem_action_exit): Plug some memory leaks.

2007-12-01  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am:
	* src/backend/Makefile.am:
	* src/backend/bacon-video-widget.h:
	* src/plugins/bemused/Makefile.am:
	* src/plugins/galago/Makefile.am:
	* src/plugins/gromit/Makefile.am:
	* src/plugins/lirc/Makefile.am:
	* src/plugins/media-player-keys/Makefile.am:
	* src/plugins/mythtv/Makefile.am:
	* src/plugins/ontop/Makefile.am:
	* src/plugins/properties/Makefile.am:
	* src/plugins/publish/Makefile.am:
	* src/plugins/sample-vala/Makefile.am:
	* src/plugins/screensaver/Makefile.am:
	* src/plugins/sidebar-test/Makefile.am:
	* src/plugins/skipto/Makefile.am:
	* src/plugins/tracker/Makefile.am:
	* src/totem.c: Fix distcheck, and plparse includes all around

2007-12-01  Bastien Nocera  <hadess@hadess.net>

	* src/totemplaylist-marshal.list: Add the file to the repo,
	bad bad Mathias

2007-12-01  Bastien Nocera  <hadess@hadess.net>

	* data/Makefile.am:
	* data/publish-plugin.glade:
	* data/publish-plugin.ui: move those files to the
	publish plugin directory

	* src/plugins/publish/Makefile.am:
	* src/plugins/publish/totem-publish.c:
	(totem_publish_plugin_activate): Use the plugin convenience
	functions to load the interface

2007-12-01  Mathias Hasselmann  <mathias@openismus.com>

	Merge changes from LIBEPC branch. To gives Totem the ability to
	share its playlists via HTTP. Theoretically also HTTPS would work,
	if GStream/GNOME-VFS would setup Neon properly.

	* data/Makefile.am: Add publish-plugin.ui. Move totem_logo.png.
	* src/Makefile.am: Add totemplaylist-marshal.list.
	* src/plugins/publish/Makefile.am: Update CFLAGS with include dirs.
	* src/plugins/publish/totem-publish.c: Implement playlist sharing.
	* src/totem-playlist.c, src/totem-playlist.h: Add "item-added" and
	"item-removed" signal for more detailed information about playlist
	changes. Add totem_playlist_foreach for iterating over the playlist.

2007-11-30  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/tracker/Makefile.am: Fix hardcoded libraries

	* src/totem-sidebar.c: (totem_sidebar_set_current_page):
	* src/totem.c: (totem_action_save_state), (totem_action_exit),
	(totem_action_handle_key_press), (totem_setup_window),
	(main): Save sidebar page ID before shutting down the plugins,
	and try to restore the page used after having activated the plugins
	(Closes: #500487)

2007-11-29  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c: (totem_setup_file_filters): Add missing
	subtitle formats (Closes: #499460)

2007-11-28  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (totem_playlist_get_current_mrl):
	Set the subtitle to NULL if there's such an argument passed
	* src/totem.c: (totem_action_open_dialog), (window_state_event_cb),
	(totem_action_direction), (totem_action_drop_files),
	(totem_action_set_playlist_index), (playlist_changed_cb),
	(current_removed_cb), (subtitle_changed_cb), (totem_is_playing),
	(totem_is_seekable), (on_eos_event),
	(totem_action_handle_key_press), (playlist_widget_setup):
	Not need to set subtitle to NULL, totem_playlist_get_current_mrl will
	do it for us (Closes: #499765)

2007-11-28  Andreas Nilsson  <nisses.mail@home.se>

	* data/totem.ui: removed icon in front of Color balance slider
	fixes #499730

2007-11-26  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (playlist_show_popup_menu),
	(playlist_remove_files), (totem_playlist_save_files),
	(totem_playlist_move_files), (treeview_row_changed),
	(totem_playlist_clear), (totem_playlist_set_previous),
	(totem_playlist_class_init): Patch from Kamil Pawlowski
	<kamilpe@gmail.com> to disable the "Select text subtitle" menu entry
	if multiple files are selected (Closes: #499462)

2007-11-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/totem.desktop.in.in.in: Add some extra keys, pointing to the
	documentation, and listing other binaries for automated crash
	reporting.

2007-11-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* README: Fix some capitalisation issues in the readme.

2007-11-25  Philip Withnall  <pwithnall@svn.gnome.org>

	Update svn:ignore properties.

2007-11-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/totem.defs:
	* src/plugins/mythtv/totem-mythtv.c: (create_treeview):
	* src/plugins/tracker/totem-tracker-widget.c:
	(initialize_list_store):
	* src/plugins/youtube/youtube.py:
	* src/totem-cell-renderer-video.c: (totem_cell_renderer_video_new),
	(totem_cell_renderer_video_class_init),
	(totem_cell_renderer_video_init),
	(totem_cell_renderer_video_set_property),
	(totem_cell_renderer_video_get_property), (get_size),
	(totem_cell_renderer_video_render):
	* src/totem-cell-renderer-video.h:
	* src/totem-video-list.c: (totem_video_list_get_property): Render
	a placeholder image instead of a video thumbnail in
	TotemCellRendererVideo if a thumbnail isn't available, and enable
	this for YouTube, Tracker and MythTV plugins. (Closes: #499407)

2007-11-25  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/Makefile.am:
	* data/video-list.ui:
	* src/totem-video-list.c: (totem_video_list_new),
	(totem_video_list_init), (totem_video_list_dispose),
	(show_popup_menu), (button_pressed_cb), (popup_menu_cb),
	(add_to_playlist_action_callback), (copy_location_action_callback):
	Add a context menu to TotemVideoList with entries to add to playlist
	and copy the MRL. Also allow multiple-row selection. (Closes: #499159)

2007-11-25  James Livingston  <doclivingston@gmail.com>

	* src/plugins/tracker/totem-tracker-widget.c: (search_results_cb),
	(do_search): use an asynchronous call to Tracker, so it doesn't block
	the UI. (Closes: #499490)

2007-11-25  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c: (create_treeview):
	Remove row_activated signal, it's already implemented in
	the list view

	* bindings/python/totem.defs:
	* data/playlist.ui:
	* src/totem-menu.c: (clear_playlist_action_callback):
	* src/totem-object.c: (totem_add_to_playlist_and_play):
	* src/totem-playlist.c: (playlist_select_subtitle_action_callback),
	(playlist_copy_location_action_callback),
	(playlist_show_popup_menu), (totem_playlist_set_reorderable),
	(update_current_from_playlist), (totem_playlist_add_files),
	(playlist_remove_files), (init_treeview),
	(totem_playlist_add_one_mrl), (totem_playlist_add_mrl),
	(totem_playlist_clear), (totem_playlist_get_current_mrl),
	(totem_playlist_get_current_title), (totem_playlist_set_previous),
	(totem_playlist_class_init):
	* src/totem-playlist.h:
	* src/totem-session.c: (totem_session_restore):
	* src/totem-uri.c: (totem_setup_file_filters),
	(totem_add_subtitle), (totem_add_files):
	* src/totem-uri.h:
	* src/totem.c: (totem_action_set_mrl_and_play),
	(totem_action_open_dialog), (totem_action_load_media),
	(totem_action_play_media_device), (totem_action_play_media),
	(totem_action_play_pause), (window_state_event_cb),
	(totem_open_location_response_cb),
	(totem_action_set_mrl_with_warning), (totem_action_set_mrl),
	(totem_action_direction), (totem_action_drop_files),
	(on_got_redirect), (totem_action_set_playlist_index),
	(totem_action_remote), (playlist_changed_cb), (current_removed_cb),
	(subtitle_changed_cb), (on_eos_event),
	(totem_action_handle_key_press), (playlist_widget_setup), (main):
	* src/totem.h:
	Add big patch by Kamil Pawlowski <kamilpe@gmail.com>, adds text
	subtitle selection in the UI via right-clicking on the playlist
	item (Closes: #165981)

2007-11-24  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-cell-renderer-video.c: (get_size): Render the
	title below the thumbnail to standardise the appearance
	of TotemVideoList. (Closes: #499163)

2007-11-24  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-cell-renderer-video.c: (get_size),
	(totem_cell_renderer_video_render): Fix the cell renderer so
	that it renders entries without thumbnails correctly.
	(Closes: #498943)

2007-11-23  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/tracker/totem-tracker-widget.c: (do_search):
	Use ngettext to translate the number of matches properly
	* src/plugins/tracker/totem-tracker.c: (impl_activate):
	* src/plugins/tracker/tracker.totem-plugin.in:
	Change the name of the plugin to "Video Search" in the UI
	(Closes: #499144)

2007-11-23  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/tracker/totem-tracker-widget.c:
	(totem_tracker_widget_class_init),
	(totem_tracker_widget_set_property), (populate_result),
	(get_search_count), (do_search), (init_result_list),
	(totem_tracker_widget_new):
	* src/totem-video-list.c: (totem_video_list_class_init),
	(totem_video_list_set_property): Fix crash when activating videos
	in the Tracker plugin (Closes: #499137)

2007-11-23  Bastien Nocera  <hadess@hadess.net>

	* configure.in: 
	* src/plugins/tracker/*: 
	Add Tracker plugin from Javier Goday <jgoday@gmail.com>
	(Closes: #497967)

2007-11-23  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (on_recent_file_item_activated),
	(totem_compare_recent_items), (on_movie_menu_select):
	* src/totem-object.c: (totem_add_to_playlist_and_play):
	* src/totem-video-list.c: (row_activated_cb):
	* src/totem.h: Remove totem_get_playlist() and only export
	totem_add_to_playlist_and_play() which should fit the bill
	for some cases, use it in the TotemVideoList

2007-11-22  Bastien Nocera  <hadess@hadess.net>

	* src/totem-options.c:
	* src/totem-options.h:
	* src/totem.c: (totem_action_exit), (totem_action_seek),
	(totem_action_open_dialog), (totem_action_load_media),
	(window_state_event_cb), (totem_action_take_screenshot),
	(totem_seek_time_rel), (totem_action_set_playlist_index),
	(playlist_changed_cb), (totem_action_handle_key_press),
	(playlist_widget_setup), (main):
	Add --no-existing-session to allow launching multiple Totems
	(Closes: #498826)

2007-11-22  Bastien Nocera  <hadess@hadess.net>

	* src/totem-cell-renderer-video.c: (get_size): Don't try to draw
	anything if the thumbnail is 0 sized

	* src/plugins/mythtv/totem-mythtv.c: (get_thumbnail),
	(create_treeview), (totem_mythtv_list_recordings), (impl_activate):
	Port to using the TotemVideoList widget for consistency

	* src/totem-video-list.c: (totem_video_list_class_init),
	(totem_video_list_set_property): Make setting Totem
	a construct only property, it doesn't change in the lifetime of the
	program

2007-11-21  Bastien Nocera  <hadess@hadess.net>

	* configure.in: mozilla-config.h either lives in the
	unstable sub-directory of the xulrunner include path,
	or directly in that directory (not in xpcom/)
	Allows building with xulrunner 1.9b2pre

2007-11-21  Kjartan Maraas  <kmaraas@gnome.org>

	* bindings/python/override_common.c:
	(_helper_wrap_boxed_gptrarray):
	* browser-plugin/totemPlugin.cpp:
	* src/backend/bacon-video-widget-gst-0.10.c:
	(get_stream_info_objects_for_type):
	* src/plugins/gromit/totem-gromit.c:
	(totem_gromit_plugin_finalize):
	* src/plugins/totem-plugin.c:
	* src/plugins/totem-plugin.h:
	* src/plugins/totem-plugins-engine.c:
	* src/plugins/totem-python-plugin.c:
	(totem_python_object_get_type):
	* src/totem-fullscreen.c:
	* src/totem-object.c: (totem_remote_command_get_type),
	(totem_disc_media_type_get_type):
	* src/totem-playlist.c: (totem_playlist_save_files),
	(totem_playlist_move_files):
	* src/totem-uri.c: (totem_add_files):
	* src/totem.c: (totem_action_exit), (totem_action_remote),
	(video_widget_create), (main):
	A bunch of cleanups of various sorts.

2007-11-21  Kjartan Maraas  <kmaraas@gnome.org>

	* data/playlist.ui:
	* data/totem.ui:
	Mark a whole bunch of messages for translation.

2007-11-21  Mathias Hasselmann  <mathias@openismus.com>

	Prepare infrastructure for libepc based publish plugin.

	* configure.in: Test for libepc-ui.
	* src/plugins/publish/Makefile.am: Setup libpublish.la
	* src/plugins/publish/publish.totem-plugin.in: Describe the plugin.
	* src/plugins/publish/totem-publish.c: Setup TotemPublishPlugin class.

2007-11-21  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/*: Move this...
	* plparse/*: ... here

	* src/disc-test.c: Move to the plparse directory

	* Makefile.am:
	* browser-plugin/Makefile.am:
	* configure.in:
	* src/Makefile.am:
	* src/backend/Makefile.am:
	* src/plugins/bemused/Makefile.am:
	* src/plugins/properties/Makefile.am:
	* src/plugins/skipto/Makefile.am:
	Changes for the above

	(Closes: #496674)

2007-11-19  Matthias Clasen  <mclasen@redhat.com>

	* src/plugins/totem-plugins-engine.c (totem_plugins_engine_load_file):
	Plug a tiny memory leak.  (#498076)

2007-11-17  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c: (is_error),
	  (GST_DEBUG_BIN_TO_DOT_FILE), (bvw_error_msg), (bvw_bus_message_cb):
	  Add support for graphviz output (set GST_DEBUG_DUMP_DOT_DIR to a
	  directory of your choice to enable output; does nothing for core
	  versions < 0.10.15). (Closes: #488567)

2007-11-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (entry_parsed):
	Skip 0-length streams in playlists (Closes: #497440)

2007-11-12  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plparse/totem-pl-parser-podcast.c: (parse_rss_items):
	* src/plugins/youtube/youtube.py:
	* src/totem-object.c: (totem_get_playlist):
	* src/totem-playlist.h:
	* src/totem-video-list.c: (row_activated_cb):
	* src/totem.h: Fix some compile warnings, show a busy cursor
	while downloading results in the YouTube plugin, and convert
	TotemVideoList to use the playlist instead of directly playing
	MRLs.

============ Version 2.21.2

2007-11-12  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.2
	* lib/Makefile.am: Fix extraneous character breaking the build

2007-11-07  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-lines.c: (totem_pl_parser_add_m3u):
	Add support for parsing M3U files with drive letters, as used on
	some devices like the Sony Ericsson W950i (See #427975)

2007-11-06  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c: (parse_rss_items),
	(totem_pl_parser_add_rss): Look for the feed metadata first,
	as it might be at the end of the file (fixes parsing of
	http://www.pinksilver.net/podcast/feed.xml, thanks Jonathan for
	the test case)

2007-11-06  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/xmllexer.c: (lexer_decode_entities):
	Update decoding of decimal entities to match upstream
	patch by Darren Salt, thanks Darren!

2007-11-06  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c:
	(totem_pl_parser_add_xml_feed): Implement, fixes parsing
	of feeds from Feedburner.com (see #484768)

2007-11-05  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* lib/Makefile.am:
	* lib/asprintf.c: (totem_private_asprintf):
	* lib/totem_internal.h:
	* src/plparse/Makefile.am:
	* src/plparse/xmlparser.c: (xml_parser_get_node_internal):
	Fix compilation on Solaris, which lacks asprintf,
	based on patch by Damien Carbery <damien.carbery@sun.com>
	(Closes: #492074)

2007-11-05  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/xmllexer.c: (lexer_get_token),
	(lexer_decode_entities): Fix decoding of decimal entities,
	useful for Podcasts (see #484768)

2007-11-05  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Add gnome-keyring dep as used in the xine-lib
	backend

2007-11-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPPlugin.cpp: Implement
	totemIGMPControls::GetCurrentPosition (Helps: #364054)
	* browser-plugin/totemPlugin.cpp: Support vidheight and
	vidwidth as used by WMP (doesn't make much of a difference,
	mind you)

2007-11-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPPlugin.cpp:
	* browser-plugin/totemGMPPlugin.h:
	* browser-plugin/totemGMPSettings.cpp:
	* browser-plugin/totemGMPSettings.h:
	Implement totemIGMPPlayer::SetURL and ::GetURL,
	and totemIGMPSettings::SetVolume and ::GetVolume
	(Helps: #364054)
	* browser-plugin/totemNarrowSpacePlugin.cpp:
	Implement totemINarrowSpace::SetVolume and ::GetVolume

2007-11-01  Bastien Nocera  <hadess@hadess.net>

	* bindings/vala/totem.vala: Fix vala bindings for the latest
	Vala (Closes: #491346)

2007-11-01  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-include.sh: Small fix to work with
	Solaris' sh, spotted by Damien Carbery <damien.carbery@sun.com>
	(Closes: #492068)

2007-11-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_class_init):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_class_init):
	TICK is already used as a define on Solaris, use TICK_SIGNAL
	instead. Patch from Damien Carbery <damien.carbery@sun.com>
	(Closes: #492087)

2007-10-31  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (on_about1_activate),
	(totem_embedded_on_fullscreen_exit):
	* src/totem-menu.c: (about_action_callback): Update Copyright
	text to mention 2007

============ Version 2.21.1

2007-10-31  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.21.1

2007-10-30  Bastien Nocera  <hadess@hadess.net>

	* src/totem-audio-preview.c: (main): Also allow playback of
	a single file passed on the command-line

2007-10-27  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py:
	* src/plugins/youtube/youtube.ui: Split videos out into two
	treeviews; one for search results and one for related videos,
	meaning that search results are no longer lost (Closes: #487100)

2007-10-25  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: add audio/x-xm (XM tracker files)
	as supported (Closes: #489580)

2007-10-24  Philip Withnall  <pwithnall@svn.gnome.org>

	Update svn:ignore properties.

2007-10-24  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/Makefile.am:
	* src/plugins/youtube/youtube.py:
	* src/totem-video-list.c: (totem_video_list_class_init),
	(query_tooltip_cb), (row_activated_cb),
	(default_starting_video_cb):
	* src/totem-video-list.h:
	* src/totemvideolist-marshal.list: Add a signal to TotemVideoList
	to allow users of it to set the MRL just before a video is played,
	which solves YouTube's slowness problem. Also, display the MRL as part
	of the tooltips on the TotemVideoList.

2007-10-24  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c:
	(totem_pl_parser_add_itms), (totem_pl_parser_is_itms_feed),
	(parse_opml_outline): Fix parsing of the URLs as supplied on
	the "Connecting to the iTunes Store." page, so that a single-click
	can bring you to rhythmbox

2007-10-24  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c: (totem_pl_parser_is_opml),
	(totem_pl_parser_is_xml_feed), (parse_rss_items),
	(totem_pl_parser_add_rss), (parse_opml_outline),
	(parse_opml_head_body), (totem_pl_parser_add_opml):
	* src/plparse/totem-pl-parser-podcast.h:
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_ignore),
	(totem_pl_parser_ignore_from_mimetype),
	(totem_pl_parser_parse_internal),
	(totem_pl_parser_can_parse_from_data): Add support for OPML feeds
	(Closes: #489519)

2007-10-23  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/Makefile.am:
	* src/plugins/youtube/youtube.py:
	* src/plugins/youtube/youtube.ui:
	* src/totem-cell-renderer-video.c:
	(totem_cell_renderer_video_class_init),
	(totem_cell_renderer_video_init),
	(totem_cell_renderer_video_set_property),
	(totem_cell_renderer_video_get_property), (get_size),
	(totem_cell_renderer_video_render):
	* src/totem-video-list.c: (totem_video_list_new),
	(totem_video_list_class_init), (totem_video_list_init),
	(totem_video_list_set_property), (totem_video_list_get_property),
	(query_tooltip_cb), (selection_changed_cb), (row_activated_cb):
	* src/totem-video-list.h: Create a new TotemVideoList object,
	enabling tooltips on lists of videos (as in the YouTube plugin),
	and moving other functionality -- such as play-on-cell-activation
	 -- support out too (Closes: #488826)

2007-10-23  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/plparser.symbols: export totem_pl_parser_parse_date
	as used by Podcasts
	* src/plparse/totem-pl-parser.h: summary is
	description in Podcasts
	* src/plparse/xmlparser.c: (xml_parser_get_node_internal):
	Fix uninitialised variable warning in valgrind

2007-10-23  Philip Withnall  <pwithnall@svn.gnome.org>

	* configure.in: Decrease Python dependency back to 2.3,
	and bump up PyGTK dependency to 2.12 (it should've been
	bumped when the YouTube plugin was committed) (Closes: #489306)

2007-10-22  Philip Withnall  <pwithnall@svn.gnome.org>

	Update svn:ignore properties.

2007-10-22  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/Makefile.am:
	* bindings/python/totem.defs:
	* bindings/python/totem.override:
	* src/Makefile.am:
	* src/plugins/youtube/youtube.py:
	* src/plugins/youtube/youtube.ui:
	* src/totem-cell-renderer-video.c: (totem_cell_renderer_video_new),
	(totem_cell_renderer_video_class_init),
	(totem_cell_renderer_video_init),
	(totem_cell_renderer_video_dispose),
	(totem_cell_renderer_video_set_property),
	(totem_cell_renderer_video_get_property), (get_size),
	(totem_cell_renderer_video_get_size),
	(totem_cell_renderer_video_render):
	* src/totem-cell-renderer-video.h: Move the cell renderer used in
	the YouTube plugin out to a C-based GObject and clean it up a bit.
	Add the new object to the Python bindings, and make the YouTube
	plugin use it. Additional cleanup to the YouTube plugin and the
	Python bindings.

2007-10-22  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Fix popping from an empty list
	in some cases (Closes: #486504)

============ Version 2.21.0

2007-10-21  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* data/Makefile.am:
	* src/plugins/mythtv/Makefile.am: Fix distcheck errors

2007-10-21  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* src/plugins/youtube/youtube.py: Use a regular expression to extract
	the token (allows the extraction also if the token is not the last
	argument) and close the HTTP connection (Closes #488763)

2007-10-19  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_toggle_fullscreen):
	Put the fullscreen window on the screen where the video
	widget is, when using Xinerama (Closes: #487932)

2007-10-19  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt:
	* data/totem.desktop.in.in.in: Patch from Stephane Loeuillet
	<leroutier@gmail.com> to fix some warnings in the .desktop
	file (Closes: #481700)

2007-10-19  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix some confusing error message when
	Python was there but not PyGTK (Closes: #479272)

2007-10-19  Bastien Nocera  <hadess@hadess.net>

	* data/totem.schemas.in:
	* data/totem.ui:
	* src/totem-preferences.c: (checkbutton3_toggled_cb),
	(autoload_subtitles_changed_cb), (totem_setup_preferences):
	* src/totem-private.h:
	* src/totem.c: (totem_action_set_mrl_with_warning),
	(totem_action_drop_files), (totem_action_set_playlist_index),
	(playlist_changed_cb), (totem_action_handle_key_press),
	(playlist_widget_setup):
	Add a preference as to whether or not to load text subtitles
	automatically when a new file is loaded. It's off by default,
	as it makes loading videos slower for everyone that doesn't
	want/need this feature (Closes: #481822)

2007-10-19  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c:
	(totem_pl_parser_add_atom): Add some docs

2007-10-18  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/Makefile.am: Install the .totem-plugin
	as well, so we can activate it

2007-10-17  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/Makefile.am:
	* src/plugins/mythtv/totem-mythtv.c: (get_thumbnail),
	(set_thumbnail_icon), (row_activated_cb), (create_treeview),
	(totem_mythtv_list_recordings), (totem_mythtv_update_binfo),
	(refresh_cb), (totem_mythtv_plugin_init),
	(totem_mythtv_plugin_finalize), (impl_activate), (impl_deactivate):
	* src/plugins/mythtv/totem-mythtv.schemas.in:
	Add GConf schemas and use those
	Cache the thumbnail locally, to avoid getting it again constantly
	Add a refresh button, to reload the list of recordings

2007-10-17  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Work-around problems with python being installed
	in /usr/lib64 rather than /usr/lib

2007-10-16  Bastien Nocera  <hadess@hadess.net>

	* data/Makefile.am:
	* data/mime-type-include.sh: generate nautilus-audio-mime-types.h
	for use in nautilus itself

2007-10-16  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am:
	* src/totem-audio-preview.c: (print_mimetypes), (main):
	* src/totem-resources.c: (set_resource_limits),
	(totem_resources_monitor_start):
	* src/totem-resources.h:
	Add a totem-audio-preview program that plays audio on the
	the standard input, for use in nautilus's sound preview
	(See #486827)

2007-10-15  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_open_stream):
	Fix replaying the stream when we were redirected
	(Closes: #486459)

2007-10-14  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Code from Jan Arne Petersen
	to resolve and use the actual FLV URL for YouTube videos.

2007-10-14  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.ui: Move search entry to the
	top of the sidebar, and modify svn:ignore on the "totem"
	plugin's directory.

2007-10-13  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/plugins/youtube/youtube.py: Change spaces to plusses in
	YouTube query strings, and order by relevance instead of view
	count, in response to a suggestion by Chris Lord.

2007-10-10  Christian Persch  <chpe@gnome.org>

	* data/totem.ui:
	* src/totem-menu.c: (add_lang_action), (connect_proxy_cb):
	Remove redundant connect-proxy callback, and just put the code into
	the existing callback for the recent actions action group. Bug
	#484136.

2007-10-09  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c: (xine_event),
	(bacon_video_widget_stop), (bacon_video_widget_get_current_frame):
	Guard against bogus progress percentages (Closes: #484888)

2007-10-09  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/Makefile.am:
	* src/plugins/totem/Makefile.am: Add a dummy totem
	Python module to please the loader

2007-10-08  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_set_logo_by_name), (totem_embedded_launch_player),
	(totem_embedded_update_menu), (on_about1_activate),
	(totem_embedded_on_fullscreen_exit), (parse_plugin_type):
	Add cone to the list of possible plugins in the viewer
	* configure.in: enable cone by default
	* src/plugins/mythtv/totem-mythtv.c: (get_thumbnail):
	Don't try to load huge thumbnails
	* src/plugins/totem-python-module.c:
	(totem_python_module_init_python): Enable threads after having
	init'ed pygtk, fixes a crash enabling the YouTube plugin
	* src/totem-resources.c: (totem_resources_monitor_start):
	Remove unneeded blank line

2007-10-08  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/totem.defs:
	* bindings/python/totem.override:
	* configure.in:
	* src/plugins/totem-python-module.c:
	(totem_python_module_init_python), (totem_python_garbage_collect),
	(totem_python_shutdown):
	* src/plugins/youtube/Makefile.am:
	* src/plugins/youtube/youtube.py:
	* src/plugins/youtube/youtube.totem-plugin.in:
	* src/plugins/youtube/youtube.ui: Add a plugin to browse YouTube.
	Additionally, port some Python module changes from Rhythmbox,
	and extend our Python bindings a little. (Closes: #484438)

2007-10-08  Philip Withnall  <pwithnall@svn.gnome.org>

	* README:
	* data/totem.ui:
	* src/plugins/gromit/totem-gromit.c: (on_window_key_press_event):
	* src/plugins/skipto/totem-skipto-plugin.c:
	(on_window_key_press_event), (impl_activate):
	* src/totem.c: (totem_action_handle_key_press),
	(window_key_press_event_cb): Rejigger keyboard shortcuts
	(Closes: #480664)

2007-10-08  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c: (parse_rss_item),
	(parse_rss_items), (totem_pl_parser_add_itpc), (check_header),
	(decompress_gzip), (totem_pl_parser_parse_itms_doc),
	(totem_pl_parser_get_feed_url), (totem_pl_parser_get_itms_url),
	(totem_pl_parser_add_itms), (totem_pl_parser_is_itms_feed):
	Add some fixes in iTunes RSS handling, support itunes:subtitle,
	Fix stupidness in itpc URL handling, add support for itms podcasts
	* src/plparse/totem-pl-parser-podcast.h:
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_parse_internal):
	Special case itms podcast references
	* src/plparse/xmlparser.c: Increase maxdepth for iTunes' crazy UI
	definition file

	Note: not adding linking to -lz as gnome-vfs should drag it from
	libxml2

	(Closes: #469563)

2007-10-06  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/totem.ui: Fix the signal for the UIManager (Closes: #484126)

2007-10-06  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  Allow taking screenshots of the visualisation if there is one
	  (Closes: #476855).

2007-10-06  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/Makefile.am:
	* data/playlist-ui.xml:
	* data/playlist.ui:
	* data/totem-ui.xml:
	* data/totem.ui:
	* src/backend/bacon-video-widget.h:
	* src/totem-menu.c: (totem_ui_manager_setup):
	* src/totem-playlist.c: (playlist_copy_location_action_callback),
	(playlist_remove_action_callback), (totem_playlist_init):
	* src/totem.c: (update_seekable), (totem_callback_connect): Move
	UIManager stuff to GtkBuilder (Closes: #454242)

2007-10-04  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_get_volume_popup),
	(totem_fullscreen_is_volume_popup_visible),
	(totem_fullscreen_parent_window_notify): Only hide the popup if the
	volume popup isn't visible (Closes: #477529), requires GTK+ patch
	from bug #478371
	* src/totem.c: Remove unneeded functions leftover from glade use in
	the past

2007-10-04  Bastien Nocera  <hadess@hadess.net>

	* data/lirc_example: Add up/down/left/right/select DVD menu
	items to the list of actions as examples (Closes: #483239)
	* src/totem.c: (totem_action_handle_key_press): Add
	ability to select a menu item with button "5" on the keypad

2007-10-02  Bastien Nocera  <hadess@hadess.net>

	* src/totem-video-thumbnailer.c: (main): Fix a few coding
	style issues

2007-10-02  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-podcast.c: (parse_rss_items),
	(totem_pl_parser_add_rss), (parse_atom_entry),
	(parse_atom_entries), (totem_pl_parser_add_atom):
	Add Atom feed support, remove useless debug

2007-10-01  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/test-parser.c: (entry_metadata_foreach): Truncate the
	description if it's too long, useful for podcasts testing

	* src/plparse/totem-pl-parser-podcast.c: (totem_pl_parser_is_rss),
	(totem_pl_parser_is_atom), (totem_pl_parser_is_xml_feed),
	(parse_rss_item), (parse_rss_items), (totem_pl_parser_add_rss),
	(totem_pl_parser_add_xml_feed): Add _is_xml_feed, _is_rss and _is_atom
	implement RSS parsing
	* src/plparse/totem-pl-parser-podcast.h: upd
	* src/plparse/totem-pl-parser.c: Also check whether XML files are
	RSS or Atom feeds

2007-10-01  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-qt.c:
	(totem_pl_parser_add_quicktime_metalink):
	* src/plparse/totem-pl-parser-smil.c:
	(totem_pl_parser_add_smil_with_data):
	* src/plparse/totem-pl-parser-wm.c: (totem_pl_parser_add_asx):
	Update for change xine-lib xml parser API changes

2007-10-01  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/Makefile.am:
	* src/plparse/xmllexer.c: (lexer_get_token):
	* src/plparse/xmllexer.h:
	* src/plparse/xmlparser.c:
	* src/plparse/xmlparser.h: Update from xine-lib-1.2 branch,
	with debug removed, and token buffer size increased to 32k

2007-10-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (on_tick):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_tick_send): More float/double problems,
	especially in the browser viewer, which was causing the seekbar
	to yo-yo with some streams

2007-10-01  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c: (totem_uri_get_subtitle_for_uri),
	(totem_uri_get_subtitle_in_subdir), (totem_uri_get_subtitle_uri):
	Look for subtitles in the subtitles/ directory as well
	(Closes: #481032)

2007-09-26  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_set_state):
	* lib/totem-scrsaver.c: (totem_scrsaver_disable),
	(totem_scrsaver_enable), (totem_scrsaver_set_state):
	Fix crash when there's no screensaver objects, and add assertion
	guards in totem-scrsaver.c (Closes: #480558)

2007-09-25  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add audio/x-vorbis as used in
	http://www.play.cz/radio-7

2007-09-23  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_parent_window_notify):
	When an error occurs and we dismiss the error dialogue, don't hide
	the cursor if we're not in fullscreen
	* src/totem.c: (totem_action_seek), (seek_slider_released_cb):
	When a seek error occurs, reset the seeking so that the interface
	is ready to use again

2007-09-21  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/totem-python-module.c:
	(totem_python_module_init_python): Initialise PyGObject threads
	as soon as possible, or it could cause assertions when using
	threaded python code (See: #469852)

2007-09-19  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_set_cursor),
	(totem_fullscreen_motion_notify),
	(totem_fullscreen_parent_window_notify): Only show the popup on
	motion notifies if the window is active, show the cursor on the
	video window when it's not active, or when it becomes active
	(Closes: #471381)

2007-09-19  Bastien Nocera  <hadess@hadess.net>

	* data/fullscreen.ui:
	* src/totem-fullscreen.c: (totem_fullscreen_popup_timeout_add),
	(totem_fullscreen_is_volume_popup_visible),
	(totem_fullscreen_force_popup_hide), (totem_fullscreen_popup_hide),
	(totem_fullscreen_set_fullscreen), (totem_fullscreen_new):
	Remove the vol_lock, and check whether the popup is visible instead
	Force the volume scale to popdown when going out of fullscreen
	(Closes: #477529, #452245)

2007-09-18  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_construct):
	Create the cursor before setting the playback state so the cursor can
	be set properly. Set the logo to be a play button when no autostart
	is used (Closes: #474059)

2007-09-17  Bastien Nocera  <hadess@hadess.net>

	* data/mozilla-viewer.ui:
	* data/totem.ui: Sliders should be at 0 when starting up

2007-09-14  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_class_init), (got_time_tick),
	(bacon_video_widget_get_property), (bacon_video_widget_seek):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_class_init), (bacon_video_widget_tick_send),
	(bacon_video_widget_play), (bacon_video_widget_seek),
	(bacon_video_widget_seek_time), (bacon_video_widget_get_property),
	(bacon_video_widget_get_position),
	(bacon_video_widget_get_current_time):
	* src/backend/bacon-video-widget.h:
	* src/backend/baconvideowidget-marshal.list:
	* src/totem-video-thumbnailer.c: (capture_interesting_frame):
	* src/totem.c: (update_current_time): Update the xine-lib and
	GStreamer backends to use doubles for the current fraction position,
	to avoid loss of precision, fix PROP_POSITION being a gint64 when it
	was a double (or rather float as before), fix _get_position in the
	xine-lib backend to not return value > 1.0

	In the xine-lib backend, when seeking by fraction, try to seek by time
	instead, gives better precision for most demuxers (Closes: #304308)

2007-09-14  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (on_got_metadata_event): Patch from
	Diego Escalante Urrelo <diegoe@gnome.org> to make the
	screenshot button sensitive only when we can get frames from
	the stream (Closes: #352142)

2007-09-12  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Make the basic plugin handle
	autoplay and controller as used in QuickTime (Closes: #476256)

2007-09-11  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp: make sure mPlugin
	is valid as pointed out by Christian Persch (Helps: #474841)

2007-09-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer-commands.h: Rename this...
	* browser-plugin/totem-plugin-viewer-constants.h: ...to that
	and add the states to those constants

	* browser-plugin/Makefile.am:
	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	* browser-plugin/totempluginviewer-marshal.list:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h:
	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_class_init), (totem_embedded_set_state),
	(totem_embedded_set_logo_by_name), (totem_embedded_open_internal),
	(totem_embedded_play), (totem_embedded_pause),
	(totem_embedded_stop), (on_play_pause), (on_got_redirect),
	(on_video_button_press_event), (on_eos_event), (on_error_event),
	(on_tick), (totem_embedded_construct), (main):
	Add a Tick signal to the viewer, and catch it in the plugin. It
	gets the Time, Duration and state of the player
	Remember the length of a stream

	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemNarrowSpacePlugin.h: implement
	GetRate, GetMaxBytesLoaded, GetMovieSize, GetTime and GetDuration
	(Helps: #474841)

2007-09-08  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/plparser.symbols:
	* src/plparse/totem-pl-parser.h:
	* src/plparse/totem-pl-parser-private.h:
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_resolve_url),
	(totem_pl_parser_parse_duration): Rename
	totem_plparser_parse_duration to totem_pl_parser_parse_duration
	to match the other functions,
	Make totem_parser_resolve_url public as totem_pl_parser_resolve_url

	* src/backend/video-utils.c:
	* src/backend/video-utils.h: Remove the broken
	totem_resolve_relative_link ()

	* browser-plugin/totem-plugin-viewer.c: (on_got_redirect),
	(entry_parsed):
	* src/plparse/test-parser.c: (test_resolve_real), (test_resolve),
	(test_duration_real), (main):
	* src/plparse/totem-pl-parser-pls.c:
	(totem_pl_parser_add_pls_with_contents):
	* src/plparse/totem-pl-parser-smil.c: (parse_smil_entry):
	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry),
	(parse_asx_entryref):
	* src/plparse/totem-pl-parser-xspf.c: (parse_xspf_track):
	* src/totem-playlist.c: (totem_playlist_entry_parsed):
	* src/totem.c: (on_got_redirect):
	Changes to use new APIs
	Add test from the Apple site to the test parser

	(Closes: #474842)

2007-09-05  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-disc.c: (totem_cd_detect_type_with_url):
	Use the canonical device when giving the cdda MRL
	* src/plparse/totem-pl-parser-media.c: (totem_pl_parser_add_block):
	Don't leak the error if there's a problem

2007-09-04  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser.c: (totem_pl_parser_parse_date):
	* src/plparse/totem-pl-parser.h: Add totem_pl_parser_parse_date
	to parse dates from RSS feeds, nicked from Rhythmbox

2007-09-04  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/Makefile.am:
	* src/plparse/totem-pl-parser-podcast.c: (totem_pl_parser_add_rss),
	(totem_pl_parser_add_itpc), (totem_pl_parser_add_atom):
	* src/plparse/totem-pl-parser-podcast.h:
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_init),
	(totem_pl_parser_parse_internal):
	* src/plparse/totem-pl-parser.h: Add stubs for RSS, Atom, and ITPC
	podcasts

2007-09-04  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-private.h:
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_class_init),
	(totem_pl_parser_playlist_end), (totem_pl_parser_init),
	(totem_pl_parser_add_url_valist):
	* src/plparse/totem-pl-parser.h: Change the API for the start and
	end of playlist, so we can pass additional data as part of the
	playlist start

	* configure.in: up the library version after yet another API breakage

	* src/plparse/totem-pl-parser-pla.c: (totem_pl_parser_add_pla):
	* src/plparse/totem-pl-parser-pls.c:
	(totem_pl_parser_add_pls_with_contents): Change to reflect new API

	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry),
	(parse_asx_entries), (totem_pl_parser_add_asx): Ditto, Don't pass the
	playlist title for entries, interested apps can use the
	playlist-started signal instead

	* src/plparse/test-parser.c: (playlist_started), (playlist_ended),
	(test_parsing), (main): Ditto, and add --g-fatal-warnings support

2007-09-03  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/mythtv/totem-mythtv.c: (list_recordings),
	(totem_mythtv_plugin_init): Also ignore empty descriptions, as
	opposed to a NULL string, update IP for my new install (I really
	new to write a config dialog)

2007-09-02  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c: (totem_add_files): Handle the old path not
	being accessible

2007-09-02  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/idl/totemICone.idl: Mark the attributes
	as readonly as they should be
	* browser-plugin/totemConePlugin.cpp: Patch from Christian Persch
	<chpe@gnome.org> to add stubs for the main totemConePlugin object
	(Helps: 462544)

2007-09-02  Christian Persch  <chpe@gnome.org>

	* src/Makefile.am: Fix non-srcdir builds. Bug #472955.

2007-09-01  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Don't call out to the
	viewer when it's not started yet

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* MAINTAINERS: Updated

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix Cone disabled message, it should say disabled...

	* src/totem-uri.c: (totem_get_volume_for_media),
	(totem_is_special_mrl): Fix totem_is_special_mrl, as a file:/// URI
	has a volume, but isn't so special, make totem_is_special_mrl static,
	we're not using it anywhere else, Only get the volume monitor when
	we really need it

	* src/totem-uri.h: remove totem_is_special_mrl()

	* src/totem.c: (totem_action_eject), (totem_action_remote): Close the
	currently played item, and free it before we remove items from
	the playlist (in the eject's callbacks), _set_mrl_and_play with a NULL
	MRL means nothing

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* src/disc-test.c: (main): Print the URL that we detected from
	the device, for DVD and VCDs

	* src/backend/bacon-video-widget-xine.c: (bacon_video_widget_init),
	(setup_config), (bacon_video_widget_can_play),
	(bacon_video_widget_get_mrls): Remove CDDA playback altogether,
	don't say we have VCD support if we only have the old VCD plugin,
	Fake the DVD MRLs in _get_mrls so that we have the device in the
	MRL

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_open_with_subtitle),
	(bacon_video_widget_can_play), (bacon_video_widget_get_mrls):
	Handle VCD MRLs with a device in the MRL, Remove CDDA support

	* src/plparse/totem-disc.c: (totem_cd_detect_type_with_url):
	Use the mountpoint in the MRL for the device when we have it
	available, so that we can look for the volume for that path

	* src/plparse/totem-pl-parser.c: (totem_pl_parser_parse_with_base):
	Return an error when we get invalid input

	* src/totem-menu.c: (add_device_to_menu), (on_movie_menu_select):
	Don't set the activation_uri data on the menu item, we're not
	using it
	Don't forget to reset ->drives_changed to avoid
	rebuilding the devices menu each time we open the menu•

	* src/totem-playlist.c: (totem_playlist_compare_with_volume):
	* src/totem-playlist.h: Remove totem_playlist_clear_with_prefix, not
	using it anymore, use totem_get_volume_for_media in
	totem_playlist_clear_with_gnome_vfs_volume

	* src/totem-uri.c: (totem_get_volume_for_uri),
	(totem_get_mountpoint_for_dvd), (totem_get_mountpoint_for_vcd),
	(totem_get_volume_for_media), (totem_is_special_mrl),
	(totem_action_on_unmount):
	* src/totem-uri.h: Remove totem_is_media and add a
	totem_get_volume_for_uri so that we know what to umount when using
	the eject menu item

	* src/totem.c: (totem_action_eject),
	(totem_action_load_media_device), (totem_action_open_files_list),
	(totem_action_remote), (update_media_menu_items):
	Use the gnome-vfs volume when ejecting the device, so that we
	work for more than just the "special" media, and use gnome-vfs'
	eject functionality
	Remove CDDA handling
	Use crafted MRLs to playback DVD and VCD, as they only give us one
	MRL anyway

	* configure.in: Disable the Cone plugin build for now, as the
	Javascript stubs aren't written (Closes: #472226)

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Make sure the volume widget is disabled on
	startup so that the volume widget can't be popped up at startup,
	Fixes a critical warning leaving enter pressed on startup

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* src/totem-interface.c: (link_button_clicked_cb): Escape the URI
	before using it in a shell, otherwise the fragment ends up being
	a comment, and it's not being used

2007-08-29  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemConePlugin.cpp: Add the application/vlc
	mime-type to the Cone plugin (Closes: #469568)

2007-08-29  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/idl/Makefile.am:
	* browser-plugin/idl/totemICone.idl:
	* browser-plugin/idl/totemIConeAudio.idl:
	* browser-plugin/idl/totemIConeInput.idl:
	* browser-plugin/idl/totemIConePlaylist.idl:
	* browser-plugin/idl/totemIConeVideo.idl:
	* browser-plugin/totemConePlugin.cpp:
	* browser-plugin/totemConePlugin.h:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPluginGlue.h:
	* configure.in: Add the Cone plugin, a plugin to mimic the
	VLC plugin, write IDL files from the web developers 
	documentation available on their site (Helps: #462544)

	* browser-plugin/totemBasicPlugin.h:
	* browser-plugin/totemComplexPlugin.h:
	* browser-plugin/totemGMPError.h:
	* browser-plugin/totemGMPPlugin.h:
	* browser-plugin/totemMullYPlugin.h:
	* browser-plugin/totemNarrowSpacePlugin.h:
	Fix some includes #ifdef

2007-08-29  Philip Withnall  <pwithnall@svn.gnome.org>

	Update svn:ignore properties.

2007-08-28  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add application/sdp for Real and Quicktime
	Session Description Protocol for multicast streaming (Helps: #426657)

2007-08-28  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: add application/x-netshow-channel as a
	supported mime-type
	* src/plparse/totem-pl-parser-wm.c:
	(totem_pl_parser_add_asf_parser): Make NSC files unhandled by the
	playlist parsers, as GStreamer is supposed to handle it
	(Helps: #350595)

2007-08-28  Tim-Philipp Müller  <tim at centricular dot net>

	* browser-plugin/totem-plugin-viewer.c:
	  Fix compile.

2007-08-27  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-smil.c: (parse_smil_entry): Add
	support for the author, "dur", "clip-begin", abstract, and copyright
	attributes of SMIL (Closes: #470875)

2007-08-27  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	Add SetVolume function

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_play),
	(totem_embedded_set_volume), (property_notify_cb_volume):
	Return an error if _play doesn't a URI to chew on,
	implement _set_volume()

	* browser-plugin/totemComplexPlugin.cpp:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPlugin.h: Implement SetVolume in the
	base class and in the Complex plugin, Implement SetSource
	in the Complex plugin and make SetSrc in the base class
	request the stream (Helps: #470876)

2007-08-27  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-pls.c:
	(totem_pl_parser_add_pls_with_contents): Don't try to parse
	entries that have -1 as the length, it means they've been
	tagged as streams (Closes: #437934)
	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entries):
	Minor cleanup, the new XML parser is case-unsensitive

2007-08-27  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry):
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_init):
	* src/plparse/totem-pl-parser.h: Add support for the abstract,
	copyright, author and moreinfo properties for ASX playlists
	(Closes: #469576)

2007-08-27  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-qt.c:
	(totem_pl_parser_add_quicktime_metalink): Add support
	for the autoplay property

2007-08-27  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (on_play_pause),
	(popup_menu_position_func), (popup_menu_over_arrow),
	(on_popup_button_toggled), (on_popup_button_button_pressed),
	(on_video_button_press_event), (totem_embedded_construct):
	* data/mozilla-viewer.ui:

	Add a toggle button to the control bar that shows the right-click
	menu when toggled (Closes: #439105)

	Fix the button-press-event handler eating events thus preventing
	the popup menu to popdown

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (treeview_row_changed),
	(totem_playlist_get_playing):
	* src/totem-playlist.h:
	* src/totem.c: (playlist_changed_cb): Fix activation (adding to
	the playlist, switching opened files, etc.) when 2 of the items in
	the playlist have the same MRL, see bug for details (Closes: #364311)

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_parent_window_notify),
	(totem_fullscreen_new): Patch from Sunil Mohan Adapa
	<sunilmohan@gnu.org.in> to show the cursor when an error dialogue
	pops up (Closes: #439269)

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/backend/Makefile.am:
	* src/backend/bacon-video-widget-xine.c: (xine_event_message),
	(add_auth_to_uri), (bacon_video_widget_open_with_subtitle):
	Patch from Dmitri Fedortchenko <zeraien@gmail.com> to make
	the backend try to get authentication information from the
	GNOME keyring when it gets a permission denied on HTTP.
	(Closes: #418316)

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (totem_playlist_entry_parsed):
	We ignore 0-length items in playlists, they're usually just banners
	(Closes: #441702)

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (entry_parsed):
	* src/plparse/plparser.symbols:
	* src/plparse/test-parser.c: (test_duration_real), (test_duration),
	(main):
	* src/plparse/totem-pl-parser.c: (totem_plparser_parse_duration):
	* src/plparse/totem-pl-parser.h:
	Move totem_embedded_parse_duration from the plugin viewer to the
	playlist parser, add test cases in test-parser, move the PLS
	parsing to the be last one, as it's the less restrictive and sscanf
	is dumb (Closes: #467408)

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/plugins/mythtv/*: Add the first pass at a MythTV plugin,
	only shows recordings, and has hard-coded server

2007-08-26  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (drop_cb), (button_release_cb),
	(drag_end_cb), (treeview_row_changed), (init_treeview),
	(totem_playlist_add_one_mrl): Add support for dropping files
	at a specific place in the playlist tree (Closes: #469810)

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui:
	* src/totem-preferences.c: (totem_setup_preferences):
	Remove work-around for bug 470243 and add the CellRenderer to
	the .ui file instead

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* src/totem-preferences.c: (totem_setup_preferences): 
	Block the signal from the "enable viz" toggle to avoid asking
	twice if the user really wants to enable visualisations, and
	answers yes the first time asked (Closes: #469300)

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* src/totem-preferences.c: (totem_setup_preferences):
	Work-around no visuals showing up in the visuals combo box, see
	http://bugzilla.gnome.org/show_bug.cgi?id=470243 for details

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Add audio/x-sbc as used by bluez-gnome
	for the SBC decoder

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* data/mime-type-list.txt: Patch from Sebastien Bacher
	<seb128@ubuntu.com> to add audio/ogg as a supported mime-type
	(Closes: #469525)

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (skip_forward_action_callback),
	(skip_backwards_action_callback):
	* src/totem.c: (totem_seek_time_rel), (totem_action_seek_relative),
	(totem_action_seek_time), (totem_action_remote),
	(totem_action_handle_key_release), (totem_action_handle_seek),
	(totem_action_handle_key_press), (totem_action_handle_scroll):
	* src/totem.h: Clean up the seek to time functions, and don't
	set the statusbar or the full screen label as seeking when
	there's no MRL loaded (Closes: #469413)

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* src/Makefile.am: Patch from the Cygwin Ports maintainer to make
	the nautilus extension compilable under Cygwin (Closes: #470011)

2007-08-25  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_construct):
	Patch from Jaap A. Haitsma <jaap@haitsma.org> the plugin viewer to
	show an icon for the about dialogue (Closes: #470019)

2007-08-23  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-disc.c: (cd_cache_free):
	Don't umount CDs/DVDs when we're freeing the cache, gnome-vfs will
	eject them (Closes: #469636)

2007-08-22  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_set_state),
	(totem_embedded_construct): Inhibit the screensaver when playback is
	ongoing (Closes: #425469)

2007-08-22  Sebastien Bacher  <seb128@ubuntu.com>

	* src/plugins/screensaver/totem-screensaver.c:
	(totem_screensaver_update_from_state), (impl_activate),
	(impl_deactivate): stop the screensaver when playing, not only when 
	the fullscreen mode is used (Closes: #425473)

2007-08-21  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/media-player-keys/media-player-keys.totem-plugin.in:
	Make the media player keys plugin be builtin, caused by GKeyFile
	thinking "True" is different from "true", see
	http://bugzilla.gnome.org/show_bug.cgi?id=468882

2007-08-21  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_parse_duration): Add support for PLS' duration
	format (just the number of seconds)

2007-08-21  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-pls.c:
	(totem_pl_parser_add_pls_with_contents): Add support for the duration
	metadata being pushed from .pls files

2007-08-21  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_play),
	(on_play_pause), (totem_embedded_parse_duration): Tweak the 
	duration parsing so that items < 1 second in length show up
	as 1 second in length. Stop the button glow whenever we click
	the play button

2007-08-20  Bastien Nocera  <hadess@hadess.net>

	* src/totem-playlist.c: (drop_cb), (totem_playlist_add_mrl):
	* src/totem.c: (totem_action_drop_files):

	Fix parsing of drops from web browsers, broken since
	totem_create_full_path was changed to return NULL if the path passed
	was already a URI (Closes: #468524)

	Fix the playlist error message not showing the playlist URI or name

	Don't use fallback by default, so we can set the item "display name"
	when falling back ourselves

	* src/plparse/totem-pl-parser.c: (totem_pl_parser_parse_internal):
	The default return value is unhandled, as if we don't even set 
	a retval, then that's because we don't know how to handle the
	item

	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry),
	(parse_asx_entryref): When we push playlist items, we're successful,
	so return the value that shows this

2007-08-20  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_parse_duration):
	* src/plparse/totem-pl-parser-lines.c:
	(totem_pl_parser_parse_ram_url):
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_init):
	* src/plparse/totem-pl-parser.h: Add starttime and endtime support
	to RAM files parsing

2007-08-19  Bastien Nocera  <hadess@hadess.net>

	* src/totem-interface.c: (link_button_clicked_cb),
	(totem_interface_error_with_link):
	* src/totem-interface.h:
	* src/totem.c: (totem_action_load_media): Patch from Philip Withnall
	<pwithnall@svn.gnome.org> to enhance the "DVD plugin missing" error
	messages, and link to the website for help (Closes: #439550)

2007-08-19  Jens Granseuer  <jensgr@gmx.net>

	* src/totem-interface.c: (totem_interface_boldify_label),
	(totem_interface_italicise_label): declare variables at the
	beginning of code blocks. Fixes compilation with gcc 2.x
	(Closes: #468181)

2007-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_action_open_files_list): Fix the playback
	not starting when using "totem dvb:"

2007-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget.h: move MEDIA_TYPE_DVB to ...
	* src/plparse/totem-disc.c: (totem_cd_get_human_readable_name):
	* src/plparse/totem-disc.h: ... totem-disc. It's not a disc, but
	it's a media type. Fixes a crash when trying to play "dvb:" with
	the GStreamer backend

	* src/plparse/totem-pl-parser-private.h:
	* src/plparse/totem-pl-parser-xspf.c:
	(totem_pl_parser_parse_xml_file):
	* src/plparse/totem-pl-parser.c: Move
	totem_pl_parser_parse_xml_file to the xspf parser file, it's the
	only thing using it, Fixes compilation

2007-08-18  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_tick_send): Another case where xine-lib
	forces us to calculate the current position ourselves, the
	decoder might think that the position is to the end, when
	the file isn't seekable, but the time and positions are correct
	and changing (test by streaming an AVI file remotely)

============ Version 2.19.90

2007-08-17  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.19.90

2007-08-17  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_pad_pixbuf_for_size),
	(totem_embedded_open_internal): Fix the brain-dead code that made
	logos invisible, add whether to start playback to the _open_internal
	debug output

2007-08-17  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_open_internal),
	(totem_embedded_open_playlist_item), (on_got_redirect),
	(on_eos_event): Set the glow when we open a new item, but shouldn't
	start playing, as when autostart is disabled,
	Replace a few _open_internal followed by _play with _open_internal
	with start_play set, so we can set the glow if we don't start playing
	* data/mozilla-viewer.ui: Set the default sensitivity of the seekbar
	to be FALSE

2007-08-17  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_tick_send): Another xine-lib crappiness, it
	doesn't update the current_position when the file isn't seekable,
	so we have to fake it from the current_time (Closes: #436092)

2007-08-17  Bastien Nocera  <hadess@hadess.net>

	* src/totem-fullscreen.c: (totem_fullscreen_new): Fix is-active
	property connection, it was completely wrong

2007-08-17  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_open_internal), (totem_embedded_play),
	(totem_embedded_open_uri), (totem_embedded_open_stream),
	(totem_embedded_open_playlist_item),
	(totem_embedded_set_local_file), (on_got_redirect), (on_eos_event):
	The heuristics for totem_embedded_open_internal actually starting
	play suck, so we pass that info on from the caller, but we should
	do better than that (open should play...)
	Fixes files now cached locally starting to play straight away

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_set_uri),
	(totem_embedded_set_local_cache), (on_got_redirect): re-add the
	stream_uri, that's what it's there for. When setting a local file
	cache, remember the original URI, so we can resolve redirects
	against that, rather than the local file (Closes: #345328)

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemPlugin.cpp: Only go "audioonly" if the
	controller is shown, even if we're smaller than the minimum
	size (Closes: #424784)

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_open_playlist_item),
	(totem_embedded_parse_duration), (entry_parsed):
	parse the starttime as passed on by the playlists, and seek
	to that time straight after having opened the playlist item
	if need be (Closes: #401049)

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemGMPPlugin.cpp: Support application/asx
	for the benefit of [http://www.yle.fi/eurovision/main.php?id=2034]
	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry):
	Push starttime from ASX files to the applications

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (on_error_event):
	Don't skip past the last unplayable item in a playlist, otherwise
	we might end up playing all the files in a loop, even though we're
	not repeating

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (skip_unplayable_stream),
	(on_error_event), (on_buffering), (totem_embedded_construct):
	Skip to the next stream if the current one has an error in an
	idle, so that we don't hang for some sources

	Also skip unplayable streams if we don't have repeat on, as we
	don't have a good way of telling unplayable streams from other
	ones (Closes: #359048)

	Connect to the buffering signal, but don't print anything, useful
	for debugging

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_open_playlist_item), (on_eos_event),
	(on_error_event), (totem_pl_item_free),
	(totem_embedded_clear_playlist), (totem_embedded_parse_duration),
	(entry_parsed):
	
	Store the playlist items in a struct, with associated information

	Parse (naively) duration information from the playlist parser

	When an error occurs during playback, and the file to play was marked
	as "short" (less than 60 seconds), skip to the next item in the
	playlist, so that unsupported "header" (adverts) are skipped

	(Closes: #358277)

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_pad_pixbuf_for_size): Fix an
	assertion when setting the startup logo when the
	logo is bigger than the target destination
	(Closes: #446858)

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	Add SetLocalCache method
	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_set_local_cache), (on_eos_event),
	(totem_embedded_construct):
	Remove unused stream_uri struct member

	Implement SetLocalCache that replaces the
	->current_uri with a file in the local cache

	Try to use the file in the local cache when reaching
	EOS and having played from the browser stream, it's
	better than doing nothing

	Don't show a warning on startup when the plugin is hidden

	* browser-plugin/totemPlugin.cpp:
	Remove warning about
	totem_pl_parser_can_parse_from_filename() reading
	the whole file in memory, it mmaps it

	Call SetLocalCache when we've been streaming the file
	from the browser already

	(Closes: #428833)

2007-08-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_save_volume), (property_notify_cb_volume):
	* browser-plugin/totemPlugin.cpp: Revert "SaveState" patch
	and save the volume in GConf as soon as it's changed in the
	UI (Closes: #452063)

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update the gnome-vfs requirements to get
	gnome_vfs_uri_resolve_symbolic_link in the library
	(Closes: #467071)

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/org_gnome_totem_PluginViewer.xml:
	* browser-plugin/totem-plugin-viewer.c:
	(totem_embedded_save_state):
	* browser-plugin/totemPlugin.cpp: Call SaveState just before
	killing the plugin, so that it can save some details (such as the
	volume), does nothing yet though (Helps: #452063)

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp:
	* browser-plugin/totemNarrowSpacePlugin.h:
	* browser-plugin/totemPlugin.cpp: Implement GetPluginStatus so that
	the .Mac galleries work, make sure all parts of the plugin advertise
	the same version of QuickTime (Closes: #464519)

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_callback_connect): Patch from Jan Arne Petersen
	<jpetersen@jpetersen.org> to fix the fullscreen seekbar not working
	(Closes: #462286)

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-lines.c:
	(totem_pl_parser_append_path), (totem_pl_parser_add_m3u):
	Escape the relative paths found in m3u files, as they're filenames
	not URIs (Closes: #461951)

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c: (totem_uri_get_subtitle_uri): Remove
	the "%.*s" construct, it's completely broken with wide-characters
	and non-UTF8 ones

2007-08-15  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (main): Some systems seem to like it when GTypes
	are initialised early on (Closes: #441803)

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser.c: (totem_pl_parser_add_url_valist):
	Avoid possible crashes in applications by trying to convert non-UTF8
	text to UTF-8 before passing it on to the application

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp: Patch from Markus Golser
	to add video/x-m4v as a supported mime-type for the NarrowSpace plugin

2007-08-13  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/test-parser.c: (test_resolve): Add another pattern
	to test
	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry): Ignore 
	"showwhilebuffering" entries, as we don't show anything whilst
	buffering
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_remove_filename),
	(totem_pl_resolve_url): Remove parameters and fragment IDs from URLs
	when getting the base

2007-08-12  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser.c:
	(totem_pl_parser_can_parse_from_data):
	Add more debug when a mime-type isn't known

	* src/totem.h: Add patch from Ed Catmur <ed@catmur.co.uk>
	to avoid hangs with specific versions of GCC and a set of
	optimisations (Closes: #463730)

2007-08-11  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (on_recent_file_item_activated):
	* src/totem-playlist.c: (totem_playlist_set_waiting_cursor),
	(totem_playlist_unset_waiting_cursor), (drop_cb),
	(totem_playlist_add_files), (totem_playlist_add_mrl_with_cursor),
	(totem_playlist_add_mrl):
	* src/totem-playlist.h:
	* src/totem-session.c: (totem_session_restore):
	* src/totem.c: (totem_action_drop_files),
	(totem_action_open_files_list), (totem_action_remote):
	When adding items to the playlist, set the cursor waiting on the
	outermost loop, so that we don't set it once per file added to
	the playlist (and get flicker when doing "totem ~/Movies/*")

2007-08-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am: Don't delete the glow button when
	cleaning up (Closes: #465499)

2007-08-10  Tim-Philipp Müller  <tim at centricular dot net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	  Close audio device again after initial probing. Playbin will open it
	  again later if and when needed. Closes: #465095. Saves: kittens. 

2007-08-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-uri.c: (totem_uri_get_subtitle_uri): Add a check
	for a non-NULL subtitle

2007-08-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-glow-button.c: (totem_glow_button_glow),
	(totem_glow_button_expose), (totem_glow_button_enter),
	(totem_glow_button_leave), (totem_glow_button_class_init),
	(totem_glow_button_set_timeout), (totem_glow_button_set_glow):
	Adapted patch from Sunil Mohan Adapa <sunilmohan@gnu.org.in> to
	speed-up the button glow when the pointer enters in the play
	button (Closes: #458879)

2007-08-10  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/test-glow-button.c:
	Add a test program for the glow button widget, to ease debugging

2007-08-09  Bastien Nocera  <hadess@hadess.net>

	* data/totem.1:
	* totem.spec.in: Fix the URL to Totem's webpage (Closes: #463602)

2007-08-09  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: Patch from Jan Arne Petersen
	<jpetersen@jpetersen.org> to fix the sidebar accelerator conflicting
	with the sound menu's one (Closes: #457386)

2007-08-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_construct):
	Rephrase slightly so as to remove "startup" from the string

	* src/plugins/media-player-keys/media-player-keys.totem-plugin.in:
	* src/plugins/properties/movie-properties.totem-plugin.in:
	* src/plugins/screensaver/screensaver.totem-plugin.in:
	* src/plugins/skipto/skipto.totem-plugin.in:
	Remove translations from the builtin plugins, as they're not
	visible in the UI anyway

	* src/totem-options.c: Add a hint for translators

	(Closes: #464453)

2007-08-07  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemNarrowSpacePlugin.cpp: Update version of
	the Quicktime-compatible plugin to 7.2.0 to be able to use
	the new .Mac galleries

2007-08-05  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* src/plparse/totem-pl-parser-private.h:
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_write_string),
	(totem_pl_parser_write_buffer):
	Add a function to write a sized buffer, use it to implement
	totem_pl_parser_write_string.

	* src/plparse/totem-pl-parser-pla.c: (totem_pl_parser_write_pla),
	(totem_pl_parser_add_pla):
	* src/plparse/totem-pl-parser-pla.h:
	Implement playlist writer for iRiver PLA format.  Fix a few issues in
	the reading code too.
	
	* src/plparse/totem-pl-parser.c: (totem_pl_parser_write_with_title):
	* src/plparse/totem-pl-parser.h:
	Use iRiver PLA format writer.  (Closes: #347584)

2007-08-04  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.in:
	* src/backend/bacon-video-widget-gst-0.10.c:
	  Bump GStreamer core and -base requirements to 0.10.12 and remove
	  a bunch of hacks that were added in 2.17.x to avoid a requirement
	  on the new API back then (note: the marker prefix of the codec
	  install detail string was also wrong in that code, we wrongly set it
	  to 'gstreamer.net' instead of 'gstreamer', which shouldn't matter
	  though since no one ever checked that anyway).

2007-08-01  Bastien Nocera  <hadess@hadess.net>

	* src/totem.c: (totem_setup_window): Make the default
	window size bigger than the minimum widget size as it
	used to be on first startup (Closes: #461536)

============ Version 2.19.6

2007-07-30  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.19.6
	* src/plugins/skipto/Makefile.am: Fix distchecking

2007-07-30  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_finalize),
	(totem_embedded_set_state), (totem_embedded_set_pp_state),
	(totem_embedded_open_internal), (on_fullscreen1_activate),
	(totem_embedded_toggle_fullscreen),
	(totem_embedded_on_fullscreen_exit), (on_tick),
	(property_notify_cb_volume), (on_seek_start), (cb_on_seek),
	(totem_embedded_action_volume_relative),
	(totem_embedded_handle_key_press),
	(totem_embedded_key_press_event), (totem_embedded_construct):
	* data/mozilla-viewer.ui:
	* src/Makefile.am:
	* src/totem-fullscreen.c: (totem_fullscreen_new),
	(totem_fullscreen_set_video_widget):
	* src/totem-fullscreen.h:
	* src/totem.c: (main): Patch from Sunil Mohan Adapa
	<sunilmohan@gnu.org.in> to add a fullscreen option to the
	browser plugin (Closes: #354181)

2007-07-27  Frederic Crozat  <fcrozat@mandriva.com>

	* configure.in: Bump shared-mime-info required version.
	* browser-plugin/totemBasicPlugin.cpp: Add support for audio/ogg
	and video/ogg.

2007-07-24  Jonathan Matthew  <jonathan@kaolin.wh9.net>

	* src/plparse/Makefile.am:
	* src/plparse/totem-pl-parser-pla.c: (totem_pl_parser_add_pla):
	* src/plparse/totem-pl-parser-pla.h:
	* src/plparse/totem-pl-parser.c:
	Add read-only support for iRiver PLA playlist format.  From #347584.

2007-07-23  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/skipto/totem-skipto-plugin.h: Add another
	missing file

2007-07-23  Bastien Nocera  <hadess@hadess.net>

	* data/Makefile.am: Remove unused file

2007-07-23  Bastien Nocera  <hadess@hadess.net>

	* data/totem.ui: Use the stock_contrast icon, as shipped by the
	gnome icon theme (Helps: #454244)

2007-07-23  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/skipto/*: upd for the changed below

	* src/plugins/totem-plugin.c: (totem_plugin_load_interface):
	* src/plugins/totem-plugin.h: Add totem_plugin_load_interface
	to allow plugins to load their interfaces from their own directory

	* src/totem-interface.c: (totem_interface_load),
	(totem_interface_load_with_full_path):
	* src/totem-interface.h: Implement helper functions to load GtkBuilder
	UI files

	* src/totem-statusbar.h:
	* src/totem-time-label.h: Remove unnecessary glade helper functions

	This change and above from a patch by Sunil Mohan Adapa
	<sunilmohan@gnu.org.in> (Helps: #454244)

	* src/totem-object.c: (totem_object_class_init),
	(totem_object_get_property), (totem_get_current_time): Fix
	totem_get_current_time to return the current time, and not the length
	of the stream, add a "current-time" property as well

2007-07-21  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-glow-button.c: (totem_glow_button_expose):
	Patch from Sunil Mohan Adapa <sunilmohan@gnu.org.in> to avoid
	the button not glowing when it's slightly clipped
	(Closes: #452069)

2007-07-18  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totemBasicPlugin.cpp: Add support for FLV
	and NSV mime-types in the basic plugin
	* src/plugins/bemused/totem-bemused.c: (write_directory_listing):
	Fix the tiny memleak

2007-07-18  Christian Persch  <chpe@gnome.org>

	* browser-plugin/totemClassInfo.h:
	* browser-plugin/totemGMPPlaylist.cpp:
	* browser-plugin/totemPlugin.cpp:
	* browser-plugin/totemPluginGlue.cpp: Use C++-style casts. Bug #457081.

2007-07-13  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_open_thread): Don't forget to update the VFX
	state after opening it, fixes the visual effects showing up in the
	middle of video when using the browser plugin

2007-07-11  Christian Persch  <chpe@gnome.org>

	* configure.in: Bump gtk req. to 2.11.6.
	* src/totem.c: (totem_callback_connect): Port to new tooltips API.
	Bug #455655.

2007-07-10  Bastien Nocera  <hadess@hadess.net>

	* src/plugins/bemused/bemused.totem-plugin: This is a generated file
	shouldn't be here

2007-07-10  Bastien Nocera  <hadess@hadess.net>

	* src/totem-object.c: (totem_get_playlist_length),
	(totem_get_playlist_pos), (totem_get_title_at_playlist_pos),
	(totem_get_short_title):
	* src/totem-playlist.c: (totem_playlist_get_title),
	(totem_playlist_get_current):
	* src/totem-playlist.h:
	* src/totem.c: (totem_get_nice_name_for_stream),
	(totem_action_set_playlist_index), (totem_action_remote),
	(totem_action_remote_set_setting),
	(totem_action_remote_get_setting), (totem_is_paused):
	* src/totem.h: Add a number of externally callable functions to
	allow the Bemused plugin to call

	* configure.in:
	* src/plugins/bemused/*: Add a Bemused Server plugin

2007-07-09  Bastien Nocera  <hadess@hadess.net>

	* data/fullscreen.glade:
	* data/mozilla-viewer.glade:
	* data/playlist.glade:
	* data/plugins.glade:
	* data/properties.glade:
	* data/totem.glade:
	* data/uri.glade: Re-add the .glade files, to be able to convert
	them if necessary

2007-07-09  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (on_preferences1_activate),
	(totem_embedded_construct):
	* data/mozilla-viewer.ui: Patch from Sunil Mohan Adapa
	<sunilmohan@gnu.org.in> to fix the UI loading, and related problems
	in the browser plugin viewer (Closes: #454638)

2007-07-05  Bastien Nocera  <hadess@hadess.net>

	* Load of files: Patch from Philip Withnall <pwithnall@svn.gnome.org>
	to use GtkBuilder instead of libglade (Closes: #450635)

2007-07-03  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* src/totem-uri.c: (totem_pictures_dir), (totem_add_default_dirs),
	(totem_add_pictures_dir): Use g_get_user_special_dir() instead of
	our copy of xdg_user_dir_lookup

2007-07-02  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* src/totem-private.h:
	* src/totem.c: (totem_action_set_mrl_with_warning),
	(volume_button_value_changed), (update_volume_sliders), (main): Use
	g_signal_handlers_block_by_func/g_signal_handlers_unblock_by_func
	instead of a custom lock (Closes #452616)

2007-06-29  Bastien Nocera  <hadess@hadess.net>

	* data/Makefile.am:
	* data/fullscreen.glade:
	* data/totem.glade:
	* src/Makefile.am:
	* src/totem-fullscreen.*:
	* src/totem-private.h:
	* src/totem.c: (totem_action_exit), (window_state_event_cb),
	(update_mrl_label), (totem_action_set_mrl_with_warning),
	(update_seekable), (update_current_time), (update_volume_sliders),
	(seek_slider_pressed_cb), (seek_slider_changed_cb),
	(seek_slider_released_cb), (totem_action_remote),
	(on_mouse_click_fullscreen), (totem_action_handle_scroll),
	(totem_callback_connect), (video_widget_create), (main):
	Patch from Sunil Mohan Adapa <sunilmohan@gnu.org.in> to split
	the fullscreen popup code into a separate widget (Helps: #354181),
	Patch from Jan Arne Petersen <jpetersen@jpetersen.org> to share
	adjustments between fullscreen and windowed seekbars (Closes: #451912)

2007-06-28  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/tests/8.html: fix syntax error
	* browser-plugin/tests/9.html: add new test for bug #452069

2007-06-29  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* data/playlist.glade:
	* src/ev-sidebar.c: (ev_sidebar_destroy),
	(ev_sidebar_combobox_changed_cb), (ev_sidebar_init),
	(ev_sidebar_get_current_page), (ev_sidebar_get_iter_for_page_id),
	(ev_sidebar_set_current_page), (ev_sidebar_add_page),
	(ev_sidebar_remove_page): Use a default GtkComboBox instead of the
	custom button menu combination (Closes #397776)

2007-06-28  Christian Persch  <chpe@gnome.org>

        * src/totem.c:
        * src/totem.h:
        * src/totem-private.h:
        * src/backend/bacon-video-widget.h:
        * src/backend/bacon-video-widget-xine.c:
        * src/backend/bacon-video-widget-gst-0.10.c: Use double for the volume
        instead of integer. Bug #451856.

2007-06-28  Christian Persch  <chpe@gnome.org>

        * src/Makefile.am: Fix missing prototypes in totem-marshal.h. Bug #451854.

2007-06-28  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/totem-pl-parser-wm.c: (parse_asx_entry),
	(parse_asx_entryref), (parse_asx_entries): Patch from
	Karel Kolman <kolmis@gmail.com> to handle ASX files with
	entryrefs without a parent entry (Closes: #450457)

2007-06-28  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_init): patch from Sunil Mohan Adapa
	<sunilmohan@gnu.org.in> to not mark the video widget as having
	no backing window (Helps: #354181)
	* src/totem-private.h:
	* src/totem.c: (main): Remove unused ->fsvolume widget

2007-06-28  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-plugin-viewer.c: (cb_vol),
	(totem_embedded_construct), (totem_volume_create):
	* configure.in:
	* data/totem.glade:
	* src/Makefile.am:
	* src/bacon-volume.c:
	* src/bacon-volume.h:
	* src/totem-private.h:
	* src/totem.c: (totem_action_set_mrl_with_warning),
	(update_volume_sliders), (volume_button_value_changed),
	(popup_hide), (totem_callback_connect), (totem_volume_create),
	(main): Remove the BaconVolume widget, and use the GtkVolumeButton
	in the new GTK+ instead, use the scale button in fullscreen mode as
	well, make both volume buttons share the same GtkAdjustment,
	modified version of patch from Jan Arne Petersen <jpetersen@jpetersen.org>
	(Helps: #450635)

2007-06-28  Bastien Nocera  <hadess@hadess.net>

	* src/totem-menu.c: (totem_action_add_recent): fix valgrind error
	with a not-fully initialised GtkRecentData
	* src/totem.c: (window_state_event_cb): fix tests when more than
	one flag has changed

2007-06-27  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-menu.c: (totem_setup_recent):
	* src/totem-open-location.c: (totem_open_location_new): Convert to
	using gtk_recent_manager_get_default, as the per-screen constructor
	is now deprecated. (Closes: #449225)

2007-06-23  Gabor Kelemen  <kelemeng@gnome.hu>

	* src/totem.c: Use g_option_context_set_translation_domain to translate 
	program description in --help output. (Closes: #450167) 

2007-06-21  Bastien Nocera  <hadess@hadess.net>

	* data/totem.glade:
	* src/totem-menu.c: (show_controls_action_callback):
	* src/totem-options.c: (totem_options_process_late),
	(totem_options_process_early):
	* src/totem-options.h:
	* src/totem-private.h:
	* src/totem.c: (totem_action_save_state), (totem_action_exit),
	(totem_action_load_media), (totem_action_play_pause),
	(totem_action_pause), (window_state_event_cb),
	(totem_action_fullscreen_toggle), (show_controls),
	(video_widget_create), (main): Handle better having --fullscreen
	passed to the master program (Helps: #376149)

	* src/backend/bacon-video-widget-xine.c: (load_video_out_driver),
	(bacon_video_widget_realize), (xine_event),
	(bacon_video_widget_unrealize), (bacon_video_widget_show),
	(bacon_video_widget_hide), (show_vfx_update),
	(bacon_video_widget_open_with_subtitle),
	(bacon_video_widget_set_show_cursor),
	(bacon_video_widget_set_scale_ratio): Remove the video_window
	struct member, it was barely used. Fix the double-buffering on the
	widget being set/unset wrongly

2007-06-21  Bastien Nocera  <hadess@hadess.net>

	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_realize), (bacon_video_widget_expose_event),
	(parse_stream_info), (bacon_video_widget_set_logo_mode):
	Default to having a black background on the window, faster to clear,
	use double-buffering when in logo mode, or drawing the logo for
	audio-only files

	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_draw_logo), (frame_output_cb),
	(bacon_video_widget_realize), (bacon_video_widget_expose),
	(show_vfx_update), (bacon_video_widget_set_logo_mode):
	same as for the GStreamer backend, but also tell xine-lib to draw
	where the sun doesn't shine (not in the visible area), so that
	it doesn't try to overwrite our logo when having played a video

	* src/backend/bacon-video-widget.h: make it a child of an eventbox
	so it has a backing window by default

	* data/totem.glade: Make the video vbox an event box, so it has
	a backing window
	* src/totem.c: (show_controls), (totem_setup_window),
	(playlist_widget_setup), (video_widget_create): Draw a nice black
	background, so that the video area appears black before the
	video widget is ready

2007-06-20  Bastien Nocera  <hadess@hadess.net>

	* src/plparse/plparser.symbols: export totem_pl_resolve_url for
	use in the test parser
	* src/plparse/test-parser.c: (test_resolve_real), (test_resolve),
	(main): add tests for totem_pl_resolve_url, to make sure we don't
	regress bug #439041
	* src/plparse/totem-pl-parser.c: (totem_pl_resolve_url): Fix parsing
	of absolute URIs (Closes: #447598)

2007-06-20  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/totem-glow-button.c:
	(totem_glow_button_do_expose), (totem_glow_button_glow),
	(take_screenshot), (totem_glow_button_expose),
	(totem_glow_button_map), (totem_glow_button_unmap),
	(totem_glow_button_class_init), (totem_glow_button_init),
	(totem_glow_button_set_glow), (totem_glow_button_get_glow):
	* browser-plugin/totem-glow-button.h:
	When the animations are disabled, only draw the button in the highest
	glowing state and stop. Stop drawing anything when the button is unmapped.
	(comments on #447363)

2007-06-20  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/idl/Makefile.am:
	* configure.in: Patch from Andreas Hanke <andreas.hanke@gmx-topmail.de>
	to respect the MOZILLA_PLUGINDIR destination variable (Closes: #414457)

2007-06-18  Philip Withnall  <pwithnall@svn.gnome.org>

	Remove all .cvsignore files and update svn:ignore properties.
	(Closes: #448873)

2007-06-16  Jaap A. Haitsma  <jaap@haitsma.org>

	* src/totem-menu.c: 
	Add website to about dialog

2007-06-16  Bastien Nocera  <hadess@hadess.net>

	* browser-plugin/Makefile.am:
	* browser-plugin/totem-glow-button.[ch]:
	Add a "glow button" that will glow like the tasklist with urgency hint
	* browser-plugin/totem-plugin-viewer.c: (totem_embedded_set_state),
	(totem_embedded_set_pp_state), (on_play_pause),
	(totem_embedded_construct), (totem_pp_create):
	* data/mozilla-viewer.glade: Make the play button glow when autostart
	is off so that users know that they need to click play to see something
	(Closes: #447363)

2007-06-15  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/properties.glade:
	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_get_metadata_string),
	(bacon_video_widget_get_metadata):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_get_metadata_string),
	(bacon_video_widget_get_metadata):
	* src/backend/bacon-video-widget.h:
	* src/plugins/properties/bacon-video-widget-properties.c:
	(bacon_video_widget_properties_reset),
	(bacon_video_widget_properties_update),
	(bacon_video_widget_properties_new): Patch from Przemysław Grzegorczyk
	<pgrzegorczyk@gmail.com> to add support for displaying MP3/Vorbis
	comment tags in the properties view. (Closes: #430984)

2007-06-12  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Fix distcheck by adding the test python and vala
	plugins to the allowed plugins
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_idle_signal): Fix the second file played in
	a playlist not having any ticks (current time not updated)
	(Closes: #445577)

2007-06-12  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/totem-open-location.c: (totem_compare_recent_stream_items),
	(totem_open_location_new): Optimise list handling for recent items
	in "Open Location" (Closes: #446540)

2007-06-11  Philip Withnall  <pwithnall@svn.gnome.org>

	* bindings/python/totem.defs:
	* bindings/python/totem.override:
	* data/uri.glade:
	* src/Makefile.am:
	* src/totem-open-location.c: (totem_open_location_class_init),
	(totem_open_location_init), (totem_open_location_finalize),
	(totem_open_location_match), (totem_compare_recent_stream_items),
	(totem_open_location_get_uri),
	(totem_open_location_set_from_clipboard),
	(totem_open_location_new):
	* src/totem-open-location.h:
	* src/totem-private.h:
	* src/totem.c: (totem_action_load_media),
	(totem_open_location_destroy), (totem_open_location_response_cb),
	(totem_action_open_location): Move "Open Location" dialog to a
	separate widget and fix a Python binding compilation error
	(Closes: #394966, #446412)

2007-06-11  Philip Withnall  <pwithnall@svn.gnome.org>

	* src/Makefile.am: Fix compilation error due to Python bindings

2007-06-11  Philip Withnall  <pwithnall@svn.gnome.org>

	* Makefile.am:
	* bindings/Makefile.am:
	* bindings/python/Makefile.am:
	* bindings/python/override_common.c: (_helper_wrap_gobject_glist),
	(_helper_wrap_pointer_glist), (_helper_wrap_boxed_glist),
	(_helper_wrap_string_glist), (_helper_wrap_boxed_gptrarray),
	(_helper_unwrap_pointer_pylist), (_helper_unwrap_string_pylist):
	* bindings/python/override_common.h:
	* bindings/python/totem.defs:
	* bindings/python/totem.override:
	* bindings/vala/Makefile.am:
	* bindings/vala/totem.deps:
	* bindings/vala/totem.vala:
	* configure.in:
	* py-compile:
	* src/Makefile.am:
	* src/backend/bacon-video-widget-gst-0.10.c:
	(bacon_video_widget_can_play), (bacon_video_widget_get_mrls):
	* src/backend/bacon-video-widget-xine.c:
	(bacon_video_widget_can_play), (bacon_video_widget_get_mrls):
	* src/backend/bacon-video-widget.h:
	* src/disc-test.c: (main):
	* src/plparse/totem-disc.c: (cd_cache_disc_is_cdda),
	(totem_cd_detect_type_from_dir), (totem_cd_detect_type_with_url),
	(totem_cd_get_human_readable_name):
	* src/plparse/totem-disc.h:
	* src/plparse/totem-pl-parser-media.c:
	(totem_pl_parser_add_directory), (totem_pl_parser_add_block):
	* src/plugins/Makefile.am:
	* src/plugins/sample-python/Makefile.am:
	* src/plugins/sample-python/sample-python.py:
	* src/plugins/sample-python/sample-python.totem-plugin.in:
	* src/plugins/sample-vala/Makefile.am:
	* src/plugins/sample-vala/sample-vala.totem-plugin.in:
	* src/plugins/sample-vala/totem-sample-vala-plugin.vala:
	* src/plugins/totem-plugin.h:
	* src/plugins/totem-plugins-engine.c: (totem_plugins_engine_load),
	(totem_plugins_engine_init),
	(totem_plugins_engine_garbage_collect),
	(totem_plugins_engine_shutdown), (load_plugin_module):
	* src/plugins/totem-python-module.c:
	(pyg_value_g_value_as_pyobject), (pyg_value_g_value_from_pyobject),
	(totem_python_module_init_python), (totem_python_module_load),
	(totem_python_module_unload), (totem_python_module_new_object),
	(totem_python_module_init), (totem_python_module_finalize),
	(totem_python_module_get_property),
	(totem_python_module_set_property),
	(totem_python_module_class_init), (totem_python_module_new),
	(run_gc), (totem_python_garbage_collect), (finalise_collect_cb),
	(totem_python_shutdown):
	* src/plugins/totem-python-module.h:
	* src/plugins/totem-python-plugin.c: (call_python_method),
	(check_py_object_is_gtk_widget), (impl_deactivate),
	(impl_activate), (impl_create_configure_dialog),
	(impl_is_configurable), (totem_python_object_init),
	(totem_python_object_finalize), (totem_python_object_class_init),
	(totem_python_object_get_type):
	* src/plugins/totem-python-plugin.h:
